===================== 2026-05-27 Version 6.1.3 Released =====================

===================== Changes Since Version 6.1.2 ===========================

commit 5f089268c7d2b2de09c990c05240b2a02fddaf2b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 27 13:26:01 2026 +0200

    src: version set to 6.1.3

commit c9f68109edc0c41f698d9539632f49ddeeca6f4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 27 13:23:53 2026 +0200

    pkg/kamailio/deb: version set 6.1.3 [skip ci]

commit 25f11bd6b29b83ef94fe32b17bd2882a0426d784
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 27 13:22:50 2026 +0200

    pkg/kamailio: version set to 6.1.3 for rpms and alpine [skip ci]

commit a0d195a7c7b5b36ab041dfb7313fc119fee1c0cb
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 26 12:46:21 2026 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 076ffc367992b7d923479db976a5720323f47486
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 26 12:27:32 2026 +0200

    core: try to find ws connection also without local socket
    
    (cherry picked from commit b26678f93639967b40ca251bd0c4a262d2c17552)

commit a03335c567cdbf96c08704637f1592766bbacde3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 25 08:02:08 2026 +0200

    topos: restore old values after event route execution
    
    (cherry picked from commit e8167a570b534f4fd1af8441af573539543d485b)

commit c49ab0e3115b5875bf013b4388a768e97ee5afb2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 21 07:33:11 2026 +0200

    prefix_route: increase the name size to match database field
    
    (cherry picked from commit ecd888ecbc1fe806406555328fc9e4efaa91367e)

commit 5c5a4fd07a6dd56af1ebd05228bc41d5a08fcf37
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 21 07:25:25 2026 +0200

    prefix_route: reformat exported rpc structure
    
    (cherry picked from commit e7426761bfa9a300b073dafe997d6d68840ec2c1)

commit 3add46e3d6ce48d53fbd1a16c9fadcf0a0bdcb6c
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon May 11 01:47:31 2026 -0400

    core: re-attempt the lock if EINTR occurs (POSIX_SEM)
    
    (cherry picked from commit b06d969cf00d816182a639acb7de191c763c9d73)

commit 1f489b057e03446c9b4b522c4ec9d6ab7cb792e3
Author: Alessio Garzi <agarzi@sipwise.com>
Date:   Tue May 19 16:49:59 2026 +0200

    db_redis: Adjust log level in Redis dbase from warning to debug
    
    Use LM_DBG instead of LM_WARN when performing full table scan on table
    
    (cherry picked from commit e11ad32b1af248367700acf95b6beeb68344a545)

commit 7dfbd0a6d522f69319c97a5e07a4e078a18a2bb7
Author: Ben Kaufman <ben.whosgonna.com@gmail.com>
Date:   Tue May 12 12:57:49 2026 -0500

    topos: Documentation for event_mode [skip ci]
    
    - Update documenation for default value of event_mode param #4738
    
    (cherry picked from commit b80d3b6883eeb46795f4e108e72f1db6b32cbb2b)

commit 6d090bcf33ce357ca0fdd960d209d26d371b4fab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 20 07:21:22 2026 +0200

    sdpops: export sdp_get_address_family() to kemi
    
    (cherry picked from commit f3a34ff69c246c807f25d34b0abf3046d76e1938)

commit f599e3fc9369fe0bb37d428354b0df90831ea7b0
Author: Sergey KHripchenko <iam@skripatch.spb.ru>
Date:   Thu May 14 19:16:27 2026 +0500

    htable: fix expire value assignment on string cell replacements
    
    - assign the expire value to the newly allocated cell when
      replacing an existing entry, instead of updating the old cell that is freed immediately after
    - fixes ht_set_cell_ex()
    
    (cherry picked from commit 87e940522fcf97119b997ed3a9ff757b34ce9381)

commit f7c10b35c9aa990188d18316c7f9c5df7ec1c89f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 19 11:54:41 2026 +0200

    core: execute event_route[core:receive-parse-error] on receive for parsing madatory headers failure
    
    - stop processing of the message if drop is used
    
    (cherry picked from commit 8888108e75a0f245636dd511e657de9e2957c2d7)

commit 0ebc6f4ad0233fc4e15f443354afbfee7530b734
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 19 08:30:18 2026 +0200

    core: events - detect drop used inside event_route[core:receive-parse-error]
    
    (cherry picked from commit c0e4f40c576d92f0d5fe98e9a64f3944e3f1559b)

commit d2c85d046b4d0eac3fce2914a29b1da4d8ef062f
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue May 26 08:57:56 2026 +0200

    pkg/kamailio/deb: remove kamailio-dbg package [skip ci]
    
    * nowadays we produce dbgsym packages
    
    (cherry picked from commit 565e0f7390aa13fe338a14a04e17a1b0245861eb)

commit 81fdc50dc4d11e9a09fda45461be016fde331737
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue May 26 08:51:02 2026 +0200

    pkg/kamailio/deb: [resolute] remove alien-tag errors [skip ci]
    
    (cherry picked from commit cdb446cf8ac489f40b228bcb810665706df402a0)

commit 0b2f8729dad27b4613b360aa2a40d2b3d72cdc53
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue May 26 08:42:43 2026 +0200

    pkg/kamailio/deb: remove watch file [skip ci]
    
    * debian-watch-file-in-native-package
    
    (cherry picked from commit b7d4dfaa50537679f7ceea0fa994e507a9b7c3fd)

commit 41037577b59e47a44f3e46b8e631ec60fe935f08
Author: Victor Seva <vseva@sipwork.pro>
Date:   Fri May 22 10:43:05 2026 +0200

    pkg/kamailio/deb: add support for Ubuntu Resolute 26.04 LTS [skip ci]
    
    based from commit 502b6c75245d5ba89463ff5a773f9cd3e2626a24

commit b2cf3bd82c856036f46fd2e2f3273fbebbc81e69
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon May 18 11:01:26 2026 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit c1f0c5ebae930d6dcca8fb8d97cc2679de4ecba6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 18 10:23:22 2026 +0200

    Revert "dmq: Fix compiler warning deprecated-non-prototype"
    
    This reverts commit dc55adfc1e9417fa574b548ed8796427ce08ea81.

commit dccbe368dff8e4e7b82ba0f79d658ff89a2bf218
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 17 08:44:16 2026 +0200

    sdpops: loost at address family in streams if none in session
    
    - GH #4718
    
    (cherry picked from commit 1440a865f61129461ca7d04424af98fb2d0c2406)

commit 742bb4d04ffff12b03683e74d7abdad3208181c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 16 09:48:51 2026 +0200

    tcpops: proper check for tcp connection get result
    
    (cherry picked from commit 9319a33ae3912280e35e1cbf6d26e32195f4c258)

commit 3cadb0c2b61116fe650e602effb6560a8c6c3cc0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 16 09:23:27 2026 +0200

    imc: gradual building of headers with size checks
    
    (cherry picked from commit e13c49fbce91511bd543e85eeca5dd4651340bec)

commit d4935396fdf0a4448b44d56d3300b63d0bf0dad3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 15 10:05:59 2026 +0200

    rtpproxy: remove duplicated function ser_memmem()
    
    - same as the one in core and already available via included headers
    
    (cherry picked from commit 59eddb54d200e29041c3606f66524ac1d88a8ebc)

commit 42f446adc6d4e85e87eb59a8718a915cca4b234a
Author: Alessio Garzi <agarzi@sipwise.com>
Date:   Thu May 14 14:15:36 2026 +0200

    siputils: validate SIP URI produced by tel2sip and tel2sip2
    
    After constructing the SIP URI, call parse_uri() to verify the result
    is well-formed before writing it to the output pvar. If validation
    fails, free the allocated pkg memory and return -1.
    
    (cherry picked from commit 75e3cdfacbe4172fcd6b16ab94d96e2e29229878)

commit afdde89c736b332554312cee586bfbac4e6300b5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 14 13:20:12 2026 +0200

    imc: check for content-type for building response headers
    
    (cherry picked from commit 46accd70c68ab410d3f87d4188aee8dbc7c60673)

commit 2c6108e4b01570fe2fdf666b36797270017a7874
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 14 12:58:40 2026 +0200

    core: utils/srjson - check the 4 hex chars for \u
    
    (cherry picked from commit c72b414c62f20aa1f6db9273326d4e8ed3167b40)

commit fe308784e1883addd3be407b55806921754922db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 14 12:43:20 2026 +0200

    core: sdp parser - check char search result in  extract_bwidth()
    
    (cherry picked from commit 9825a757a059cc6fa2fc58f24f4eff9a528f1e49)

commit 4c6073d9321e16bf337dda2326d804364774b96c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 13 10:58:01 2026 +0200

    core: prser - check on other parm names
    
    (cherry picked from commit d82e980a85f1a28498e3883a77c4789caff0c15e)

commit 60b1dea32cf1d634f00dfa25feed99796379976b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 12 08:24:33 2026 +0200

    core: set upper limit for b58 encode input
    
    (cherry picked from commit 0e02061319df55da027840809641c3e2dece8f3a)

commit 8f93634a4f987975403b88be08124ae050d6b6be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 11 10:30:10 2026 +0200

    auth_radius: check input parameters
    
    (cherry picked from commit 64118b0b008c61580f96aefa3ea1f99341638db5)

commit 25b94bee60c11e234e9136907a140e37d6d31ab0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 10 16:27:59 2026 +0200

    presence: check content type for publish
    
    (cherry picked from commit 2db510a4a6719d47e56b807c66b6d2dc5a4c02aa)

commit 4620d178b6f3e46eafcd8e5482b136eb6788063a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 10 14:41:59 2026 +0200

    textops: check content type for appending multibody
    
    (cherry picked from commit 02b74b4c752ba6ee89e262f41727d2830905b5f8)

commit b26e4d386a39614a39c80ce51355b1edf70b8bda
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 10 11:21:59 2026 +0200

    core: b58 decode compute output lenght from size
    
    (cherry picked from commit 5a49de2a7d5623ca65c756468d22bef7ae50b439)

commit 58aeb581fa5712101fbfd22ab9dc68f8155eeed2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 10 08:08:38 2026 +0200

    core: check input and use for-loop for urlencode()
    
    (cherry picked from commit f52a278b35ee369e9e4e489aa191f437f81aaf0d)

commit f6db642e73e1265cb9b499c429dcd682880908b8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 9 08:56:58 2026 +0200

    core: use for loop for unescape_user()
    
    (cherry picked from commit 6527c1e6c0483def2ea05e0c7fab347a002eb985)

commit 779260e903849a27103c6d96858b7a0c8e11e256
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 8 20:45:18 2026 +0200

    ndb_redis: rework of reconnect when server not available at startup
    
    (cherry picked from commit 2451072a315e3c59e235ef62b4b7fcda7882bf36)

commit 9ff29ce9e45aad7dec338230fe3f039f99356b3c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 7 07:05:15 2026 +0200

    core: parser/digest - check available input size
    
    (cherry picked from commit 6ff17cbe1b17233db51405e2007cdbf32eb658db)

commit ff37e84d490c89e6a640eb867f7a38a11181c69f
Author: Sebastian Damm <sebastian.damm@pascom.net>
Date:   Wed May 6 16:29:15 2026 +0200

    rtpengine: add "debug" to rtpengine_offer flags docs
    
    (cherry picked from commit 9309dc76d2fa0d1fdf815fb11c7df07ec4c97922)

commit 857baf567408bdd730922ec1169e03ee3333ac49
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri May 8 08:57:33 2026 +0200

    rtpengine: Fix siprec example in docs
    
    Also change route to request_route and fix some whitespace.
    
    (cherry picked from commit 5dbe81c8e837bf479d38c9fffe1e20cfc9f4d664)

commit ac4bd9214f67440af155853abbd96e7c4924d1bd
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri May 8 09:42:41 2026 +0200

    pua: Remove spurious gt
    
    (cherry picked from commit 3d9d27895899e79195141e3f33df15343e23edf0)

commit 5d4ee36dcdceea766df56a318cb55dc8650a5c3b
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri May 8 09:42:22 2026 +0200

    kazoo: Remove spurious gt
    
    (cherry picked from commit 5801be02804db356d9176421b32bb9e94662b7f4)

commit ff433d26a4dc9ba8f85a9b5d34e1982ea5b61c3c
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri May 8 09:40:44 2026 +0200

    lib: Remove spurious gt
    
    (cherry picked from commit 70d2e99de833454513f63ace4b0ab7572b3bb7ee)

commit dc55adfc1e9417fa574b548ed8796427ce08ea81
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu May 7 23:25:55 2026 +0200

    dmq: Fix compiler warning deprecated-non-prototype
    
    Fixes: e60a77e020 ("dmq: added init_with_single parameter")
    (cherry picked from commit 39c79265e6f46af57d54953be248fbe53e7d3cbd)

commit 7be4cfc14d3230353690fa510e98896d8dca85d6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 5 17:01:55 2026 +0200

    core: hashes - cast to unsigned to accommodate shifted value
    
    (cherry picked from commit 151428fc0611487500c43667a26f73dc98fbd7ef)

commit 3c346aa70ced0fa9a8aa79cba766b1b0bd5b7f00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 4 13:17:16 2026 +0200

    core: free in case of error for cmp_str_params()
    
    (cherry picked from commit 65fd1e01d8db46719abaef7126611176588f0036)

commit 89dcbc68a58b4c58c128253e1781e98bd1301d96
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon May 4 15:45:28 2026 +0000

    evapi: Limit digits allowed
    
    (cherry picked from commit 3fc061dfa3a0db26591164af88abb6ce31afc61a)

commit 0767d7386ddc5892e3e9d5b19fb4219fb2020fe0
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon May 4 13:45:29 2026 +0000

    pua_bla: Verify header length
    
    (cherry picked from commit 7f4c4c5a6694e6f36a6b9e41aa4d25636bb008eb)

commit a88a6cbbb599c3faa0c88677107027ed13c311a5
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon May 4 14:09:16 2026 +0000

    lost: enhance lost_parse_geo to check for truncation of coordinates
    
    (cherry picked from commit 7c6d17eb1d72760df0751d5ad6549383c51729ac)

commit cd5228ec7e0b9d3675282dcba8d7d025872d4363
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon May 4 14:51:23 2026 +0000

    imc: Check member uri length
    
    (cherry picked from commit c4c7b919b84ae861b02bc85d2fbc5bd747739b17)

commit 6120325bdecf0bb33ec72ed43b9e1104ecdb9b6f
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon May 4 14:46:55 2026 +0000

    imc: Add length check
    
    (cherry picked from commit 53b63b8f559dc7bc192efca45382794a99b596ff)

commit c609f121cf5a6c926338849dac7dd2f26a5ccce6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 3 20:55:15 2026 +0200

    core: cast to unsigned for shifting in digest parser
    
    (cherry picked from commit be7d523965517d75363faeff511a3af0b63d4e3a)

commit bfcd848a93f790a916b783a0fde2fdd9031dfd0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 3 20:15:18 2026 +0200

    core: strutils - cast to unsigned for shifting in urldecode()
    
    (cherry picked from commit cc80f1dd141c608ce271c38521a96031ab6f56fb)

commit c0992205465ebea43457e4abb45c8c51cc34e763
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 3 11:34:34 2026 +0200

    core: cast to unsigned when shifting for hashing
    
    (cherry picked from commit 997a92c47f2126f1603c4c9a51839049bea416bc)

commit 8f878d071ff635f61deadba316bcb53c370dd3e4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 3 10:09:41 2026 +0200

    core: added params check for b58_decode()
    
    (cherry picked from commit 9ddf96759a14820bca0ed217892f60f01a0be9ba)

commit 9921cf9cbb2f710ba064c7cdd77ae90984ce58f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 3 09:49:40 2026 +0200

    tmx: checks of sizes for attributes matching pre-tran
    
    - test uas request for replying on callid
    
    (cherry picked from commit 2885392b291d5de8e517500aaaa30edd0d27003d)

commit 4967c8ae60756b2eadc96086a9ceede8e64be753
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 2 21:36:20 2026 +0200

    tm: function to clean/reset local data
    
    (cherry picked from commit 7f072b018fee8607787bdef6d093e52990873c71)

commit ea9f2c186a866f17639c810c395b42affeb5d303
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 2 19:33:12 2026 +0200

    core: strutils - check end for hex escape in urlencode()
    
    (cherry picked from commit 35fb4b599b7e04fbac2045d2767799ec306907a3)

commit b9639ece44614b409e57632d03e07dbd7762061d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 2 19:16:01 2026 +0200

    core: strutils - proper size for control chars in ksr_str_json_escape()
    
    (cherry picked from commit 15da24b6c0d9ffc04d5ffaba15c95ce9741b16d3)

commit 15f92d5386ec83297afb101ec487c6afca6e69f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 2 18:58:38 2026 +0200

    core: strutils - check position at escape sequence for unescape_user()
    
    (cherry picked from commit 0ce7ba9f5366621e0394192e10873038267f68f5)

commit 58e8f760df25f681f23c5434469d8ae4162b4cb7
Author: Elena-Ramona Modroiu <anomarme@gmail.com>
Date:   Sat May 2 12:01:47 2026 +0200

    core: check value param for adding to dns cache
    
    (cherry picked from commit 9565defacd0a7f710b80425417a68384ba5793ea)

commit abb36b45c97a1c570081303da6f7ae5d1a7ba181
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 2 08:53:07 2026 +0200

    uac: parse auth header to find a supported one
    
    - GH #4698
    
    (cherry picked from commit 7350442dced78f3e3cbf1dae6e5fcccea2e331c8)

commit 45d2983a46d2a6d6d8d471ba7f216e4f5ddda92b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 2 08:33:05 2026 +0200

    usrloc: delete contact immediately on handle lost tcp
    
    - GH #3479
    
    (cherry picked from commit 390bcb11d182c26b9111d3497a3a451ffaf4be27)

commit 5256eb7c34989b394cd68efcf34875245198ac8c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 2 08:20:33 2026 +0200

    tmx: set callback for pv name free and check t branch index
    
    (cherry picked from commit 4d84419e569716222add1584871ab3fa8a38b4dc)

commit 1eafcdb4c03b7de464166f9221ae2aadb9b87e07
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 2 08:02:51 2026 +0200

    tmx: check via branch len for pretran test
    
    (cherry picked from commit f8f2f2d34866f1e6e6ba5d88b817c70c4f703b66)

commit aadc471d6c8127945ca3f5a34a196987bc572e34
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 1 19:21:18 2026 +0200

    app_lua: cmake option to specify the lua version to compile with
    
    - with -DKSR_LUA_VERSION or env variable KSR_LUA_VERSION
    - example: cmake -DINCLUDE_MODULES="app_lua" -DKSR_LUA_VERSION=5.2 ..
    
    (cherry picked from commit 96ca0439f049c87e8b623408991e13c98d9a3c48)

commit 1b554a40412dd21633571a9e761b2bd4831194ee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 1 10:48:32 2026 +0200

    lcr: check the result when creating pcre structures
    
    (cherry picked from commit d48f54781bd8b5045445d5b7c39a549c7bb7aea8)

commit c979652cb107981a74c9e0e5756b044edb97f981
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 1 09:49:00 2026 +0200

    regex: do not use global contexts for temporary per-match PCRE2 allocations
    
    - proper cleanup and check of returned values
    - related to GH #4660
    
    (cherry picked from commit 8ca16bc97a51871d8a59245318ef477e4f6dd193)

commit 0ac74907b7b89f1e047729823c37216051282494
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 1 08:34:42 2026 +0200

    dispatcher: return 0 for pvs on targets count 0
    
    (cherry picked from commit cbe064bdae28521b74d1ebce5429eb8d62abd905)

commit aec2810fe6ca3273d506c10b74e0d17bf2bfc948
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 1 08:24:15 2026 +0200

    db_cluster: proper connection list in log messages
    
    - GH #4467
    
    (cherry picked from commit abf471b3202107f03f9dd6f38e4ca15bb174e04a)

commit a3ffa65c002874370b74cf841e78f93bafbaaab9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 1 08:08:30 2026 +0200

    dispatcher: check host length before copy
    
    (cherry picked from commit 408c63624905f35db6f4dd045bac090f1803ada1)

commit 5548c7c38bfb88f75a0f03f1270d3c1f2a6e24dd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 30 20:40:32 2026 +0200

    maxfwd: remove function name from logs
    
    - check for headers pointer
    
    (cherry picked from commit 3a4f5b83da90d67aa59e040a3612f95976ca2b47)

commit db15b038fd6c8e429f1f622ef853fc316d5a5be0
Author: Elena-Ramona Modroiu <anomarme@gmail.com>
Date:   Thu Apr 30 19:48:48 2026 +0200

    pipelimit: limits on number of slots and pipeid length
    
    - validate db values and cleanup on errors
    
    (cherry picked from commit 522aaf5e72af11e461086871f588da2eef0f8cf4)

commit f669015970e4e136e022006dc4045b4106d14f30
Author: Elena-Ramona Modroiu <anomarme@yahoo.com>
Date:   Thu Apr 30 08:07:34 2026 +0200

    pipelimit: rewoked the cpu load parsing
    
    - check the value for timer interval
    
    (cherry picked from commit 609a5ab9727c2872c2cc31826ecc0716a54ab482)

commit 88fa3736248038fdc3b455373c021007f9e20553
Author: drTr0jan <drtr0jan@yandex.ru>
Date:   Mon Apr 27 13:45:54 2026 +0300

    app_lua: [cmake] fixed lua include var
    
    After 2ccd8a1183690693038606735292e8586d325704
    
    (cherry picked from commit 7fa4d437f47ae22a67f973e605bde379f2f49173)

commit d6910331e70a8c25a269a4885e96687e1417170e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 30 10:16:00 2026 +0200

    pv: callbacks to free xavp/* pv names
    
    (cherry picked from commit b8b9e309256ad9a82fdcb59cce0aaebec720d2f4)

commit 135bc11812bc28a818778ddbda8bc90e4dc9f2bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 30 08:53:35 2026 +0200

    pv: updated check before looking for xavp param bracket
    
    (cherry picked from commit 8926426712d2547243dd504cd556b99fac8ced7d)

commit 59d24530a25370c315dfadff19dacc9a28bd1abc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 30 06:41:24 2026 +0200

    pv: check for empty value on xto attribute
    
    (cherry picked from commit f3cd1c138ee58cc43835be4c8e1186ac62bfed19)

commit 471346eccd267fcee041dfe1f507f31aab3f1498
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 29 22:21:46 2026 +0200

    permissions: free the expression reg value
    
    (cherry picked from commit 58b9eb157c17739cc2ae6594e0025f54606cd7af)

commit 5471ffa557d9b030fcff8634a7abc45126f1fd6e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 29 21:45:53 2026 +0200

    permissions: use the common max uri size for buffer
    
    (cherry picked from commit 6f0f0a5d3917a3a9d7e6144af1960e8ed9f2e929)

commit 638333b7b846c447e3a8eb3f57646cb115941af2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 29 21:40:08 2026 +0200

    permissions: ensure to header is parsed for check register
    
    (cherry picked from commit 76789ae4f85e51f7b14cf856fffbad337814c9ef)

commit fdc9807ac137948288300f11f191e43d87436f00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 29 08:38:41 2026 +0200

    siputils: use buffer size for snprintf()
    
    (cherry picked from commit 4e584da9ae0c42eca8eea7e85b8a174d6311e8c6)

commit 4cfc9170590bca929d759c9e1204eb53beb293a0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 29 06:46:35 2026 +0200

    siputils: check the return of snprintf() for patching content length
    
    (cherry picked from commit d1dc1da78d31ec5ad6273b857b9c5c95016e627a)

commit 504080283487faf76da4a0ef89c15a1717a6b742
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 29 06:34:32 2026 +0200

    siputils: use ser memmem instead of strstr for charging vector
    
    - small optimization on search parameters
    
    (cherry picked from commit 60650c53f3ca957a8586ab7d6feb4f91e57ef16a)

commit 9f1f2758d82e9a5a52ce0128078926b4f597d335
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 28 21:42:24 2026 +0200

    textopsx: reworked condition on getting header parameter
    
    (cherry picked from commit 6908471e71086cc1cf6858220255b301906e0417)

commit 2fff7005f6f619b865d82566b2897b8ffc973a79
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 28 19:44:31 2026 +0200

    textopsx: check the return for snprintf()
    
    (cherry picked from commit a23646e873bc65105efd468bf7c671de4871159b)

commit 33b7c0ab28111dc7357d35797af42b82838afd2d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 28 19:28:58 2026 +0200

    textopsx: increment body line interator position before break
    
    (cherry picked from commit be7cff60d177d50a7c6230d68b0bada6a7c9b1f7)

commit 956c0547531eef8ee7d3df3c6ebfd4b11800c05b
Author: Torrey Searle <torrey.searle@wavecrest.com>
Date:   Tue Apr 28 13:58:56 2026 +0200

    sipt: use the actual calculated encoded length
    
    (cherry picked from commit ed1790d404598f71417934465942fd3eb1b0dcd2)

commit 112cdcbce17df1e511890c255d2a2a0681efa7cb
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Apr 27 10:48:24 2026 +0000

    sipt: Validate phone number length
    
    (cherry picked from commit 6fb59101a02db3baa7b87195f2d057ccf2ba4f44)

commit f59ca48a409572684dfa7f32bf7bdf49c4801d15
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 28 08:24:14 2026 +0200

    textops: check allocation result for several api functions
    
    (cherry picked from commit 7d9eca9943b51039fd624b4d4e5bb21b163bb3dc)

commit b8f6abde0ca9e226ae30de05bdd5f4081ce26206
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 28 08:18:06 2026 +0200

    textops: length check for generate_boundary() search
    
    (cherry picked from commit 023c302bb886579710239b71a41bf18344e367b4)

commit 0ca34e5feaffd536fd97c42318a06a42924f5883
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 12:21:24 2026 +0200

    rr: check user part for flow token
    
    (cherry picked from commit 23075bc8d2b646e736b8d6a5c811c13d72d4b6af)

commit 89c87be9988083a0d7b704cf90396da637d34f80
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 12:07:41 2026 +0200

    rr: check parameter for forcing socket
    
    (cherry picked from commit a3563a0de47016e3cb9616ad326a5fe3b7ef86a5)

commit 306c1557818f214546e60f0e9d75c8b32e70e962
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 09:46:54 2026 +0200

    htable: check for empty param in htable definition
    
    (cherry picked from commit a43df45a000070f390788276859b2b68a6ad5142)

commit cc257ea0cad4800400d19ad6a4b7fa810c9f1091
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 08:18:31 2026 +0200

    htable: wrapper to get dmq string from json
    
    (cherry picked from commit d68ad23f4d94449e7674b8d9a291974c5bde2c35)

commit b3b006d77245958dd6d18b2bd48a0afa0bea86b5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 08:09:55 2026 +0200

    htable: check json field for dmq operation
    
    (cherry picked from commit 11b8cb0cb9bc235b89ab7c3b45968383467d5551)

commit 9818651de3277abffe477b766906c958e992120f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 06:43:51 2026 +0200

    pike: skip printing ip with invalid lenght
    
    (cherry picked from commit 8d21836c9fd8988e43861a481f037095c1f9bf01)

commit c4dea19877458d9d04f9a19f06856021c2c25399
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 26 15:17:12 2026 +0200

    sanity: check the return of add_lump_rpl()
    
    (cherry picked from commit 0bfdf5f75a50da4c250c66f02f10888a0f9a030a)

commit fc6b86b62cf51533f23e34f415ef9db2a0d0f687
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 26 15:07:05 2026 +0200

    auth_db: clean up on pv initialization error
    
    (cherry picked from commit e6610a3263555a1ceac47c39ad9a44421bc250a6)

commit 0922846422fb7b87936d766f5ddac711f25028a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 26 12:17:44 2026 +0200

    auth_db: properly handle db str or string results for password/ha1
    
    (cherry picked from commit 34dcd50c81e290d0dec4d22d9bfc2c8828500538)

commit 0e1d3a55a05fae501ac5fa2ee8d8e7433211634d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 26 11:38:49 2026 +0200

    auth_db: use define for ha1 buffer size
    
    (cherry picked from commit f77ac0645e61b443f82ece21f024b878c46bad7e)

commit c78e364a440bce4ca90daf5916f969f16e8de249
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 26 11:28:57 2026 +0200

    auth: match first on algorithm length
    
    (cherry picked from commit 5a2994a3769b340f2920a9891fbd2b01abccc88d)

commit f35221fad374764f65d22d9673789a4e6e8827e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 26 08:10:02 2026 +0200

    auth: size checks for functions to get authenticate header
    
    (cherry picked from commit 60f647d2c6b8e0e13dacecbce23257c16670124a)

commit c18a93581750314eeee3df6ceb477288edf6a44f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 26 07:56:51 2026 +0200

    auth: check password parameter
    
    (cherry picked from commit e078b3fb3cb9d56d9969476358cc1d7940f8160d)

commit 5a08fea69a2bce5bb22388d47baf56a4624d3ff6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 26 07:21:14 2026 +0200

    sl: reset stats on error
    
    (cherry picked from commit 7b0319ac9f460e0a72db130c42cbd9f7da501ad6)

commit 80a3ecf489d3b8241bd16a4af95d647b01d7d790
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 25 21:01:27 2026 +0200

    sl: checks for empty reason
    
    (cherry picked from commit bcb1dcd838dcdb323aa05c40554428a009840f98)

commit bbbbfc67b0c600a0814f9a3fca4aeb1358e6931d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 25 19:06:14 2026 +0200

    nathelper: check fields on nh timer ul buffer parsing
    
    (cherry picked from commit 1c4bbb286ef44f48c14f394decdda2197d5d7563)

commit 4bc4c7df2d5530ee0b8253036aef07e1131c000c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 25 17:19:34 2026 +0200

    nathelper: check for proto alias location
    
    (cherry picked from commit 56babfe27c98f0347f87167553ea9d89d7d6c5b1)

commit 5737b3284feb092e297bddefe5d7b45ad8d33afb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 25 16:38:57 2026 +0200

    nathelper: validity check for alias proto
    
    (cherry picked from commit f79fde802895fdd4a6fef5ff98b802cadcad5066)

commit a44c3ed1a1512fa725969880b2bdc033f9598620
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 24 23:35:44 2026 +0200

    nathelper: check for size of r-uri
    
    (cherry picked from commit 792819cddb249a9aeb42c80be41cbffd74e851d4)

commit 1b2dad77102d8d8a0ef48225ad48f3d4f69719d7
Author: Alessio Garzi <agarzi@sipwise.com>
Date:   Wed May 13 17:35:26 2026 +0200

    pv_headers: Fix memory leak in pv_headers
    
    Before calling pvh_merge_uri(), c_data is allocated in shared memory.
    If an error occurs inside pvh_merge_uri(), this allocation is not released,
    leading to a potential leak.
    Additionally, pvh_merge_uri() may allocate further memory inside c_data->value.s,
    which also needs to be freed on failure.
    
    This commit ensures that all allocated memory is properly released in error paths,
    preventing potential memory leaks.
    
    (cherry picked from commit 97985752afa4fc1e80e3fc5daf70a11266145b29)

commit 787991d19797a08c250a3b1acb870b964bdb242d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 15 09:07:33 2026 +0200

    core: via builder - print socket in log when failing to find ws connection
    
    - backport of 5dba946d56e9e2de1d9124b6912e525859c753f7

commit 1dc0f58da31895a522235970ec067ee99a7c8fad
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon May 4 12:01:21 2026 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit fb53183b063af89ae490b869af7c58f1cf0149e2
Author: Alexander Bakker <ab@alexbakker.me>
Date:   Mon May 4 11:39:17 2026 +0200

    acc_json: fix docs typo in pre-encoded prefix modparam name
    
    (cherry picked from commit 2fdcdc8fd1c89ba5a00b962424a2c38b80e76acb)

commit bb74017208cdefdbc397d8b2474b73bde70e29f9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 11:43:06 2026 +0200

    ims_registrar_pcscf: Fix problems with double mem free, take three
    
    related #4671
    
    * free params->data.ipsec always
    
    (cherry picked from commit 5f6dd0bb09fa33a07397902f9822fb5c1a370945)

commit de4fc33ce90c3c11382eff3e8dc4789e0ec8c084
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 11:40:10 2026 +0200

    ims_ipsec_pcscf: Fix problems with double mem free, take three
    
    related #4670
    
    * free paramas->data.ipsec always
    
    (cherry picked from commit c257ac9aeabadabc24be8e59dee6e85b74d556e2)

commit 72e19957e2097b5a96ef50437dde9fae75077a63
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 11:08:26 2026 +0200

    ims_registrar_pcscf: Fix problems with double mem free, take two
    
    * include sec_header check
    * don't free data.ipsec before
    
    related #4671
    
    (cherry picked from commit 824dc0d39bf067ba343d7503b218e131a1944eea)

commit e47d4792de562b767d0796662525da902b270df3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 11:07:33 2026 +0200

    ims_ipsec_pcscf: Fix problems with double mem free, take two
    
    related #4670
    
    (cherry picked from commit d6e94a640097f31e14df652b039f017a90f20872)

commit d04659303e7fbfb55d0884dedc6dde6ceac7c51b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 10:45:44 2026 +0200

    ims_ipsec_pcscf: Fix problems with double mem free
    
    fix #4670
    
    same logic as 91c5ca751799db4f25a28a495350cc97f7c2f390
    
    (cherry picked from commit c7f290cc92760365af81f99c290a905d4e5c609c)

commit 66e0b5075dc741095bf3439e76d25833f8f82e52
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 10:51:36 2026 +0200

    ims_registrar_pcscf: Fix problems with double mem free
    
    fix #4671
    
    same logic as 91c5ca751799db4f25a28a495350cc97f7c2f390
    
    (cherry picked from commit 722c06b3efc53ccb369ce812c685c7d069508187)

commit 9717f03647e4caf9fea497ed8cfe7a301c03740a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat May 2 02:31:19 2026 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit d506359154f8b57cfd2be6971ab9383d7c791651
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Apr 30 22:10:01 2026 +0800

    tls_wolfssl: fix CRL loading
    
    Addresses GH #4695
    
    (cherry-picked from c522225058e0072eddf2573aab6cc4aff209ce17)
    (cherry-picked from 4501854dfc13e145a19c30e522bac9882a63f626)

commit a514b8e67a7cfb6c2a7c72c8cffc966ac9c3ada0
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Apr 30 13:31:26 2026 +0200

    http_async_client: fix remaining memory leaks and use-after-free in cell params
    
    (cherry picked from commit 779cf46e2565e96103223bf9040a30fe612a3748)

commit 2487a98bc0becc507782fcef744d82124f2d77b2
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Apr 30 22:56:49 2026 +0800

    db_mysql: handle MariaDB connector 3.4+ defaulting to SSL
    
    MariaDB Connector/C 3.4.0 changed the default behavior to enforce SSL.
    We must now explicitly disable the SSL_ENFORCE and
    VERIFY_SERVER_CERT options when opt_ssl_mode is set to 0 or 1.
    
    Addresses GH #4692
    
    (cherry-picked from fe5521cf46b8608823a4c380ab2e161146e0b4a7)

commit b155e5862aaefaa557044d79eeceed182da2a3e1
Author: Federico Cabiddu <fcabiddu@libon.com>
Date:   Mon Apr 27 12:42:43 2026 +0200

    http_async_client: fix memory leaks, use-after-free and NULL derefs
    
    (cherry picked from commit 269610690da4d0b920b6521c85f5aaa7d23fd4d5)

commit d415049f8e94758d0df6fd17e7944ce5ee67f09a
Author: Adrian Bunk <bunk@debian.org>
Date:   Mon Apr 13 18:54:54 2026 +0200

    cmake: stop setting -march on arm
    
    From https://bugs.debian.org/cgi-bin/bugreport.cgi?att=1;bug=1132834;filename=kamailio-6.1.1-2.1-nmu.diff;msg=10
    Details at https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1132834
    
    (cherry picked from commit 21c3e2ae3ea38f8ec495557a935ff50825d890e1)


===================== 2026-04-22 Version 6.1.2 Released =====================

===================== Changes Since Version 6.1.1 ===========================

commit 6adfcf115ac36006a4b1c621587acd6cd0b25790
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 22 09:08:46 2026 +0200

    src: version set to 6.1.2

commit 9b914ff01d83bfb2c3dd694c41399c9d1c89341e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 22 08:54:12 2026 +0200

    pkg/kamailio: version set to 6.1.2 for rpms and alpine [skip ci]

commit fcf5d89c11d437675bd299aaa9aceb042e15feba
Author: Victor Seva <vseva@sipwork.pro>
Date:   Wed Apr 22 08:42:19 2026 +0200

    pkg/kamailio/deb: version set 6.1.2 [skip ci]

commit 86323fa28e1aa75547cc43c2803b14030d1c00ae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 22 08:40:31 2026 +0200

    src: removed CMakelists.notes
    
    (cherry picked from commit 97610b799890e317a5e0b53f462c96a419d28faf)

commit 4529bcfa59e4292b95fd30c20a74b54eff8018b7
Author: Loi Dang <loidang@b3networks.com>
Date:   Fri Apr 17 17:41:56 2026 +0700

    topos: restore port/transport in contact URI for contact_mode=0
    
    In 6.1 the contact-building logic in tps_storage_fill_contact was
    refactored into helper functions. The else branch (ctmode=0 SKEYUSER
    and ctmode=3 XAVPHOST) was unified into a single append_host_info call
    with append_port_proto=0, which silently dropped port and transport from
    the generated contact URI for ctmode=0.
    
    In 6.0 the equivalent inline code always appended port and transport,
    producing contacts like <sip:bXXX@host:port;transport=tcp>. ctmode=3
    (XAVPHOST) did not exist in 6.0, so its omission of port/transport is
    intentional and is kept as-is.
    
    Fix: pass append_port_proto=1 for TPS_CONTACT_MODE_SKEYUSER only.
    
    Co-Authored-By: Claude Sonnet 4.6 <noreply@anthropic.com>
    (cherry picked from commit fc204822831f2732ce07864e1d2213d2d3c30bd6)

commit 1626393aac97e7665a34cc2a6853d018c8a28e09
Author: Michael Furmur <furmur@pm.me>
Date:   Wed Apr 1 02:10:52 2026 +0300

    core: _tcpconn_find: fix protocol checking for tls_connection_match_domain
    
    (cherry picked from commit a4ddf14d894a4bbcb7fb169aab6235abf749f21a)

commit 3c783894c6679aef52dec8a86bec7dcff3f814aa
Author: Michael Furmur <furmur@pm.me>
Date:   Wed Apr 1 02:10:37 2026 +0300

    tls_wolfssl: fix tls_h_match_domain_f connection matching
    
    (cherry picked from commit f67cf74db5ebc80a4affe42921bd525fbdbb2a1c)

commit 5c5b348831632ba739228c372408d2d7d7835c2f
Author: Michael Furmur <furmur@pm.me>
Date:   Wed Apr 1 02:10:23 2026 +0300

    tls: fix tls_h_match_domain_f connection matching
    
    (cherry picked from commit 337ac691039588fda41a98d055f32ed25630447d)

commit 9a927829635e597688246485872c2d110cc08e4d
Author: Tim Anderson <tim@claritynetworks.com.au>
Date:   Wed Apr 15 13:18:38 2026 +1000

    siptrace: fix segfault when hep tracing in transaction mode
    
    - added checking that the trace_uri is not null
    
    (cherry picked from commit d56c61bf93798860721937c6cac42f63c4af1319)

commit ffb4a62f8b62aa30d59c69f6c9ee610b54382eaa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 19 17:25:10 2026 +0200

    tls: use SSL_CTX_set_ciphersuites() for TLS 1.3 ciphers from libssl 1.1.1
    
    (cherry picked from commit 8ee596f6972ff52648c8fea6246ff20972b67e52)

commit 6a41ed61fc3dc359e473a35b40f9786b33cd05df
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Apr 17 14:05:20 2026 +0000

    ims_qos: Validate length before copying
    
    (cherry picked from commit af1ae1d1e08a9880062882789bd1c7acb1077852)

commit e5d17078f33fab286af8d8d097f85f093f8cb8e0
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Apr 17 13:19:00 2026 +0000

    ims_usrloc_pcscf: Improve error handling
    
    (cherry picked from commit 5e012c7b6039ed2d8ec04eb7694670d0edce63d8)

commit c68def4c8628d4a1895f7f3e31561089f6c41ff1
Author: Maksim Nesterov <braams@users.noreply.github.com>
Date:   Mon Apr 20 22:45:30 2026 +0200

    http_async_client: freeing event upon request completion
    
    (cherry picked from commit 383f5fb9ec9943a5435fdc107638a512469648ef)

commit 5a281a77ba2cc104dab294471904afaa6aae641e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 19 18:26:21 2026 +0200

    Revert "core: dns - Fix lookup of multiple NAPTR entries"
    
    This reverts commit 723528c4f91a1601575d454ef7f56609423e7b89.

commit 84ebaa20790fc61670bd4ed85ddea38e23cdb8b3
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Apr 19 09:46:18 2026 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 48481b0bd8515556ab8ba66ef1af240b8db742bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 17 21:08:23 2026 +0200

    tls_wolfssl: check IP address length in get_alt()
    
    (cherry picked from commit eb53aace0f9941cfdf4d90a7f8f49a4533bf8e30)

commit 5b0ff2dc8b52652c1ee46bb3c4d0b3c2495bd03e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 17 21:03:40 2026 +0200

    tls: check IP address length in get_alt()
    
    (cherry picked from commit 6a5cb97f2a89573fe2e8252f34fe9da100cbfa2c)

commit 83b3614407b08b467eaa06a7dc83187f1fe5ae79
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 17 20:56:06 2026 +0200

    auth_diameter: use digest user field when appending realm
    
    (cherry picked from commit a79e8ce6d2f31a599147766feb76dba8901a0d08)

commit 7933e0d44e64f588165760f306116a6c0f5c5a8f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 17 20:48:30 2026 +0200

    auth_radius: use digest user field when appending realm
    
    (cherry picked from commit 9e24a3764f5957102486e3d9834c210223809ddd)

commit e375affe23482b528326742cbb9418fba3c58d0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 16 06:31:40 2026 +0200

    siprepo: keep the rcv structure
    
    (cherry picked from commit 596398dd56d7a084c338829e9225df4c033d309b)

commit 8c3fb89cfc5c7b1022c97ca4b08d3ba00e7bf20b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 16 06:01:49 2026 +0200

    siprepo: removed unused structure
    
    (cherry picked from commit 42859aa15638f89135cf82ea760e8ba123644184)

commit e8da8a16aafe469088ade4d0a3400a05057d1428
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 15 18:04:31 2026 +0200

    htable: check if item is still expired after event route execution
    
    - event route for expired item might prolong lifetime with new
      assignment
    
    (cherry picked from commit 7d091e2f11e977e533691d5b76ec495a640831fb)

commit 64bc9747ad61702c0c646ff9384092f85be76da6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 15 17:20:21 2026 +0200

    pv: remove unnecessary r-uri parsing for geting it and o-uri
    
    (cherry picked from commit fa57bb58431a950f3691a288704ba603fa7aa7d6)

commit 584f7e803021e4e313dae992fe28d6e590d0af47
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 15 17:14:34 2026 +0200

    kemix: remove unnecessary r-uri parsing for geting it and o-uri
    
    (cherry picked from commit 675fe2335097da0d9583f5ca8a5b045b9e6354a4)

commit 9c7e8026fa997c2be7d085060a814905e50b02c5
Author: timando <tim@crazytel.com.au>
Date:   Wed Apr 15 10:39:00 2026 +1000

    kamctl: Fix incorrectly spelled variable name in kamdbctl.pgsql
    
    - Fixed incorrectly spelled variable name DBCLI from DBCMD
    
    (cherry picked from commit 52b384386f26dbf611e4846c03daab820d75e591)

commit 961f460de37fe03ad8a05b7c1b519f8f88f323d6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 13 21:36:36 2026 +0200

    siprepo: removed unnecessary conditions on ack and cancel
    
    (cherry picked from commit fdb8ea0e788640c278c6cbd7bd9bf311cd5afa2a)

commit 9b6ced91d198adea48b8afcb077f429f5a1a3ceb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 13 21:30:22 2026 +0200

    siprepo: docs updated with the missing rmode param
    
    (cherry picked from commit ebff50f398aed798fc169630d13c7250e59979b5)

commit 0fa7499ab82cff9f5c8f343c976ed59684c31bae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 13 21:17:00 2026 +0200

    siprepo: proper fixup free for sr_msg_push()
    
    (cherry picked from commit 17608acc4411c75fbc5e4ca1a48278333e1e72cb)

commit b8905f36d1f020479678df16dce3b6d573e398d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 10 11:03:23 2026 +0200

    nathelper: reworked detection of no contact or star value
    
    (cherry picked from commit 15705a76e112b38ed782ed380c28ef5f8a3934a0)

commit 69392c24e218f5890f7ecb509792f627bc559079
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 10 10:25:53 2026 +0200

    nathlper: get contact uri detect star header value
    
    - GH #4683
    
    (cherry picked from commit 38d013a578a2c03cf880fe4bb26394ec865ccd07)

commit f783f3a141626967daf0c6c3b1f24c8bf8a471f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 10 08:53:21 2026 +0200

    app_perl: Makefile - use $(shell ...) instead of backticks
    
    (cherry picked from commit 3f3701d19d2b0620e03d386286a4ab2c378b6986)

commit 87c54f0d454f350ebab4e1415790e6b29acc939b
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Wed Apr 1 14:02:42 2026 +0200

    http_async_client: Add $http_time parameter to docs
    
    (cherry picked from commit ce087ee796a3b1a6751a8286018cb2e5601d8fac)

commit 053b6500fdd112fef5ed2c5bd134556240c3f561
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 18 11:34:09 2026 +0300

    Revert "Receive patch for fail2ban"
    
    This reverts commit 5bd7f4ed3e3a47cab2d8d2246176e26374427b5c.

commit 65968e4d4c9d74f692c8217871b536a5e0805b3a
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 18 11:32:51 2026 +0300

    Revert "Build related changes"
    
    This reverts commit 4e4df33e7f8dcdbad001f4b2c35fe9633608d508.

commit 3a54116a4e8ec265d51393d06f67d1a51ec480e8
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 18 11:32:39 2026 +0300

    Revert "Increase size of permissions hash table"
    
    This reverts commit cd8d60b71e1824426f0898097dcccb5a4c1c8dfb.

commit f91338b298138df58e49537fd978dcaa92503572
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 18 11:32:02 2026 +0300

    Revert "Added local module"
    
    This reverts commit c50bbf6caffe2bbaa1d124402a992abb757e6d57.

commit cd8d60b71e1824426f0898097dcccb5a4c1c8dfb
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 18 11:06:37 2026 +0300

    Increase size of permissions hash table

commit 5bd7f4ed3e3a47cab2d8d2246176e26374427b5c
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 18 11:02:16 2026 +0300

    Receive patch for fail2ban

commit 4e4df33e7f8dcdbad001f4b2c35fe9633608d508
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 18 10:53:47 2026 +0300

    Build related changes

commit c50bbf6caffe2bbaa1d124402a992abb757e6d57
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 18 10:53:32 2026 +0300

    Added local module

commit 835c2de86d599c90a5b03119730aff8c031ac34f
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Apr 7 16:35:29 2026 +0800

    tls_wolfssl: improve setup of DH tmp key
    
    Cherry-picked from 0caa84ab481abf8584bf67a79b09f4c46caeabd8

commit 1b48726e1cb6046e217f54d65295d337799e555c
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Thu Mar 5 00:12:07 2026 +0200

    pkg/kamailio: packaged peerstate and ptimer modules
    
    (cherry picked from commit 387d33bd62f784020bd7d7f9b855d9bdadb2ac11)

commit 7c6aeed89f713fa3fd86c6bd89daf1e4b5e4cb0f
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue Mar 31 10:46:25 2026 +0200

    kamctl: clarify license [skip ci]
    
    * remove history lines from files
    
    (cherry picked from commit 99f121429b6f97cad647518bfebc7bc984108315)

commit bc4919177557a48f697d85aa9d7f6def826dc7e4
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Mar 31 11:03:15 2026 +0000

    ims_ocs: Fix typos in comments
    
    (cherry picked from commit 0eb01e0515c84314b0b7e334b348b331afeaf233)

commit 612dc997579fa5e2f37deb7345705e2003a3a0ff
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Mar 31 11:02:47 2026 +0000

    ims_ocs: Add memory check
    
    (cherry picked from commit 53b47f5be5961dfca0142c74d549f7de5ce768b8)

commit b886b6623dec905b817bfc4c09e095ce1f582312
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Mar 31 10:52:11 2026 +0000

    ims_ocs: Free after copying the values
    
    - Remove extra freeavplist call
    - Add len check
    
    (cherry picked from commit a56942affd35d41890c23f1d3b5bb519f87ef5ad)

commit 079f5900bef55e16d5183a32fa6c9b48175900a0
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue Mar 31 09:02:12 2026 +0200

    pkg-kamailio-deb: restore libjwt-dev dependency [skip ci]
    
    (cherry picked from commit 274edebc23f4ea9789149b4864167a4a8d8b3c75)

commit 594764afc935b8d0225afd16ff0c1d13567c2cda
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue Mar 31 08:51:43 2026 +0200

    pkg/kamailio/deb: restore jwt on supported releases [skip ci]
    
    (cherry picked from commit d7d0752558821e9a7c19da985ea59ab66a7b29bf)

commit e69384f016fde821c84bbf978b9b915028038c68
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Tue Mar 31 08:52:55 2026 +0800

    tls: fix builds with OpenSSL 3.0.x
    
    Cherry-picked from d139f421b85df86d7dbeb97d74c6c65626b2079d

commit bbe1aa9fd6ff81f15208fb3252d431bc325810e4
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Mon Mar 30 15:24:26 2026 +0800

    tls: fix compilation on OpenSSL 1.1.1

commit f613089ae78e34b84f61fa29e4c379e900eda70b
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Mar 29 15:51:48 2026 +0800

    tls_wolfssl: use accessors for ASN1
    
    Cherry-picked from 6c3807836f6deeefa29508b2a01e09d87a3bdbfc

commit 701960a8a5c324d2585bf72e36aa809d71c75593
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sun Mar 29 15:19:52 2026 +0800

    tls: fix compilation with OpenSSL 4
    
    Replace direct field access with accessor functions/macros.
    
    Cherry-picked from 403c87522327e005e7387fc464519c8fa19c3719

commit 9a64f7580635f4b641c45810e9bbbc02f68bb282
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Mar 29 03:16:19 2026 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 912e14ec2631cf3abfadd0f2126ec713d3d91d64
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Mar 28 10:00:41 2026 +0800

    tls: fix loading of providers in MP-mode in OpenSSL >= 3.3
    
    - like engines in 1.1.1 we cannot use the config mechanism to
      load in the child anymore
    - provide a new parameter provider_quirks_config that points
      to a provider configuration file
    - required due to changes in OpenSSL 3.3+
    - updated docs
    
    Cherry-picked from b69fbf0001494fe45546c4f847364d34a40f8c57
    Cherry-picked from 6a038dc232ddb908c8c1c066bfa0c918fa3566f1

commit 02cdbb1d4e28ee587722ab6c04000f7530b4c385
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 25 14:36:17 2026 +0100

    msrp: reformat initialized structures
    
    (cherry picked from commit 2c860b61afd0207e897f47a65e644c0b6a1c54d2)

commit 6e4cd0366db49ecc59a987f8841aaa06417c409d
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Mon Mar 23 21:50:05 2026 -0400

    textopsx: fix segfault in pv_get_hf_iterator_hname()
    
    Use correct array index [k] instead of [i] after loop exit.
    Variable 'i' contains undefined value after the search loop completes,
    causing segfault when dereferencing _hf_iterators[i].it->name.
    
    The loop finds the iterator at index i and stores it in k (line 2476),
    but then incorrectly uses _hf_iterators[i] instead of _hf_iterators[k]
    after the loop (lines 2486, 2489).
    
    Crash backtrace:
    #0  pv_get_strval() - dereferencing invalid pointer
    #1  pv_get_hf_iterator_hname() at textopsx.c:2489
        Passing garbage pointer &_hf_iterators[i].it->name where i is undefined
    
    This bug causes crashes when processing SIP replies with header iterators.
    
    (cherry picked from commit af593600fb7ae0297ce649ff099536aebf490134)

commit f2edccb1df540f0b90184756df8802b349f354be
Author: Victor Seva <vseva@sipwork.pro>
Date:   Wed Mar 25 16:06:36 2026 +0100

    pkg/kamailio/deb: missing nghttp2 module in rules [skip ci]
    
    (cherry picked from commit 2d9f3f0d3e5cf2a9151691c2c17850cdccb449a5)

commit 6ea2d7fd96d98882f1a64a0a7ccfe4bf4a1bbdff
Author: Victor Seva <vseva@sipwork.pro>
Date:   Wed Mar 25 15:56:48 2026 +0100

    pkg/kamailio/deb: add missing libnghttp2-dev build dependency [skip ci]
    
    (cherry picked from commit ab3342136f05ae27793388cfbbbdf5a4560f9638)

commit 80f5817fe9013352634697602f0f8ec9db98e8a1
Author: Victor Seva <vseva@sipwork.pro>
Date:   Wed Mar 25 15:49:48 2026 +0100

    pkg/kamailio/deb: add nghttp2 module to extra package [skip ci]
    
    (cherry picked from commit 73e675504e6e1cddc4cb8766eaf34c5eca94c6ac)

commit 741e4e9dc2fd335405997c9682588884639ab77d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 25 12:31:18 2026 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit a856aef46d536bb4d5dd13a04615cb0961ba551c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 24 11:10:43 2026 +0100

    core: parser: guard conditions for limits on multipart body processing
    
    - GH #4656, GH #4657
    
    (cherry picked from commit d20a5bae01f8eaa8e8fec271cd964d6e3b2fb694)

commit e70e3da19b4230d8bd7a0ebde0e683861c7fcbd9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 11:58:04 2026 +0100

    siputils: find special chars with limit for set user/host functions
    
    - copy values with size to target buffer
    
    (cherry picked from commit f678332df50ec60a2fb4f587dcd40f217aec32b5)

commit 87233d8aac1c67ff7445d7356321d33a5b05828b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 07:27:46 2026 +0100

    nathelper: check size of built contact for select operation
    
    (cherry picked from commit 3c4746dc3873ce6766eb01fae598c47bbaaa5ea0)

commit 5e7a360a7a5127395ebd81a77723c9ed06724cbe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 22 16:04:23 2026 +0100

    dialog: skip other state tests on dlg clean run on a match
    
    (cherry picked from commit 6b5b97849c1cda9013ef4090809472e7aa047161)

commit dd7588a07007daa151a0f764d2f8f47ba5c0937f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 22 15:46:47 2026 +0100

    dialog: unref after dmq operation on dlg timeout
    
    (cherry picked from commit 1b723b4d3ec6df6cf721a3794998c7d2fcab9582)

commit 9557d3e73f6e2e900e637400dae982291cd37063
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 22 11:03:23 2026 +0100

    nathelper: check the length for alias ip and port
    
    (cherry picked from commit f2896a23725df88469faa89b1b864727d7bc6534)

commit 2ec277a1566a73c313eeaf42842f56c640be2fcc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 22 10:41:19 2026 +0100

    core: check boundaries - init lb size, keep reference to last boundary list item
    
    - rename local variable for clarity
    
    (cherry picked from commit 762ef9169a0aaabb74989494057d025383d0cb3f)

commit 44809658f4d6506613c55fb9cfe63fb739381dbc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 22 09:32:21 2026 +0100

    core: dns cname result - allocate space for full name
    
    (cherry picked from commit fa3587c929e53c37d37b3396511ee165f8affeff)

commit 4328c00dda75d88af8a3f3ef1481fb133056b247
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 21 21:28:36 2026 +0100

    msrp: use macro to append to buffer
    
    (cherry picked from commit 61f9db0a1ae8539ac9684ca8439ba975b881b540)

commit 0a49e11b6c36d0b8d8530b51c697c12ef532c611
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 21 20:24:44 2026 +0100

    pv: zero terminate s.replace transformation result
    
    - check the result length
    
    (cherry picked from commit 6d21462c7c3c53dd0fab772d6acf288ff2e4759c)

commit 20c6869d960e0242144cea261eecc78cef35315a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 17 21:58:17 2026 +0100

    dispatcher: small updates to log messages
    
    (cherry picked from commit 3000a0c29b7d872842822287dbc5fe55ca00d502)

commit 7e1faa1b8739bcbb2f153a1d98eacdb85b567c57
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 17 09:20:02 2026 +0100

    dispatcher: export ds_ping_fr_timer to match the docs
    
    (cherry picked from commit a1c8a3650143ae2c5a70455453a89d16f5a8fa66)

commit 7f699ade41a6411f333fa683c0895251a86b8f00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 16 22:23:29 2026 +0100

    evapi: use the appropriate define for tag size
    
    (cherry picked from commit 14a0d12e1d6e441e3d57fabd8f8aa416d6907056)

commit 4874edb13d2df6264c128e126185ef413dbeca5a
Author: Michael Furmur <furmur@pm.me>
Date:   Mon Mar 16 18:08:37 2026 +0200

    core: tcp_main: do not check tls domain for non-tls connections
    
    (cherry picked from commit e1a8b303d9d46fa29c4da44b824fac83e518b29f)

commit 5bb4fe0ac48aa1f9bdca51da242a7684419b5b87
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 14 22:08:38 2026 +0100

    tm: uac build - use bracket condtion also for length
    
    (cherry picked from commit 311157f86c6707be68258df7537345cc8075f90b)

commit e68cb00c6463d8e27e5eef85248cdcfad210301d
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Sat Mar 14 22:51:49 2026 +0800

    tm: fix uninitialized variables tdname/fdname in build_uac_req()
    
    This caused a garbage (very large or negative) value to be passed to
    shm_malloc(), resulting in allocation failure for any UAC-initiated
    request with no display names in From/To headers - most visibly
    dispatcher health check pings (OPTIONS/INFO).
    
    Introduced by: 2cc287dff638ea65aca3bf9fd55377f519bcab3f
    ("tm: uac - keep the display name set via rpc")
    
    Fix: initialize tdname and fdname to 0 at declaration.
    
    Co-authored-by: Claude Sonnet 4.6 <no-reply@anthropic.com>
    (cherry picked from commit 6cc6b34f18e252f70501bb53d7dd38a326016406)

commit 07cd43c63702dbee7380b0204320d09d3540a852
Author: Norm Brandinger <n.brandinger@gmail.com>
Date:   Tue Mar 10 00:10:35 2026 -0400

    rtpengine: fix NULL pv_spec_t dereference in DTMF event handling
    
    Guard all pv_spec_t setf() calls in rtpengine_raise_dtmf_event()
    with NULL checks. When DTMF event pvars are not configured via
    modparams, the corresponding pv_spec_t pointers remain NULL, causing
    a segfault when rtpengine sends a DTMF notification.
    
    Co-Authored-By: Claude Opus 4.6 <noreply@anthropic.com>
    (cherry picked from commit 4767914ff7e29771ca4261dea38e8dff2b5dd3d2)

commit dfb88b390df2979234f587f75b43f2b8deb02853
Author: Alex Hermann <gaaf@gmx.net>
Date:   Thu Mar 12 16:36:32 2026 +0100

    rtpengine: Fix memory leak due to overwriting nodes
    
    idx should not get reset within the outer loop as it will cause overwriting
    of earlier nodes and leaking their mem.
    
    (cherry picked from commit 80ae09ba669f5dba3b02a91c0ef19934843ee412)

commit 5fd4473ec1574c30e9300261e029da90e657d9e5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 12 07:18:24 2026 +0100

    tm: uac - keep the display name set via rpc
    
    (cherry picked from commit 2cc287dff638ea65aca3bf9fd55377f519bcab3f)

commit 3efa3ec85cf0d23060bb278366fc5a3a7419228f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 10 17:54:12 2026 +0100

    jsonrpcs: docs for transports and store_path field
    
    (cherry picked from commit 8ef9cedc1609ec519fbd029a70960fc27abbf37d)

commit 723528c4f91a1601575d454ef7f56609423e7b89
Author: Kilian WÃ¶ber <Kilian.Woeber@kontron.com>
Date:   Thu Jan 29 15:31:48 2026 +0100

    core: dns - Fix lookup of multiple NAPTR entries
    
    - Allow storing NAPTR entries in dns_srv_handle
    - When resolving NAPTR, try to reuse entry after initial lookup
    
    (cherry picked from commit 34844f3b235235c9d44681f89098893967e3b408)

commit 5bc12fc123958eda051ba4f4259664b78f632132
Author: Victor Seva <vseva@sipwork.pro>
Date:   Mon Mar 9 18:52:02 2026 +0100

    app_lua: [cmake] set missing LUA_INCLUDE_DIR when using PkgConfig
    
    > https://cmake.org/cmake/help/latest/module/FindPkgConfig.html
    
    (cherry picked from commit e54590d8758c978a452050a969db078fa3de2fdd)

commit dbddf8989518dd374290bd59805e30039b93250d
Author: Victor Seva <vseva@sipwork.pro>
Date:   Mon Mar 9 14:16:32 2026 +0100

    app_lua: [cmake] use proper lua include var
    
    > https://cmake.org/cmake/help/latest/module/FindLua.html
    
    (cherry picked from commit 2ccd8a1183690693038606735292e8586d325704)

commit 12db0455efc88dc16f6ad799a59c8badcad1205f
Author: Victor Seva <vseva@sipwork.pro>
Date:   Mon Mar 9 12:53:16 2026 +0100

    app_lua: cmake fix for detect lua5.5
    
    (cherry picked from commit 876b2d1d579c0386fe1c17faa4dd6fdb871889f4)

commit c71f6d37f658645c8563d85a644a032d09905b2c
Author: Joey Golan <joey@synchapp.io>
Date:   Sun Mar 8 08:12:34 2026 +0200

    tls: fix segfault on musl libc due to uninitialized pthread TSD
    
    On musl libc (Alpine Linux), pthread thread-specific data (TSD) for
    the main thread is not initialized until pthread_key_create() is
    called at least once. The diagnostic loop in mod_init() calls
    pthread_getspecific() with raw integer keys 0-31 before any key has
    been created, causing a NULL pointer dereference on musl.
    
    Force TSD initialization by creating and immediately deleting a
    pthread key before the diagnostic loop.
    
    Fixes: kamailio/kamailio-ci#20
    Related: #4534
    Made-with: Cursor
    (cherry picked from commit d53dc5ab9b95b82a2e8769351d77e33ce8d43bb7)

commit a24d88c19f68d9a94509aac83fd2d4679389e6d3
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Mar 24 13:48:48 2026 +0000

    presence: Validate watcher URI length before copying
    
    (cherry picked from commit e134644d16ea54c17598e880f1cc791715f4ea31)

commit 194343ba282a4fd52d0ca0b382f14098cfc0ce49
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Mar 23 17:01:41 2026 +0000

    cdp: copy data before freeing
    
    (cherry picked from commit d08376c33ee97613eb99b00405af86b5dba45738)

commit 77422bf8cc4a75317cb26669b9bc41dfed744c09
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Mar 24 15:39:41 2026 +0000

    ims_charging: Free avp after traversing
    
    (cherry picked from commit 8d71214cddf1a82b229e0fb0ab11139878536178)

commit f1a333b37bce0b6f4f1b177813a7d144ec252d97
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Mar 24 11:14:42 2026 +0000

    cmake: Add back missing definitions
    
    - b4df3a4e9 removed some definition by mistake

commit 03458f22adc4cb65858430d39bbf8fa88fd4f8c6
Author: Victor Seva <vseva@sipwork.pro>
Date:   Fri Mar 6 16:20:57 2026 +0100

    pkg/kamailio/deb: compile app_lua with the highest available Lua version [skip ci]
    
    (cherry picked from commit c49662d5cadf22a7612709d55c7bb0fd76dc05c2)

commit 84de956799df6ee4f4c7bb46249f1477f334111e
Author: Victor Seva <vseva@sipwork.pro>
Date:   Mon Mar 16 08:54:51 2026 +0100

    cmake: don't add executable perms to kamctl/kamctl.* files
    
    > W: kamailio: executable-not-elf-or-script [usr/lib/x86_64-linux-gnu/kamailio/kamctl/kamctl.base]
    
    (cherry picked from commit bbf67a6d94427da38d32b361e15175bce3d2195f)

commit 02a444451598eef26481af781e047c62adc6ce14
Author: S-P Chan <shihping.chan@gmail.com>
Date:   Thu Mar 12 16:37:00 2026 +0800

    tls: fix $tls_my_subject/$tls_peer_subject always returning null
    
    The PVs $tls_my_subject, $tls_my_issuer, $tls_peer_subject and
    $tls_peer_issuer are registered with pv_comp() as their getter with
    only PV_CERT_{LOCAL,PEER}|PV_CERT_{SUBJECT,ISSUER} flags â no
    PV_COMP_* bit. After pv_comp() strips the cert/subject flags,
    ind_local becomes 0, hitting the default: branch which sets
    nid=NID_undef. get_comp() then called X509_NAME_get_index_by_NID()
    with NID_undef which always returns -1, causing all four PVs to
    silently return null regardless of the certificate content.
    
    Fix by handling NID_undef in get_comp() as a request for the full
    distinguished name, using X509_NAME_oneline() to return the complete
    subject or issuer string (e.g. /O=Example/CN=host.example.com).
    
    Cherry-picked from 86549be22f92442c192281bedcce1c3a1f80cac1

commit f1a6e0c8a05d658c4f3fab5a58d57e91d3236e44
Author: Norm Brandinger <n.brandinger@gmail.com>
Date:   Mon Mar 9 23:46:18 2026 -0400

    core: fix swapped comparison in atomic_stdatomic.h dec/inc_and_test
    
    atomic_fetch_sub_explicit() returns the value BEFORE the subtraction.
    To test whether the result reached zero, dec_and_test must compare the
    old value against 1 (old=1, new=1-1=0).  The code compared against -1,
    which can never be true for a positive refcount, so the "reached zero"
    condition was never triggered.
    
    The symmetric bug existed in inc_and_test: it compared the pre-increment
    value against 1 instead of -1.
    
    This affected all 8 _and_test functions (int/long x relaxed/seq_cst).
    
    The practical impact is that any refcount-guarded free (TM transactions,
    TCP connections, DNS cache entries, config blocks, WebSocket connections)
    never fired on aarch64, causing shared memory to leak monotonically.
    
    Fixes: #4626
    
    Co-Authored-By: Claude Opus 4.6 <noreply@anthropic.com>
    (cherry picked from commit 79f5265057c99a6058bb92a3c0992fa1b9b0c121)

commit acd0b07537a0f838da7e0003d032b1626756a654
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri Mar 13 20:44:02 2026 +0100

    dialog: Check for Via header
    
    (cherry picked from commit 8f1565799c8ba55805005a3e4880d7b9808c6fc8)

commit b97ca6ff380060e5c2ce5385dc87da627c6be231
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Mar 5 10:59:30 2026 +0000

    cmake: Update dbschema generation flow
    
    - dbschema will build schema files into db files and copy them to source directory
    
    - install will copy source tree files (utils/kamctl/db*) to install folder
    
    (cherry picked from commit 9631c04c09fa128718ecd0fa0cb614188625fafd)

commit 1a6cea4a43b9aa02a29aa80b4ee1f5ead3209995
Author: Boris Korzun <drtr0jan@yandex.ru>
Date:   Mon Mar 9 16:37:36 2026 +0300

    phonenum: cmake: Fix a typo
    
    (cherry picked from commit a898ee597e959cfe288853ed3521e7afb8e45e75)

commit 4dbc6b328ba063cca6005819b845dfb15871b15a
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 30 13:02:41 2026 +0000

    websocket: cmake: Use find_package to find unistring
    
    (cherry picked from commit f0437e30ce60fdbab1f56963ca15d04c9da43c30)

commit 02643327bd18718a77c902d7aef8ad95919c0267
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 30 14:16:44 2026 +0000

    cmake: Add unistring module
    
    - Add as a find_package to allow easier custom installs
    
    (cherry picked from commit 46302eb4f5d7b2c0e85f19ff09a25fc9c74a2712)

commit 02299bb855c5e82e20044ca52e5334219ceb78a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 5 16:32:50 2026 +0100

    tm: remove unused define for mi fifo
    
    (cherry picked from commit 7b67d5a719b7ba0f5a34360e4713425a85911613)

commit c116205815df569fb40d01b989a4958a12bf0710
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 5 17:06:22 2026 +0100

    tm: disable char substitution for tm uac rpc
    
    - undocumented unexpected behaviour
    - can be enabled with compile option (considered to be modparam if
      needed)
    
    (cherry picked from commit 6796c967ab07616a9e749858de58f5e920ea9fdf)

commit 361c7ac0dc35f9907bcb1e151c0cc6e7971367d8
Author: Joel Serrano <joel@joelserrano.com>
Date:   Fri Jan 30 01:38:30 2026 -0800

    xhttp_prom: include global tags in user-defined metrics
    
    (cherry picked from commit 9f7838561daece724a9fa877cd140f744c81d452)


===================== 2026-03-04 Version 6.1.1 Released =====================

===================== Changes Since Version 6.1.0 ===========================

commit 7a920ed8d2600e15f9a3ba5c7d9a5a897cbf9207
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 20:04:44 2026 +0100

    src: version set to 6.1.1

commit 5f02ed54a24e08b0ebbf9816f15c80213f3b666d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 17:33:54 2026 +0100

    db2_ldap: cmake - link libldap
    
    (cherry picked from commit ce7c002c6ccf6f7b0a369c73a66c25b566080420)

commit 2bfbac1574692ff54e9647159ee9473ee95bc7d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 17:25:01 2026 +0100

    kazoo: cmake - link with libevent
    
    (cherry picked from commit 6b51a80f70a524eaadd2d52fc13594006d41d1bb)

commit 78a3b9c22a6212ab619c3e20ee0513a3d43b90fe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 17:23:45 2026 +0100

    jsonrpcc: cmake - link with libevent
    
    (cherry picked from commit 69b4b70f38ec0458dd58f3c9fe1f522daad57279)

commit 43014286810a7777dd6cedb61586056861c3ff2a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 17:23:20 2026 +0100

    db2_ldap: cmake - define OPENLDAP23
    
    (cherry picked from commit 88df34e4aa711140f63dfec6db1d185459fdd1aa)

commit ee3fd8976daa30fa02e43decbbfc8326775108e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 16:49:08 2026 +0100

    src: pvtpl and ims_qos_npn added to modules groups
    
    (cherry picked from commit 443fefa91001c4d26cd73f2b621834aa67074a72)

commit 1910d07f5235209d7e559b72b8e5f2d6994921ee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 16:45:28 2026 +0100

    src: added siprepo to modules groups
    
    (cherry picked from commit 449e57126fce3d4e95a4b519dbf7e2d0efcca34e)

commit 9ea8ab74f5a681059c2f4f1dfa2352138502b741
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 16:36:31 2026 +0100

    src: added peerstate and ptimer to modules groups
    
    (cherry picked from commit 1eb09224d7cd6a6734c0a8bf2b62dd9c2364178a)

commit 61cac26fe18b195029b31d0c946f7be6ab37473e
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Mar 4 09:13:12 2026 +0000

    phonenum: cmake: Add missing cpp files for compilation
    
    (cherry picked from commit a5a63fdca5a676b4317a21b95214ebed262f9b14)

commit aea091e3e9b8adf04b70d827ca55cc43d2e50dc0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 10:45:22 2026 +0100

    pkg/kamailio: version set to 6.1.1 for rpms and alpine [skip ci]

commit 93bad4a3efcf7c09e55c2dff4c24cf64b0a05876
Author: JiangHai2011 <haij2011@sina.com>
Date:   Wed Mar 4 09:07:41 2026 +0100

    tls: check SSL_set_app_data return value and handle the error
    
    (cherry picked from commit 072e948b41d5633bf5d824141460d72307826d0b)

commit 727c9d52bd4bb6d6fc1b645f695c86e76f56baed
Author: Victor Seva <vseva@sipwork.pro>
Date:   Wed Mar 4 09:00:43 2026 +0100

    pkg/kamailio/deb: version set 6.1.1 [skip ci]

commit 876553de11aae0f50f4da5dbea0218c684ef2a74
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 4 07:31:18 2026 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 0a3db968d0c816235d45db5c3a7c2493225d8471
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Mar 3 15:34:58 2026 +0000

    registrar: fix wrong example for default_expires_range
    
    (cherry picked from commit 5f7aeeddb91a7eee57a1640d08ea5c367062c7d2)

commit 1ab4d31158030138c933a8d74b55ad2b2e78bd14
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 2 12:45:52 2026 +0100

    core: adjust bufsize filed for event route message received
    
    (cherry picked from commit c2639123993febc5b59f0127c2d97d79520a2928)

commit 4076b32435b32205460e4d5fbcbef3ed8500e8c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 1 22:55:21 2026 +0100

    core: tcp read - check coontent lenght for max int limit
    
    (cherry picked from commit 2c47fe1625b57e04252230e0e783ba4182afbebb)

commit 4a6c201910a84bb2a296df7ee489350be5f91f7d
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Thu Feb 26 19:23:14 2026 +0000

    ims_qos: fix incrementing of SDP stream number
    
    (cherry picked from commit 6fc2102ca771f5a64bd058eee08dd537f6b804e0)

commit 95a51ee7b098ced29ed372ba1ba05973a73223a3
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Fri Feb 20 19:27:11 2026 +0000

    ims_qos: fix in-dialog requests by removing comparison of SDP stream number and direction
    
    (cherry picked from commit 2faeae906b182b9f2bf0e79dd073e3de99a3f3cc)

commit 398a3d4a9c467ad82ba2fdd51f575946d3776947
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Feb 25 09:23:42 2026 -0400

    rtpengine: add "directional" flag
    
    Closes #4599
    
    (cherry picked from commit a02f07ecf24564b7f0eb555cce0bdf88727ebdd3)

commit a666c77b3ab18b98db5328d2f5409667ecce2fea
Author: Victor Seva <vseva@sipwork.pro>
Date:   Fri Feb 27 12:46:18 2026 +0100

    pkg/kamailio/deb: restore jwt module missing from cmake-components [skip ci]
    
    (cherry picked from commit 5abcf292345c124fa449755c1ca1871fabb533b2)

commit 4efd743e0d9e209428fdcf934a5859d3ea6b3b7d
Author: Victor Seva <vseva@sipwork.pro>
Date:   Thu Feb 26 14:45:47 2026 +0100

    app_python3s: cmake link python3 lib
    
    fixes #4605
    
    (cherry picked from commit 67e891d0c6a9d538c6ba646b7db12db4c0ddcc1e)

commit 71b8248a13b9efe1ec33625931e62cee7da3af01
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Feb 26 14:01:19 2026 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 422449360dd6b83f7847a942364665b5b3650ce8
Author: Victor Seva <vseva@sipwork.pro>
Date:   Thu Feb 26 13:53:16 2026 +0100

    async: fix typo on use example of async_task_group_data cmd [skip ci]
    
    related #4606
    
    (cherry picked from commit 6f29228e07eddf155a97a403b66c60dbcf2e051e)

commit 59799ab4c3d337e64cddbe4c87ea08c8a38cf9a4
Author: Victor Seva <vseva@sipwork.pro>
Date:   Thu Feb 26 13:49:15 2026 +0100

    async: fix processing of 3rd parameter of async_task_group_data cmd
    
    fixes #4606
    
    (cherry picked from commit 9ae78f8bb918324f4303f769ba79c6e2910d2eab)

commit 8d702d7e912aba45e6fd2a3ad76bac1a936b6633
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 25 08:15:17 2026 +0100

    pv: extended $rcv(...) variable for event_route[core:msg-received]
    
    - aliased to $recv(...) to be able to avoid collisions in some cases
      with return code
    
    (cherry picked from commit 93ba4a9e3c37904d564e75e8802cd70e94491ae9)

commit 4ed2c55c4cfc8bd8d66b352775d9c5f1f0252ef7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 24 18:06:23 2026 +0100

    pv: extended string transformation with charat and byteat
    
    (cherry picked from commit df1f5c02c003c77d0a902e6e4ba1115caa096ff3)

commit 6204721ab081d63022b9b37c6702dff8c6d2fa50
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 24 13:14:51 2026 +0100

    core: extended the execution of event_route[core:msg-received]
    
    - option to be executed when data is read from network
    
    (cherry picked from commit 454e897f153736aac53776517a9ecfa260ce910a)

commit 4960e787fe95fa52c07b959af157232bfc1697fa
Author: Alexey Volokitin <alexey.v@didww.com>
Date:   Thu Feb 19 23:31:11 2026 +0200

    outbound: parse Expires header to prevent crash
    
    (cherry picked from commit bf135ccbdcf2bdb607c95952c92bd96972e65413)

commit 35c48f4fbb5fc70371cdfccbe80c23c888a7efa3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 23 09:02:00 2026 +0100

    rtpengine: exported start_/stop_forwarding() to kemi
    
    - GH #4598
    
    (cherry picked from commit fd75abf30ae80bd3243cd5942f071457fb4bc0aa)

commit e6f010c553df6499b9d85ee621312d77307c2617
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 23 08:37:07 2026 +0100

    core: parameter tcp_accept_protocols to control active protocols
    
    (cherry picked from commit 96ebc009544b7e3c5efa88708cfe71df8e7d5989)

commit c92362ee8674dc98388674b44d99befd23c04d36
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 22 11:21:36 2026 +0100

    cfg_rpc: compliant response for rpc cfg.help
    
    - it was overwriting a single string value for jsonrpc and standard rpc
      response structure, switched to structure with two fields for
      description and type
    
    (cherry picked from commit a8e9cd99b56e455ed8c21d2454f9d3286701b118)

commit 3cc921f1c41da0bacbbb5e10d920f6b41897dbaa
Author: Alex Hermann <gaaf@gmx.net>
Date:   Fri Feb 20 16:22:04 2026 +0100

    dispatcher: Fix overly verbose logging
    
    (cherry picked from commit ad98a3ec9fa76fdf85254d96458245641084614c)

commit 7c56584d90f7efa6dcef65ddb318b1583d02b8f6
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Mon Feb 23 21:23:19 2026 +0100

    auth_ephemeral: Add link to OpenSSL in CMakeLists
    
    (cherry picked from commit 3fd1afe60fe37e0ed87fe3b3c5acb6da9dd613f0)

commit 2e63fb3f707c0976b9c5e48fb280c613fb55f95a
Author: Morten Tryfoss <morten@tryfoss.no>
Date:   Mon Feb 23 21:00:24 2026 +0100

    geoip2: Fix typo in CMakeLists
    
    (cherry picked from commit 2c9e3138d2e5ada1b52e8e66af7df0dae4dce0f8)

commit 16edcfdbc95db427babf47fb2a9bd052258cc34a
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Feb 24 08:22:45 2026 +0100

    pkg/kamailio/deb: add back db_text module [skip ci]
    
    (cherry picked from commit bb3b8fe6e0bb648b40bd7c2ec15ed9407bb2a3ae)

commit a64fd75c148ab1e224587da9b60ed048366d208a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 20 06:58:22 2026 +0100

    core: tcp read - checks for MSRP first line
    
    (cherry picked from commit 045bf283c095d72e69986403c5835afeca9af4f1)

commit c3fd3592257edbb2bd4d74cb438e6576cac7a079
Author: Norm Brandinger <n.brandinger@gmail.com>
Date:   Fri Feb 13 15:00:33 2026 -0500

    dialog: fix race condition in link_dlg_profile
    
    Move link_profile() call inside the dialog entry lock in
    link_dlg_profile(). Without this, a linker added to the dialog's
    profile list becomes visible to destroy_linkers() before it is
    inserted into the profile hash table. If destroy_linkers() runs in
    that window, it sees hash_linker.next as NULL, skips the hash table
    unlink, and frees the linker. The subsequent link_profile() call
    then operates on freed memory, corrupting the profile hash table.
    
    This causes SIGSEGV in get_profile_size() (NULL pointer in hash
    chain traversal) or an infinite loop when hash buckets become
    cross-linked.
    
    GH #2923
    
    (cherry picked from commit c958cc7a1dcad00c4bb36f79d539bbb96f135642)

commit f7e7d8917dcc56b1023ff6574faab83281d4adc2
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Feb 18 10:07:21 2026 +0000

    dmq_usrloc: remove comments about function exit status
    
    (cherry picked from commit 70c1964854fea7cbd4c3990e0e3aef0e9ee3243c)

commit 450caa3548a4840778c7eafd9320a01fd40a299c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 18 11:08:03 2026 +0100


===================== 2026-02-18 Version 6.1.0 Released =====================

===================== Changes Since Version 6.0.0 ===========================

commit 2cc923a0f7a4640853a0483d34ef8b3c5d7112ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 18 10:52:22 2026 +0100

    src: version set to 6.1.0

commit a564d2da4007d80698b123e74382268f721fca78
Author: Stefan Mititelu <stefan.mititelu@net2phone.com>
Date:   Tue Feb 17 11:31:56 2026 +0200

    dmq_usrloc: improve return codes checking on add contact

    If no shm available when at dmq_ul.insert_urecord(),
    will cause a crash when trying to dmq_ul.insert_ucontact().

    (cherry picked from commit 26a84c938641aa1aed30a368c1415adc5aff39ed)

commit a1e357dc9032524fff6c1a96614bcbc4fd8fcb88
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 18 10:47:20 2026 +0100

    pkg/kamailio: version set to 6.1.0 for rpms and alpine

commit 9ed6af4482439d04ebb2cd4f0e986b30f4cc8dea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 18 10:46:09 2026 +0100

    pkg/kamailio/deb: version set to 6.1.0 for spec files

commit 1ea74e75d5eee3c76343329855447bdd8f7e14a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 18 09:40:22 2026 +0100

    etc/kamailio.cfg: updated version in comment

commit 5182a677a078dd89f16dd85fb0941577a6e7f3a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 13 09:59:11 2026 +0100

    pv: manage if changing uri to from/to needs enclosing
    
    (cherry picked from commit b29086966d6ab8b69c0fada8b6b379a0b3268bbb)

commit e8a43d551523e232c90214cc05929b35e5898d20
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 13 08:46:28 2026 +0100

    tls_wolfssl: replace asserts with error logs
    
    - do not crash, try to run further
    - GH #4391
    
    (cherry picked from commit 8239d541503ce43c58d7f7ab54ba8ee70f557821)

commit f3a00a3051b709580d7df75e8c91a438c195060c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 12 20:23:42 2026 +0100

    uac: replace - enclose new uri if needed
    
    (cherry picked from commit d9e6bb39cabc963468326731d99423eaa65da278)

commit 966d92ff34a892757aec7036dba0085abae3ff12
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Feb 12 10:42:28 2026 +0000

    uac: Fix 2 spaces when replacing empty display name
    
    (cherry picked from commit 1018ff6934879658ec045a6c2165e412c711a2c7)

commit e4a1693906780e1c7141cec228f5ee1e5172f212
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 10 22:09:15 2026 +0100

    core: parser - field to keep the style of the to_body
    
    - enclosed URI or quoted display
    
    (cherry picked from commit b1f0091b17707c5e04e7cc370ceb52d84bbd1aae)

commit 66d0781e3c8243c6f92093efb4b70beea7079c77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 16 20:24:00 2026 +0100

    kamctl: regenerated db schema

commit db39588047aa73d72c88f543603d7207e51fb2a0
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Feb 9 08:17:03 2026 +0000

    cmake: netsnmp: Use correct option for discovering linking libraries
    
    (cherry picked from commit 92540376d1ab794802f7a047389f68a079a23021)

commit 4664a6ed29b715a22e32f039c6861230c5f66b70
Author: Victor Seva <vseva@sipwork.pro>
Date:   Thu Feb 12 14:25:49 2026 +0100

    ims_usrloc_scscf: print string value of ucontact->state
    
    This helps a bit while debugging
    
    (cherry picked from commit fe0af365ad603527f4e97144dfaec852bbf954a3)

commit eb8b4ff5d29a02c05c54b999f9300255dc4f7cdc
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue Feb 10 12:04:40 2026 +0100

    ims_usrloc_pcscf: print string value of reg_state
    
    This helps a bit while debugging
    
    (cherry picked from commit 2a0e90f4e645934f0646b29047c25cee9ccf0110)

commit f0bcf13c7ed9571849bb879f2c2e2d4a65d44953
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue Feb 10 11:36:44 2026 +0100

    ims_registrar_scscf: print string value of ucontact->state
    
    This helps a bit while debugging
    
    (cherry picked from commit 1d54c7db52185981a3fa4ec19df9e7376de40427)

commit 206c7bc8c04ff68435bc040e211e97af21af1f57
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue Feb 10 10:38:39 2026 +0100

    ims_registrar_pcscf: fix small typo in debug log
    
    (cherry picked from commit b4d38643209b8876345b2120994fb8860313b325)

commit 5a11efbb1c5661c4c4b8d7faa4e4a1eae00ab264
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 8 15:45:06 2026 +0100

    core: free dst earlier inside shm_str_dup_mode()
    
    (cherry picked from commit 4015c6c47d6e4189788331757663fcd7ff988db2)

commit 68f5ce8457edd238b55a27394793c83f621c71cb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 8 15:36:08 2026 +0100

    tls: store server name and id in tcp connection
    
    - to be available for tls multi-threading with tcp_main_threads=1
    - related to GH #4583
    
    (cherry picked from commit 2c70fe352ee13f638a0f21e6fe406aa3a8fc58cd)

commit f234e2c6fda97fc7a35278125f42250a9db96b80
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 8 13:19:45 2026 +0100

    core: tcp - added fields for server name and id in connection info
    
    (cherry picked from commit 78c475d03c94067aaa064ba1cdba6d27807fd4c9)

commit be2392a87e77c0ee7ffb5984cfbb3e827912f02b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 8 12:35:21 2026 +0100

    core: resolve - added missing headers file for str shm dup
    
    (cherry picked from commit 733482c6565b7dd3a14ba84ca268267ca2f6879d)

commit 784402b31d9f962047adc3f10964150eb8c053b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 8 12:31:41 2026 +0100

    core: macros to duplicate/update str in shm
    
    - added the update variant, based on former duplicate function
    
    (cherry picked from commit 75187b6e931b2980811abb7a4ea78ceb21866202)

commit ab8ba5bd2199a1ce0f4d845c5651588eadb92926
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 8 09:16:17 2026 +0100

    core: tcp - relocated definition of ksr_coninfo_t
    
    - related to tcp connections
    
    (cherry picked from commit 20409ba57735434b12fbc8a7e0c26739d7eac140)

commit 41dbb84befbb84e26c58b326a1247ac387a44a87
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 4 20:07:10 2026 +0100

    app_lua: search first for newer liblua versions
    
    (cherry picked from commit ed7bd2519a54995abf153e231ac4bd76a66b1842)

commit b9701628d67452ef8e94ab8542c7896e19bf0aa7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 4 11:04:00 2026 +0100

    app_lua: option to take the module name from defined id
    
    (cherry picked from commit 2a2b58c986b6eae70a2cedf9d13ad2f1d95bc496)

commit b3c38a88b2c7d6021b81f457f2b1e0e39ad8fcfb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 4 07:44:38 2026 +0100

    kamcmd: buffer size for jsonrpc response made cli option
    
    (cherry picked from commit 05bac070e1f04113817baff1fa7b676b5de92b65)

commit 25099a1f9e3f3ebb5b3c19ca51e4d5c5fdc6a0c8
Author: eddie2072 <eddie2072@icloud.com>
Date:   Wed Feb 4 19:44:33 2026 +0800

    rtpengine: avoid use-after-free when logging duplicate hash entry
    
    (cherry picked from commit 94ce539038df5565e88bfa8105cfc289575105cd)

commit 150ddb0caf3e0283d92de656ead44a7d63eaefa5
Author: Victor Seva <vseva@sipwork.pro>
Date:   Fri Jan 30 11:18:44 2026 +0100

    pkg/kamailio/deb: build documentation [skip ci]
    
    related #4573
    
    (cherry picked from commit f7101e99f7594519bd5cf5b46bc7428f3a44ff3a)

commit 2022ce03055cd49d5f5ca7aed6d37cf62e4a5543
Author: Victor Seva <vseva@sipwork.pro>
Date:   Fri Jan 30 11:16:53 2026 +0100

    pkg/kamailio/deb: docbook-xsl dependency for building docs [skip ci]
    
    (cherry picked from commit 724db55111c589acc22b257323fe1789172897f2)

commit b201b785aa26884bb5d7ad497e7eceb5e14eddb0
Author: Victor Seva <vseva@sipwork.pro>
Date:   Wed Jan 28 09:51:19 2026 +0100

    pkg/kamailio/deb: add lynx as dependency [skip ci]
    
    (cherry picked from commit 642e68ae69407b0752b0e1be9eb313404725256b)

commit 45a938c1c33989b43a36d6ee700baed1b6f6c7e0
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue Jan 27 17:18:00 2026 +0100

    pkg/kamailio/deb: build dbschema manually
    
    (cherry picked from commit aa38076f3dfb5b331871029e9bc5e01bc4e51726)

commit eec89862f4b6330ffa0cf17f465b7295fbf3fc01
Author: Victor Seva <vseva@sipwork.pro>
Date:   Fri Jan 30 11:33:15 2026 +0100

    cmake: Adjust passing env variable, take two
    
    follow up of 3cda0c0040e7f0e50eed588248d513bbf8f1610a
    
    (cherry picked from commit 4aa8c3426d79399a76d9e61ca63ce30d4c46a47d)

commit d3e54ae7da28294624219bee97d209797700575f
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 28 14:28:29 2026 +0000

    cmake: Remove unused dependency for docs
    
    - docbook was never used
    
    (cherry picked from commit 67e1d577849ce3487f2acce161597e8cf1e0785e)

commit ddd7ca8116b43b68274f9e54c7e7e2c3a3a40738
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 28 12:01:13 2026 +0000

    cmake: Remove man pages for modules
    
    - Outdated.
    
    (cherry picked from commit e44596f00145a7bb053f9a56974cdbfc412ed3af)

commit 1e1f50fb77dd9017cfb245a613ecb3e31a4c6de5
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 28 10:29:37 2026 +0000

    cmake: Adjust passing env variable
    
    - CMake was double quote if containing spaces or special shell characters breaking the build.
    - Pass env with cmake tool
    
    (cherry picked from commit 3cda0c0040e7f0e50eed588248d513bbf8f1610a)

commit cd09efe8467489041a662124e2e89044e6f07fba
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Feb 1 11:01:28 2026 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 7f3a78052f5bbe01ab9e92d3846fde4c5ed4718c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 1 10:40:13 2026 +0100

    peerstate: the folder with documentation has to be doc/
    
    (cherry picked from commit 06f9f71db2f9103ad68ade2ebe83671f05d50fa5)

commit 5d2b63f58bd7670e64e693dcc8be3d9187ab42f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 31 21:26:26 2026 +0100

    jsonrpcs: docs - small type [skip ci]
    
    (cherry picked from commit 91635499da9a2eebd2ca392718c333d965eeaf74)

commit 59d2e4b5434e57f5974771350b96fa470cac0377
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 30 13:11:09 2026 +0100

    websocket: CMakeLists.txt - add macports paths
    
    - GH #4576
    
    (cherry picked from commit 106b0aa376e5c1dd1dc29373c1e0c7ac3579053c)

commit 3be386ab915a7b7d59d624917fab2e6209f1cbb5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 30 09:17:42 2026 +0100

    core: atomic - remove compile warnings for darwin
    
    (cherry picked from commit 6c196e18649d90d6bcda2d2c21247f8797966ecb)

commit 8e811f80ff8e569c67222e34de5f5a85f3a97f1b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 30 09:08:42 2026 +0100

    core: atomic - match also __CPU_arm64 as alternative for __CPU_aarch64
    
    (cherry picked from commit 388f9a1e43f3b1f4878028b1671e136fea788106)

commit 9e49c71a3526ef86132724765bb6138420126fb8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 30 09:04:55 2026 +0100

    cmake: match clang and appleclang for aarch64
    
    (cherry picked from commit b08e92c07deb69b155c7a6b6ea6259d8485206c5)

commit 7ad2cf699a76015c44816772c2edf239cc7f251f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 29 20:57:57 2026 +0100

    Makefile.defs: define CC_GCC_LIKE_ASM for arch arm64
    
    (cherry picked from commit 92b6e416c7735938bc329212d67e42c23bb98b18)

commit 7eb607cfcf5e4d80a037b2e90f1a9e826a448fd1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 29 20:53:19 2026 +0100

    cmake: defs.cmake - match CMAKE_C_COMPILER_ID with AppleClang
    
    (cherry picked from commit 34d8d793a6f4cb926bec77241c2ba951478cec18)

commit eab2dda5a7b6b70ee9e99129b563e87a13630b38
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 29 20:17:36 2026 +0100

    core: reformat compile flags
    
    (cherry picked from commit 60a22341de1453b12ae4a7a48f1d345979e96b51)

commit 811459eb023297b68dafab2cd9b2d6dc9732bb0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 28 10:57:14 2026 +0100

    Makefile.defs: skip -Wl,-Bsymbolic-functions for darwin
    
    (cherry picked from commit 9a19fa4ea5082307706401f447a38bfb1fae0f77)

commit 4b61f8366d0ef6bafdd7329d6c39d69e12db4ae9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 28 10:54:58 2026 +0100

    core: atomic ops - silent compile warning for darwin
    
    - when falling back to atomic unknown, typically used for development
    
    (cherry picked from commit 67d16d697c318af22b619030c080aacb8e1e9df4)

commit 23477f512a2121e020cc741cd4d23d4410a8efdd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 28 10:19:53 2026 +0100

    kamcmd: updated version in makefiles
    
    (cherry picked from commit b3835ab135e7aa36f4555b54e9a785068923b504)

commit 15db838436f8ff7ac09c98e96c5d2af1eae98dc7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 28 10:15:19 2026 +0100

    kamcmd: format structures
    
    (cherry picked from commit 2293abdbb58cc6c9504c87fd1f7d85cef84e39b0)

commit 8b3872b7ddb9653e59e627cbd2e4399813b71abc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 27 14:20:31 2026 +0100

    xcap_client: check return for curl_easy_init()
    
    (cherry picked from commit 7ebb826040d63b4d55f11fb685a6c201739cd4b2)

commit 57880e059d16c64fecb5814c477ade3b0758a014
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 27 13:29:45 2026 +0100

    ptimer: free in case of error
    
    (cherry picked from commit 288d009b1dcda37b6b116578e623cea25fe241af)

commit e96b51fb988b43d7050669c9b598790ee577701e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 27 13:25:20 2026 +0100

    xcap_client: check the return for curl_global_init()
    
    (cherry picked from commit 898cdbb4e37f8451c19b7be676d49e3aacd404a2)

commit 64b5887fb3915529fc54beaf08da8d6d54078920
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 27 13:18:24 2026 +0100

    core: init locals in copy_reply_lump_list()
    
    (cherry picked from commit b3cf61d106d5ffc34fc338f34bc1193bd5bb5b3e)

commit f8dde3f7fa22934728329ac054b6f107efd93f3e
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Jan 28 04:59:27 2026 +0100

    uac: copy uac_flag to transaction's uas request in replace_callback
    
    (cherry picked from commit 3da94a1920f0dfafc553c0d7519fd9733ce00899)

commit de30323188419285a30787c9622534311267c050
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jan 30 12:46:15 2026 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 4dc9f981d20cb530daee41cc2bb5b57000ea5095
Author: Victor Seva <vseva@sipwork.pro>
Date:   Thu Jan 29 08:56:07 2026 +0100

    ims_ipsec_pcscf: document needed permissions for non-root execution
    
    related #4420
    
    (cherry picked from commit a2ff40c6a7df4511012a3b130a1d3e8eb33ed83e)

commit 76f6c079e44e3771c89acccbf8b4e8f3c7541fd9
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jan 30 12:31:19 2026 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit bbd698b2e591e6b70337911d93d0385329cffa76
Author: Victor Seva <vseva@sipwork.pro>
Date:   Fri Jan 30 11:52:45 2026 +0100

    nats: fix typo at nats_url example [skip ci]
    
    (cherry picked from commit cc0362dc78eedd8f88d546d3d4e58555717d8088)

commit 18fd837b78e07d9b61c56901d96eb212102e5dbf
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue Jan 27 09:34:54 2026 +0100

    github: set 6.1 branch for devcontainer and main workflows

commit 0c4e11a536897676c60cfe178793f79821e8af60
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue Jan 27 09:30:33 2026 +0100

    pkg/kamailio/deb: version set 6.1.0~rc0

commit cf8b616a8825328699821fb144e000f1e08d0322
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 27 09:06:48 2026 +0100

    src: version set to 6.1.0-rc0
    
    - branch 6.1 created for release series 6.1.x

commit 36c67dfc27efbca9e960af8ef71af551c67a8e7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 27 08:57:30 2026 +0100

    src: version set to 6.1.0-pre1

commit f00a9491e489bc1fc3f1d07bb0c659aad6b1f18a
Author: Victor Seva <vseva@sipwork.pro>
Date:   Tue Jan 27 08:28:07 2026 +0100

    pkg/kamailio/deb: libsecp256k1-dev >=0.5 only on trixie and sid [skip ci]

commit 4b93311ed9b960133dfd08806168d3bce6a9b4e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 26 22:19:08 2026 +0100

    kamcmd: set default jsonrpc socket

commit 839d452c2a470ecb3fe98335d96821d86bdee89e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 26 22:02:10 2026 +0100

    kamcmd: version set to 1.6

commit dc00c95f0a652d4dc70f737439b176da2ad9bc43
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 26 21:55:01 2026 +0100

    kamcmd: helper function to append string-z

commit eccdf9637e4e9851c28d680fc507009a237cc3db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 26 21:40:36 2026 +0100

    core: srjson - array pretty-printing similar to structure alignment

commit 0fcc7d183d5611ae92729de33b9cd81ce687723a
Author: Victor Seva <vseva@sipwork.pro>
Date:   Mon Jan 26 13:48:23 2026 +0100

    pkg/kamailio/deb: add auth_blockchain modules package [skip ci]

commit 637ea00e99c400020a9b2a2c20474ef080cfaccb
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 26 17:45:07 2026 +0000

    auth_arnacon: cmake: Use pkg-config

commit e728b7b8ec58cbd4c322fac076ef24572e895d0a
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Mon Jan 26 13:25:04 2026 +0000

    ims_ipsec_pcscf: reuse IPSec tunnel params only if Ck and Ik stays the same

commit 85cdbe99f173a6f360d6b7300302313a8888ceb9
Author: Victor Seva <vseva@sipwork.pro>
Date:   Mon Jan 26 18:22:28 2026 +0100

    kamcmd: fix missing declaration of _kamcmd_read_timeout
    
    introduced at 857fe0152ff821a41e1809e0a1c8b656650a8e1b

commit 4a55264c95da12399a37e583cf8b97c617430dab
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 26 13:31:13 2026 +0100

    modules: readme files regenerated - topos ... [skip ci]

commit fb72db05efbcc2f47d4212e028fe110a933a20a3
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 26 09:01:31 2026 +0000

    topos: docs: Add docs for new param
    
    - methods_update_time

commit 965fce08ecb94b3303c46c4b5d22dfe09e2cf4a7
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 26 08:38:58 2026 +0000

    core: Fix brief doc for parse_methods

commit a2878889eb983798b2991e883011f1863ac363fe
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 12 15:36:21 2026 +0000

    topos: Add new modparam for updating rectime on RE-INVITE
    
    - Allow disabling updates by providing empty modparam
    - Remove direction for subscribe
    - Allow any method provided to update the value

commit 857fe0152ff821a41e1809e0a1c8b656650a8e1b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 26 13:15:30 2026 +0100

    kamcmd: added timeout parameter for jsonrpc response read

commit f450ae7917d2c31695d4dd82fb9c9beb13a6db29
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 26 12:57:12 2026 +0100

    kamcmd: example in hel message for jsonrpc

commit 3c1f401b99b4d94fce465243f146594f49560c68
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 26 12:46:53 2026 +0100

    kamcmd: basic support for jsonrpc

commit 34f3ec9078e367c8da79760bc9c0d92a9a89b45c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 24 18:10:55 2026 +0100

    kamcmd: removed unused function

commit 412dcbfc9e2079c16ca23e423beb12b867ab4709
Author: Nathan Bruning <nathan.bruning@gmail.com>
Date:   Fri Jan 23 12:10:36 2026 +0100

    core: qm: fix bookkeeping of used and real_used in case of fragment split

commit 621143cbb243eee02ffcb616c142480331ea33bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 23 08:53:23 2026 +0100

    kamctl: version set to 6.1.0

commit 9c6606d335a92b2ef75e106ee958e43cd9c2aff1
Author: Henning Westerholt <hw@gilawa.com>
Date:   Thu Jan 22 12:06:07 2026 +0000

    db_text: fix conflicting comment about db_mode

commit 8247b56401401f258995ade7edd8602937a96b19
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 22 11:41:25 2026 +0100

    core: avoid unpredictable parsing behavior on platorms where char is signed
    
    * cast unsigned char before calling isalnum(), isdigit(), tolower()
    
    fixes #4563

commit e8607dd84fe0216c98822854e1776dc9a6070907
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 22 11:22:46 2026 +0100

    devcontainer: switch to trixie [skip ci]

commit 716c67777347b1b46eadc2127b9a160681db6552
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 22 09:04:28 2026 +0100

    rtpengine: return true instead of config exit for subscribe/unsubscribe
    
    - GH #4564

commit 373ff32c53b9ea1ce56854aa3e51ab485856adb7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 22 08:51:43 2026 +0100

    rtpengine: return 1 when rtpengine_subscribe_request_wrap() finishes
    
    - GH #4564

commit c992bc7621ee1d18ceddf8866a8b38a852d1a1a9
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 17:11:37 2026 +0000

    cmake: Update mutex option for TLS support and clean up unused code

commit 98d6e8df16778e60e2b71f7d1c6bdff2b3a3df61
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 17:04:57 2026 +0000

    sipdump: cmake: Add missing dependencies

commit 983f8cdc8af95b7bfb7d443c58427b8cff733003
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 17:04:33 2026 +0000

    misctest: cmake: Add missing dependencies

commit 53ddd2411960606821dddd8db8b8fe7abc5704ba
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 17:04:10 2026 +0000

    ims_registrar_scscf: cmake: Add missing dependencies

commit 7269a4c281d3e4f1a5d89e62c97bc17a04779201
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 17:02:48 2026 +0000

    ims_registrar_pcscf: cmake: Add missing dependencies

commit 5cf2f4ecde080d6ab1402b9c94bcb33f7b91b8dc
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 17:01:19 2026 +0000

    ims_qos_npn: cmake: Add missing dependencies

commit cd5ad0b7f0f14bcdafa0ec7597d7a0a802260429
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 17:00:58 2026 +0000

    ims_qos: cmake: Add missing dependencies

commit 5a3874b0140527eacbb1c90ea53a6c8560cbb892
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 17:00:35 2026 +0000

    ims_ocs: cmake: Add missing dependencies

commit a4589658e78a79a4d9561ee50eae208360513f86
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 17:00:08 2026 +0000

    ims_ipsec_pcscf: cmake: Add missing dependencies

commit a284b855016eaeed430c79db9300f0c167aa7dc3
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 16:58:43 2026 +0000

    ims_diameter_server: cmake: Add missing dependencies

commit 441b7c861e0d1324b642493175e28b7d8a41a974
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 16:58:27 2026 +0000

    erlang: cmake: Add missing dependencies

commit 13d22450cdf99c6bbc31dfae51d874361b8f78f6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 21 01:35:21 2026 +0000

    cmake: erlang: Adopt for newer Erlang/OTP version
    
    - libinterface.a deprecated in OTP Version 23
    - Allow custom installation paths

commit d13fcc0300c6bed9f531d0db9a513e116ca4d89a
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 16:57:32 2026 +0000

    cdp: cmake: Add missing dependencies

commit 7d86a9b2d20bb0b8a550498be44bb904066c00a9
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 16:57:05 2026 +0000

    app_ruby_proc: cmake: Add missing dependencies

commit f87fd704d4ec4d6c470fc49be799a460937de806
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 20 16:56:21 2026 +0000

    app_ruby: cmake: Add missing dependencies

commit a867a349f3dcc55137e90be2b11f746c292c1722
Author: Donat Zenichev <dzenichev@sipwise.com>
Date:   Mon Jan 19 15:28:19 2026 +0100

    db_redis: revert support of NULL values
    
    db_redis module implicitly supports conversion
    of <null> key values into empty "" strings,
    see: `db_redis_val2str()`.
    
    Remove empty-string/zero-length guards introduced
    previously, because they break this support.
    
    E.g.: dialog and usrloc modules can in fact
    handle <null> key values.
    
    Additionally: introduce the memcpy() guard,
    because running it on the NULL pointer / 0 length
    is in fact technically a typical UB.
    
    This wasn't noticed before, because modern
    libc implementations do not dereference pointers
    when the size is zero.

commit b09a83733749282f43993d4c9d75577d9bdd7a03
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 21 10:16:10 2026 +0100

    modules: readme files regenerated - corex ... [skip ci]

commit 421c530ec6ae663ae0ad9f65c19dc6e454d4774b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 21 10:00:21 2026 +0100

    corex: docs for add_tcp_alias()

commit 9cc994d57f9a2a298bc4cbd5dda507b2fe261670
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 21 09:50:14 2026 +0100

    corex: use the data type for internal message flags

commit 4e91363d645489369a51ec0c9f8ea12c0cb5c1c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 21 09:45:11 2026 +0100

    corex: add_tcp_alias() replacement for force_tcp_alias()
    
    - extended support for var parameter and ws/wss

commit 6a5baa9bdab031064dbaf1d8cb78c9ae2882bd18
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 21 08:53:27 2026 +0100

    tm: check the internal flag FL_MSG_APPLY_CHANGES

commit ed257f9655a54eb0ceef1c82bee4eb7feb73e0ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 17:03:22 2026 +0100

    corex: docs extended for msg_iflag_set()

commit f3969693061f54b1e0b961f26480dd419154e27f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 16:55:08 2026 +0100

    corex: extended list for iflag functions for msg apply changes

commit b63c40447d59a3a8e5c52eb07c78533b2d1083ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 16:53:59 2026 +0100

    core: internal flag for msg apply changes

commit 75439fdf07eb4b4b2f6c0067c9109c51cd52ae6c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jan 21 08:45:47 2026 +0100

    ims_registrar_scscf: fix unlock_udomain on error
    
    related #4553

commit fdfbdcf9f0dc8cf6cece71b9eb98eeba5d9a41d8
Author: Abdelmuhaimen Seaudi <aseaudi@gmail.com>
Date:   Sun Jan 18 19:09:25 2026 +0200

    ims_registrar_scscf: fix a couple of domain unlocks in save.c

commit 0756b35ba5be60369e9a11de9a97836566a6a1f8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 20 15:45:23 2026 +0100

    modules: readme files regenerated - tm ... [skip ci]

commit 877d357a0f3489b90e088daf0cc970f63204cf7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 15:30:45 2026 +0100

    tm: docs for t_msg_apply_changes()

commit bd032695e1346d69b5acc9d723ce2968f4f1b15e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 15:19:52 2026 +0100

    tm: t_msg_apply_changes() can be used in branch_route

commit 03117d74262388e38cf06ccf6d38ffdf51da6732
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 14:41:19 2026 +0100

    core: split sip_msg_apply_changes() to have a function without route type checks
    
    - copy over msg->add_to_branch_s field on applying changes

commit fab6448fc39f4e508b77025e3bcc702d70342c3e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 14:40:49 2026 +0100

    core: sip_msg_copy() restructure

commit 987f6a87862d050bea3342131515f96ea8b1009b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 12:35:33 2026 +0100

    core: sip_msg_copy() copy the reply lumps

commit 41cfe077c283c54a026e3df9658e832e72a8fdf3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 11:31:51 2026 +0100

    core: function to copy reply lump list

commit adf64c5586deff8c847d605d567ab1a9d9f0145c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 10:09:34 2026 +0100

    core: freeing reply lump list relocated to the file with related functions

commit 972d8fb36e88703d51c9a58965c3e4a34f444feb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 10:00:13 2026 +0100

    seas: updated comment about reply_lump field

commit 7f90f9e9ac63e885016d8b7bfa62d24673d1c74b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 09:51:04 2026 +0100

    core: sip msg clone - duplicate message lumps

commit fd8f62e4aa5be85d33ce5fb8c1e51b06640ffb95
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 09:34:59 2026 +0100

    core: data lump - function to duplicate deeply lump lists

commit c82bbf03c1060ab28d93dea39daa57d6f8bac1ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 20 09:10:28 2026 +0100

    core: data lump - use LUMPFLAG_DUPED as flag everywhere

commit 5aa859a862c907b61a77916e136997043c434f19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 19 12:30:18 2026 +0100

    tm: copy to a local request on creating branches when msg_apply_changes_mode == 1

commit 70be2cab0d3c91c93ac9d29862d3371e4a4c6a1c
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Jan 20 07:23:54 2026 +0000

    peerstate: small fix in docs, adapt to common spelling in other modules

commit 277d1b78b218591f1101ee684462b37744ae38e4
Author: Serdar GÃÃLÃER <serdar.gucluer@hotmail.com>
Date:   Thu Jan 8 16:51:44 2026 +0300

    peerstate: Add peer state tracking module
    
    - SIP peer state monitoring (NOT_INUSE, INUSE, RINGING, UNAVAILABLE)
    - Shared memory hash table cache for peer states with thread-safe operations
    - Dialog event integration for call state tracking (EARLY, CONFIRMED, ENDED)
    - Registration event integration for availability tracking
    - Automatic state transitions based on active calls and registration status
    - Configurable cache expiration and automatic cleanup timer
    - Callback system for external module notifications
    - API binding via bind_peerstate() for other modules
    - Added peerstate.get_peer, peerstate.stats, peerstate.list, peerstate.dump commands
    - Module parameters: cache_expire, cache_cleanup_interval, cache_hash_size, use_avps, disable_*_notify
    - Dependencies: dialog module, usrloc module

commit ba74e43074eaf9df80f6b2d231c658bbc4b85db6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 19 09:15:33 2026 +0000

    tlsa: cmake: Add build workaround for riscv64

commit acf5882c6142674a8f44de208f60f8d586eefb11
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 16 11:07:02 2026 +0000

    tlsa: cmake: Search for static openssl with find_package

commit c52dba649b901c92264b4b58fa1306032423250a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 19 17:16:11 2026 +0100

    modules: readme files regenerated - tm ... [skip ci]

commit 2025c2e395794333c91e90be81b7916abb82e93d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 12 08:40:36 2026 +0000

    ndb_redis: always use redisGetReply
    
    Pipelined redis response can be split across multiple network packets.
    After calling redisGetReply once it is not guaranteed, that all response
    packets have arrived and been read into the redis reader
    buffer. If the next pipelined reply is requested before it has been
    received from the network and processed into the redis reader buffer,
    fetching the reply will fail.
    Therefore, always use redisGetReply to ensure, that all replies
    available in the network buffer are properly fed into the redis reply
    reader.

commit b41ee2a9ccfce35329117b137708ff6fc33dfeea
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 9 10:02:33 2026 +0000

    tmx: Function to ack locally

commit ea154f6ec95877b0fce322559ed6e9865ae46c77
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Jan 9 10:01:59 2026 +0000

    tm: Allow setting for disabling auto ack generation
    
    - The exclamation mark is part of regular SIP messages (see grammar) and
    actually used in common setups (e.g. it is generated by CUCM).
    
    - To avoid warning by eval_uac_routing() on generating local auto-ACK.
    
    - Forcing the send socket of a particular request implies, that you don't
    want a following/potential local ACK on a reply of this request to be
    sent from another/automatically selected socket.

commit 411706c18c5f859747da4950a6987abd912881a0
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 5 15:49:28 2026 +0000

    pv: Add sha3/keccak transformation

commit 5551cd4182ebee964bcbd8c9034ac2557352d8f8
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 12 08:41:17 2026 +0000

    dispatcher: reflect ds_load_mode=1 on dst reload
    
    If ds_load_mode is set to 1, a failing destination address is skipped
    without causing total failure of the reload operation - thus avoid
    signaling general "failure" on destination reload in this case.

commit 06e7317f3807806806fcfea61a648c5307cf819b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 19 16:16:11 2026 +0100

    modules: readme files regenerated - rtpengine ... [skip ci]

commit 8712ef21db9109d392c71e64c49fc0255d75decb
Author: Michal PopovicÌ <michal.popovic@cloudtalk.io>
Date:   Mon Jan 19 13:54:15 2026 +0100

    rtpengine: update documentation for rtp_inst_pvar variable

commit d3bbbbfa15c849bb1f1d7aef7a0dfc5d9120a380
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 19 10:03:00 2026 +0100

    core: cfg.y - removed unused tocken APPEND_BRANCH

commit 1a67b637d928a2d94b4ef3b6d6cc03c196492eee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 18 19:57:21 2026 +0100

    core: helper function to copy sip message to local memory

commit fc1004506098e302cba9819179b76a62e245aba0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 17 07:53:09 2026 +0100

    core: ut - pkg_str_dup() skip memcpy when dst->len is 0

commit 393e6045cf8918d7525d5e44fa6b1791976aa484
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 16 12:54:23 2026 +0100

    tm: restructured prepare_new_uac()
    
    - split in smaller functions for easier management

commit e01c4a842146027ee93dbe7ef4fddec2b3a6ea3f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 16 11:11:24 2026 +0100

    tm: keep ds_uri in branch uac
    
    - path, ruid, ... are already kept

commit 28b8fc31f50a34dfe027b443293114fe9af8dcf1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 16 10:25:16 2026 +0100

    rr: mark the lumps with rr flag

commit 7a6813bc623f008e15f0e1df25c029a76f31fcd3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 16 10:24:02 2026 +0100

    core: data lump - flag for record-route lumps

commit 40c9f5d157ca5f04b5f09369c72d6dbcb892e1d6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 15 13:48:08 2026 +0100

    core: flag to skip applied data lumps

commit dacfbbf4d919c3004827bc7a0107c37a9bf77655
Author: Abdelmuhaimen Seaudi <aseaudi@gmail.com>
Date:   Thu Jan 15 01:27:02 2026 +0200

    ims_registrar_scscf: fix missing unlocks at update_contacts()
    
    issue introduced at 75904895577d0329ba0d30d10e645b8769451e51
    
    fix #4553

commit 73d2ffe0f39d27376ea2e4082d1cbf317a80623d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 14 23:21:37 2026 +0100

    tlsa: CMakeLists.txt - search and link to static ssl, crypto and z libs
    
    - GH #4552

commit aa64948ab69ce4ea7c0210de42b357353ff9aee4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 14 19:25:39 2026 +0100

    tls: CMakeLists.txt - added scope to target_compile_definitions()

commit 8006cc7d72b71b1e65c7f6eabead72593d03fcd6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 14 19:24:01 2026 +0100

    tlsa: CMakeLists.txt - the module has to be always linked with static libs
    
    - removed condition on LIBSSL_STATIC

commit 884208172dd50fcbda1010be1e5cff66a484cfbc
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 13 16:00:59 2026 +0000

    cmake: netsnmp:  Don't require the cflags
    
    - It was using wrong interface property
    - kamailio modules do not require them

commit 8e3e3499c15c77403974d94f8602384e7455cbed
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 13 15:28:41 2026 +0000

    microhttpd: Lower acceptable version
    
    - bookworm builds fine with 0.9.72

commit a3143e8c23dc6dab98b7c559353e4911f475bc22
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 13 16:42:11 2026 +0100

    pkg/kamailio/deb: add KSTANDARD to kamailio.cmake-components [skip ci]

commit 8bd9b3f9cf0f22310c36c9198c4ccbe16a4911a7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 13 14:56:26 2026 +0100

    pkg/kamailio/deb: fix build on bullseye [skip ci]

commit 436b6a3de1797f90ae50fa4730567c3b31d6f660
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 13 12:56:02 2026 +0100

    tm: remove module prefix from log message

commit 7ff33667d553bf510b0bcf4f16a93badb49cc8f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 13 12:54:52 2026 +0100

    core: sip msg clone - split the function to get the length of the cloned data

commit c13053e0d015391ceb76161375ca8389af40158d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Jan 13 10:54:44 2026 +0000

    rabbitmq: cmake: Use pkgconfig to find it
    
    - v0.11 (bookworm) reports wrong version (4.5.0) when used which adds the defintion and breaks the build

commit a9cebb564be125fa55d5cabfab6a5f837cfc2850
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 13 10:59:57 2026 +0100

    pkg/kamailio/deb: properly exclude db_text [skip ci]

commit 0d31d5fc2e2af4ed376aaf2691dc754761997e4f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 13 08:48:31 2026 +0100

    pkg/kamailio/deb: fix build step [skip ci]

commit 39baada2ab45300ee3925dc57682f6d524984073
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 12 19:05:36 2026 +0100

    pkg/kamailio/deb: restore removal of berkeley packages [skip ci]
    
    * 52a9763663c0b545a78aa4fed62b75795dd23fca

commit ea2f3be73609488a07230a9d4f9ba750df51d916
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 12 18:56:56 2026 +0100

    pkg/kamailio/deb: restore missing changes from sid [skip ci]
    
    * no dn5.3 in sid cc4c036efa2bb1c468fff2101de9914ca0ef5580

commit 4a3c84604d9b5e2ef9f78304032d0cb844af2088
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 12 18:28:29 2026 +0100

    pkg/kamailio/deb: refresh backports [skip ci]

commit d39d5187f4eeea2c5cac33e944a33c02a5c914ea
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 12 18:25:40 2026 +0100

    pkg/kamailio/deb: switch to cmake [skip ci]

commit c877e3f3258e679cb5011bdd4f4eac6c09738c79
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 12 18:12:51 2026 +0100

    pkg/kamailio/deb: remove backports scripts [skip ci]
    
    * versions that doesn't have dh-cmake package

commit 22813f718cbd1f223d45b18d7a6978985fea5d88
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 12 18:12:09 2026 +0100

    pkg/kamailio/deb: remove example files [skip ci]

commit 29e06a63289b70d7fc46fde16cc7ef6ad49f53f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 12 13:23:12 2026 +0100

    usrloc: small code update for clarity

commit aa3e2176c44da2ff75421a08f3b1090d6338373e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jan 12 13:15:04 2026 +0100

    pkg/kamailio/deb: LIBSSL_STATIC_SRCLIB=no [skip ci]

commit bf5714635e17ee19711adc86fe4c2e12b8f284b3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 11 18:00:34 2026 +0100

    tm: check on parameters for clonning

commit 17e63feb3d372b1d6c2ad71fd1dca0191d83769b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 10 19:39:14 2026 +0100

    tlsa: Makefile - link libz.a and libdl with libssl static from sources

commit e95b6034ecb5da608edfcee3ddf231a3b7062dd9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Jan 9 08:56:27 2026 +0100

    pkg/kamailio/deb: set version 6.1.0~pre0

commit eff46f6a2d3f354c7c0b193410269239736b40b7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 9 07:34:42 2026 +0100

    src: version set to 6.1.0-pre0
    
    - start of testing phase for series 6.1.x

commit 1913505e286e712deef99d95952e12670746f27f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 9 07:31:42 2026 +0100

    src: version set to 6.1.0-dev2
    
    - end of development phase for series 6.1.x

commit 21f84cd08052a656ffc74480ee22b2ab6b7a02f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 8 21:10:17 2026 +0100

    core: split input/output parameters validation for base64url_enc()/_dec()
    
    - update after commit d7210bc1102ae820f9e6f8998694271ac2a320fe, allowing
      again null input with lenght 0 that is used by some modules (e.g.,
      topos_htable)
    - GH #4546

commit 95f9bc594eb967f7f64a2e606c73bcc3c1a1fc23
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jan 8 20:46:07 2026 +0100

    modules: readme files regenerated - corex ... [skip ci]

commit 35c7f25713c822bacf4390b5c752539d776afd6c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 8 20:41:06 2026 +0100

    tm: added t_msg_apply_changes() function

commit d19bc791216445aef3c1b3f9d6eaee8d249fd256
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 8 20:34:38 2026 +0100

    tm: take in consideration msg_apply_changes_mode parament

commit a6f9a6b1be2d84cbd5db122e189ee3c65f2e1335
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 8 14:09:16 2026 +0100

    core: added msg_apply_changes_mode parameter
    
    - control if message changes are applied before transaction is created

commit 2edd5ed65c7c973e262b1f510a97792f11bd2782
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 8 13:53:36 2026 +0100

    corex: docs for via-body flag functions

commit 4f2133c16838db7f9b72c05ce7ebefafa0375c8e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 8 12:49:15 2026 +0100

    core: new parameter msg_clone_extra_size
    
    - specify extra size in bytes to be allocated for message buffer when
      clonning it

commit 283b4531316b575f4defc3dba44d5e822fc58ed5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jan 8 12:16:09 2026 +0100

    modules: readme files regenerated - rr ... [skip ci]

commit 1b09819574012ac910a801135bbee52352e6c4d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 8 12:09:11 2026 +0100

    rr: docs for loose_route_mode parameter

commit 906f36818b11030964633190e7142dc45a3737ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 8 11:58:29 2026 +0100

    rr: added loose_route_mode modparam
    
    - alternative to function param to switch on/off globally

commit 3f0a51b7c29d40136b44e0f7cbc9606902d8855f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 8 11:49:20 2026 +0100

    corex: added msg_vbflag_parse()
    
    - parse via-body flags param to internal field

commit 4790358d58aaf3716a1c78aa1723fd5bee27b910
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 8 09:04:19 2026 +0100

    tmx: updates for t-uac via-body flags

commit 990ad4fc33fda516d5e4959460acbad0f47925ec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 18:58:21 2026 +0100

    tmx: functions for management of t-uac via-body flags

commit e8374898485b5c43d2693a6b9371d46f54538940
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 16:28:34 2026 +0100

    corex: functions for managing via-body flags

commit 1421bbc2102e0fbdf576f78349a3f280d8fd730a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 16:04:26 2026 +0100

    core: forward - updates for the new function prototype to build request

commit 728b0059e562da21ebf35bb4ed5d7f277d442f9d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 16:03:56 2026 +0100

    topos: updates for the new function prototype to build request

commit 28405be8c59fa3005e1751e6e6455b3600c928e9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 16:03:40 2026 +0100

    topoh: updates for the new function prototype to build request

commit ea29413fedf7339d5c4b3a99a256cce0cc79db42
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 16:02:55 2026 +0100

    gzcompress: updates for the new function prototype to build request

commit 41cbaf0e565eac6afe8b205a81e631ebab596c23
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 16:02:30 2026 +0100

    debugger: updates for the new function prototype to build request

commit 4336c40489d6c8b3c11016b6e406e04be4bf82da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 16:02:11 2026 +0100

    corex: updates for the new function prototype to build request

commit 27766bcb5249c6b2edba9643394f700c9303dcac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 16:01:06 2026 +0100

    tm: pass per branch via-body flags to building new request
    
    -  updates for the new function prototype to build request

commit f45cfdbef93f81af4df1c55d7a69a6c6fe783188
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 15:58:41 2026 +0100

    core: msg translator - added message build structure
    
    - enable to pass more date when building new sip requests
    - add via-body flags as parameter to via, if set

commit 9dade2fc97144dc41935def9be47c597bc10ac1d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 15:57:22 2026 +0100

    core: msg parser - field for via-body flags

commit 438aae16285ec9c25573e20bd325a316d8a5d4bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 7 15:55:53 2026 +0100

    tm: per uac/branch via-body flags field

commit eed675aaf477175f0a9462309a86293f96cd1912
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 7 13:23:21 2026 +0000

    auth_arnacon: Use core sha3 implementation

commit d2c7dd4dd93326506d8c8dbd4cfebbe2227101a9
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 7 13:24:16 2026 +0000

    auth_web3: Use new sha3utils interface

commit 73dbe3f2dc8942e7c4a2ac2e1f4269ba737ab3ca
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Jan 7 13:23:53 2026 +0000

    core/crypto: Update interface and add validation checks

commit 231e38864781f3a1efb26f58377faeac5e17f0f3
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 5 13:17:50 2026 +0000

    auth_web3: Use core sha3 crypto algo

commit d48a29cf0c4936953e7a002bedf3ba538c41ff20
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Jan 5 13:16:55 2026 +0000

    core/crypto: Add utils for sha3 hex to bytes and vice versa

commit 07ed9967b222fc76148e5ccbbafd3a908e5326eb
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Jan 7 10:57:43 2026 +0000

    cmake: fix missing comment for groups

commit bf4ee933b184dc8df16414eac772f1641c220272
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Jan 7 10:42:44 2026 +0000

    cmake: reorganize blockchain related modules to be in an individual group for easier packaging

commit 5576c5c141aec7a331828296ecbf11dd4cc6265f
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Jan 7 10:41:58 2026 +0000

    Makefile.groups: reorganize blockchain related modules to be in an individual group for easier packaging

commit b6750933054d297ebb3d9e124bfc8be0554f075c
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Jan 6 16:32:49 2026 +0000

    Revert "Revert "Makefile.groups: add auth_web3 and auth_arnacon also""
    
    This reverts commit 02cc4e146f9c0e2e74292c7eefee2c7cee0cd1a5.

commit 66060a4462bfb2c3b06ed2053aa11849014b699c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 6 17:15:46 2026 +0100

    core: tcp - added global parameter tcp_listen_backlog
    
    - allows to set the value for tcp listen backlog

commit 45a0e30f845d423474370cc5a46c851c2ba369ec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 6 17:02:23 2026 +0100

    core: tcp - enable defining TCP_LISTEN_BACKLOG with compile options

commit 253dee5cbca09cea2017d27b221f504274d34323
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 6 17:00:59 2026 +0100

    auth_arnacon: Makefile - use pkg-config to discover libcurl

commit 010c5b4ad9a560b40cc5224b5ace3e2620383220
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 6 14:08:41 2026 +0100

    Makefile.groups: sorted out the groupping of auth_arnacon/web3
    
    - different groups based on dependencies

commit 02cc4e146f9c0e2e74292c7eefee2c7cee0cd1a5
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Jan 6 14:07:21 2026 +0000

    Revert "Makefile.groups: add auth_web3 and auth_arnacon also"
    
    This reverts commit 86917711b3f8174a68094ad086baa0b0cd5763f5.

commit 9b8846c31d358f76f4537e2bf4ccae481e1f2c7c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 6 13:46:09 2026 +0100

    modules: readme files regenerated - tcpops ... [skip ci]

commit c986f7428f4cfc6f83b422d155323e14b0ac1765
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 6 13:31:40 2026 +0100

    tcpops: docs - update that tcp_con_alive() supports also SIP URI parameter

commit be24a03b0ffcd2a1d219a301c32906b74249426f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 6 13:01:15 2026 +0100

    modules: readme files regenerated - dispatcher ... [skip ci]

commit 653a950a63f991d1c7c3b482d4d9852ed60cdbed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 6 12:52:15 2026 +0100

    dispatcher: summary of what transport is set for target addresses

commit 100ca7e59f292a6aff7bab625de637743f1cc44d
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Dec 22 16:57:06 2025 +0000

    dispatcher: docs: Add transport notes

commit 9f3b6ab377160e0fd96d5a6616c845edc83a14e9
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Dec 22 15:37:03 2025 +0000

    dispatcher: Fix default transport protocol when not defined in list

commit 101564d9a79fe6526f2b9737dceb54ad7ab9a3e9
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 6 12:46:14 2026 +0100

    modules: readme files regenerated - db_redis ... [skip ci]

commit ac599ebd9f1540c9599ed580990fd0d78c63cbe8
Author: Andrew Compton <andrew.compton@podium.com>
Date:   Thu Dec 25 07:08:25 2025 -0600

    pua_usrloc: log as debug when not configured to publish

commit 9ab6de664d5e998c5d3946483186aabc5efc1406
Author: Donat Zenichev <dzenichev@sipwise.com>
Date:   Thu Jan 1 11:20:07 2026 +0100

    db_redis: format into required clang format
    
    Just formatting, no functional changes.
    Affected files:
    - redis_dbase.c
    - redis_table.c / redis_table.h

commit 18ec5728055cc44aa3914f338cd76cf4428068ff
Author: Donat Zenichev <dzenichev@sipwise.com>
Date:   Thu Jan 1 10:49:31 2026 +0100

    db_redis: add support of `max_key_length`
    
    Introduce the modparam `max_key_length`
    which, if used, controls the max possible
    key length to be used when adding/prepending
    strings into the redis key.
    
    By default disabled (means 0).
    If used will be always compared against the
    given string key length.
    
    This change provides full backwards compatibility.

commit d79540f7aba4f8c2bab1227bbe724609535b0d5d
Author: Donat Zenichev <dzenichev@sipwise.com>
Date:   Thu Jan 1 10:16:11 2026 +0100

    db_redis: add string key length protection
    
    Introduce a list of improvements for size overflow
    protection:
    - change func signatures to work with `size_t` only
    - check the raw pointer and its length
    
    This measure will protect inserts from extremely
    large key size (e.g. possible negative length that
    then gets into integer overflow) and hence from
    triggering the stack canary.

commit 2033a368ebbec4bb9928f4bceebb47b7eeb84ac2
Author: Donat Zenichev <dzenichev@sipwise.com>
Date:   Thu Jan 1 10:44:19 2026 +0100

    db_redis: use `db_redis_key_add_str()` where possible
    
    No sense to use `db_redis_key_add_string()`,
    if there is `str` object and not the char array.

commit 6d1fe099e284514be05a56f235dcd3ce2325fa67
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 6 09:07:55 2026 +0100

    stun: send response without triggering message-out callbacks

commit 86917711b3f8174a68094ad086baa0b0cd5763f5
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Jan 6 07:31:20 2026 +0000

    Makefile.groups: add auth_web3 and auth_arnacon also

commit 773e45d3f68e785bfc4c522b5fc1e1031e58f31d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 6 08:19:47 2026 +0100

    Makefile.groups: group for auth_web3 auth_arnacon modules

commit d14ee2f988945c4ba5fbb732eb849871135a0b13
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 5 22:07:11 2026 +0100

    pv: added {s.crc32} transformation

commit 787bbe5c91e9fc02f741fdd26b06ccad87b4c19e
Author: Matteo Brancaleoni <matteo.brancaleoni@voismart.it>
Date:   Tue Dec 23 14:46:22 2025 +0100

    dmq: Fix DNS resolution corruption when search list is used
    
    When `dns_use_search_list=1` (the default), `get_record()` may prepend a "fake CNAME" record to map short hostnames to their expanded form.

commit 4570fe3550d1c16bfa82999371f1f54c3e36c96e
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Fri Nov 14 16:01:07 2025 +0200

    pkg/kamailio: kamailio should listen on loopback only by default
    
    fixes GH#4428

commit 0f7a2fcab9dea8a3bc60bdfa3115c82bad81f112
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Fri Nov 14 17:23:05 2025 +0200

    pkg/kamailio: refactor kamailio user creation for rpm dists

commit e221ef539d16570840f004c397909441bac58cce
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Fri Nov 14 14:55:18 2025 +0200

    pkg/kamailio: fixed systemd unit file inititlization

commit 5006dae5fe9c366bc33bbd565696d15cc7398c72
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jan 5 09:57:19 2026 +0000

    auth_web3: use similar logic for curl initialization as for auth_anacon

commit 27279e7e920199a26b6df82f35538634b3476a19
Author: Ariana <eed@cellact.com>
Date:   Tue Dec 16 13:56:20 2025 +0100

    auth_arnacon: initial ENS-based authentication module
    
    - Added src/modules/auth_arnacon/ with core authentication functionality
    - Included auth_arnacon.c, arnacon_core.c, keccak256.c and supporting headers
    - Added comprehensive documentation (auth_arnacon.xml, auth_arnacon_params.xml, auth_arnacon_functions.xml, auth_arnacon_faq.xml)
    - Implemented ENS-based authentication via Ethereum/Polygon networks with signature verification
    - Support for ENS domain ownership verification through blockchain RPC calls
    - Added ens_registry_address, rpc_url, signature_timeout, debug_mode parameters
    - Implemented arnacon_authenticate and arnacon_user_exists functions for SIP authentication
    - Added proper error handling for network failures and blockchain connectivity issues
    - Support timestamp validation and replay protection via signature timeout
    - Dependencies on libcurl for RPC calls and libsecp256k1 for ECDSA signature operations
    - Tested with successful authentication, invalid credentials, network failures, and parameter validation

commit a81314d602fe7f9bb550ac2853f4f782c3d899b9
Author: Ariana <eed@cellact.com>
Date:   Tue Dec 16 13:53:25 2025 +0100

    cmake: add auth_arnacon to MOD_LIST_UTILS group
    
    - Add auth_arnacon module to curl-dependent modules list
    - Ensures proper dependency handling during build

commit 2aa82b11809ef3bd9b26b24cb450b4fdd07411a4
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Jan 5 09:11:40 2026 +0000

    core: add MIT licence header (as already referenced in the file) to SHA3 implementation

commit 9d3d8502430210a9a201a9984cc8cb3d0b2771c8
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 18 09:45:09 2025 +0000

    core: Add sha3 implementation
    
    - Support for for both sha3 nist and keccak versions

commit eeca47ebcf0dabf73ff3ee99baff7e5174684e41
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 5 09:46:10 2026 +0100

    modules: readme files regenerated - rtpengine ... [skip ci]

commit 48b04e9e9d16738ab87f236ced253d993971a5c4
Author: Alexis Hadjisotiriou <ah@gilawa.com>
Date:   Tue Dec 16 09:06:13 2025 +0000

    rtpengine: removed legacy hash algorithm. Legacy hash left for backward compatibility and adopts the behaviour od the default (CRC 32)

commit d7d6444b3936390e1d977d72dcaa10197c87b87e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 2 11:55:58 2026 +0100

    topos: increase size for data buffer

commit cbffe7b868e8b450293c2977b3ef1df61d6bf1bc
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Dec 30 01:22:00 2025 -0500

    xhttp_prom: fix attributes for pkgmem_total_size

commit 7eea4bc836bd14c7341d77e8cdde8a473ce2eef2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 22 12:08:57 2025 +0100

    tm: safety check for EoL in user-agent parameter

commit 1ad4f802a4827bbfa0b132e6a21146bbb22a3f84
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 22 11:47:28 2025 +0100

    dmq: check the result of printing headers

commit 8f912d2d3d748cc1cd95a38b951910a5f4848cf9
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 18 15:32:43 2025 +0000

    cmake: Adopt sed commands for ctl and db files
    
    - Move dir defintions to defs.cmake for visibility from other modules
    - Add missing replacements in sed command

commit 6118e5b654e7344bf68ca0b77f4f39567980e0ef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 18 09:54:43 2025 +0100

    sms: check for name field length

commit 762e724ede13694300eab533693df9fdf0f0da1a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 18 09:31:18 2025 +0100

    auth_web3: initial README import

commit 653bad0eec8b753f335e7e9612fbb74092c5eb07
Author: Tyler Moore <tmoore@goflyball.com>
Date:   Tue Dec 9 15:25:07 2025 -0700

    ptimer: precise timers module

commit 50fa35166fab7c489ec6fc6b659df0d2ef44a021
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Dec 18 09:01:17 2025 +0100

    modules: readme files regenerated - dialog ... [skip ci]

commit 6df2885461e138bb90ce3115b802b67b6756fe4d
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Mon Nov 17 20:39:07 2025 +0200

    tmrec: Fix documentation typo

commit 3dbee1d7001feba3184ccdc618e90f9888a32030
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Mon Nov 17 20:39:07 2025 +0200

    textops: Fix documentation typo

commit 87819a29278d2bae95b32eea46c0e7309351f87e
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Mon Nov 17 20:39:07 2025 +0200

    dialog: Fix documentation typo

commit d49572b713e8d277b8f4cf5553924de22beef29d
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Mon Nov 17 20:10:44 2025 +0200

    topos: Fix documentation typo

commit fc6935695317855d57638ab73e64a3f2e7b54bd5
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Mon Nov 17 18:13:49 2025 +0200

    tcpops: Fix documentation typo

commit 728067eef9d5d1dd05d0000e329fa6a739f5e2cf
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Wed Oct 29 09:23:13 2025 +0200

    pv_headers: Fix documented function name
    
    * pvh_value_exists() -> pvh_header_param_exists()

commit 16206c20af809dc8902cfb4a163ba8427a0d28a7
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Tue Oct 14 13:08:44 2025 +0300

    core: Fix typo in SDP parser log message

commit 8f3b179dc379bcd32def6876687b94c97554f464
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 9 09:43:38 2025 +0300

    sdpops: Fix documentation typo

commit a5b13031a7e9917b4e4a2bc2a0d3c2e446947a47
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Wed Oct 8 02:53:06 2025 +0300

    dispatcher: Fix documentation typo

commit cc8bd051b411d5b375a318ae245a4363512cfdea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 17 13:02:02 2025 +0100

    kafka: init child for rank rpc
    
    - GH #4527

commit 18119539680183d5815df84c67d64a94357afbfd
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Dec 17 11:53:27 2025 +0000

    cmake: Add default and per arch priority list for lock methods
    
    - Add aarch64 support for futexlock
    - Add default priority  according to lock_ops.h
    - Add per-arch priorrity list, if not exist back to default
    - Add aarch64 priority list
    - Add some compile warnings

commit 7347db3121a9471eaf9aee4cfe45309c4ce545d4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 17 12:51:46 2025 +0100

    kafka: format exported structures

commit 4ce5d001d5a0ba8e36ba291af892f750087a13a5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 16 13:34:29 2025 +0100

    Makefile.defs: set C_DEFS+=-DCC_GCC_LIKE_ASM for ARCH=aarch64
    
    - GH #4515

commit 7a313eac126936826494eedec5838c6815280681
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 16 13:32:46 2025 +0100

    core: stdatomic - define macros for asm inline atomic ops and membar

commit 0072733a11c4734325f8070d633506c5c238b514
Author: Viktor Litvinov <viktor.litvinov@net2phone.com>
Date:   Tue Dec 9 14:55:20 2025 +0100

    core: use stdatomic for ARM64
    
    Signed-off-by: Daniel-Constantin Mierla <miconda@gmail.com>

commit cf7577360ea11ea90848fb69f9f87b4df5ea5735
Author: Viktor Litvinov <viktor.litvinov@net2phone.com>
Date:   Tue Dec 9 14:54:36 2025 +0100

    core: use process shared pthread mutexes
    
    Signed-off-by: Daniel-Constantin Mierla <miconda@gmail.com>

commit bc14bb405c3cd855a525f1fd7742709051a95d40
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 16 08:50:08 2025 +0100

    timer: docs - organized files for indexing

commit 4ca9e20e6481386a0b4c9d13290b88b64e331e5e
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Dec 15 21:05:22 2025 +0000

    github: [skip ci]: bump actions/download-artifact from 6 to 7
    
    Bumps [actions/download-artifact](https://github.com/actions/download-artifact) from 6 to 7.
    - [Release notes](https://github.com/actions/download-artifact/releases)
    - [Commits](https://github.com/actions/download-artifact/compare/v6...v7)
    
    ---
    updated-dependencies:
    - dependency-name: actions/download-artifact
      dependency-version: '7'
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 0a5f254fb84dde72d157b67cc1173d4377f12dd2
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Dec 15 21:05:13 2025 +0000

    github: [skip ci]: bump actions/upload-artifact from 5 to 6
    
    Bumps [actions/upload-artifact](https://github.com/actions/upload-artifact) from 5 to 6.
    - [Release notes](https://github.com/actions/upload-artifact/releases)
    - [Commits](https://github.com/actions/upload-artifact/compare/v5...v6)
    
    ---
    updated-dependencies:
    - dependency-name: actions/upload-artifact
      dependency-version: '6'
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit e5761834196e38a25f1b102d9682ef3108606385
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 15 10:31:10 2025 +0100

    modules: readme files regenerated - tm ... [skip ci]

commit c596bfb0c81d38dd0752a4624eba4649704c7e6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 15 10:20:57 2025 +0100

    tm: docs updated for local_ack_branch_mode

commit 6d03698be380cbbe14e451933c1a9a9d66f4b92e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 14 19:08:57 2025 +0100

    tm: option to create a completely new branch for local 200ok-ack

commit 4b3ac98cd29b3fbe9856e9b83e92e49031fe081a
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 12 13:02:20 2025 +0000

    cmake: Update futex and fast_lock arch support
    
    - Remove futex support for arm
    - Add fast_lock support for arm

commit 8b26753e04512c45fdd0392009feab9d7fef86f6
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Dec 12 15:23:12 2025 +0200

    Remove unused Perl module from APKBUILD

commit 9f2c73191c8d0386e210673b276a04988c9a59ec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 13 20:48:24 2025 +0100

    tm: execute on event_route[tm:local-ack-sent] on reply execution path

commit be6a564ec9f6b5b5af1d0a5f9f161a0a84663384
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Sat Dec 13 15:15:37 2025 +0000

    ims_qos: add debug print for flow description parameters used for forming Rx AAR during session refresh

commit 9bfc9dfbcf87b03a631dfca2f570e602ebc118e7
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Sat Dec 13 15:14:53 2025 +0000

    ims_qos: use str2int rather than atoi

commit b0aa224ce65ed6229b339fe4ea6e46a01d75169e
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Sat Dec 13 14:24:20 2025 +0000

    ims_qos: add debug print for flow descriptions saved in session data

commit 7609a79e8a485902914e42aa65ff28281b07b489
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Fri Dec 12 16:47:52 2025 +0000

    ims_qos: check if identical flow description exist before adding to list until dialog is confirmed

commit d24fced7dcf1a65e9bfdb0bcade0147b26eb622c
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Tue Dec 9 21:16:37 2025 +0000

    ims_qos: issue Rx AAR with already authorized flows in case of session refresh

commit be8e34baf0f5a1912e779d2ff50470be4d56f2e7
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Dec 12 17:16:09 2025 +0100

    modules: readme files regenerated - rtpengine ... [skip ci]

commit c2800eb8cb166d49576b6094f5720a64af1117de
Author: Alexis Hadjisotiriou <ah@gilawa.com>
Date:   Wed Dec 10 07:05:49 2025 +0000

    rtpengine: Changed the hash_algo parameter to be by default 2 (CRC32) instead of 0 (legacy)
    
    rtpengine: Remove trailing whitespace in rtpengine.c

commit 23b36c27c79d6058efd67db2d4a4976998d4e89e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 12 16:40:47 2025 +0100

    tm: use directly former function when tm_local_ack_branch_mode not 1

commit bb604e272dd034abfc0fe8dcbdfc0102cbbc8a40
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 12 15:40:16 2025 +0100

    tm: rename parameter that hides a global

commit 8c78bf16b176ca94209586899da3a9279a0c0a17
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Dec 12 12:01:17 2025 +0100

    modules: readme files regenerated - tm ... [skip ci]

commit bbf570485b791d809e07d35539bfde7e6c7f3b90
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 12 11:37:41 2025 +0100

    tm: docs for evcb_local_ack_sent parameter

commit 08265905623ae0ebeb809b3bb81cf9b6dbf4d8bb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 12 11:29:57 2025 +0100

    tm: added evcb_local_ack_sent parameter
    
    - specify the name of the kemi function to be executed instead of
      event_route[tm:local-ack-sent]

commit bcb16245069ea2d93973b6e303e42b12ea2a71d2
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Dec 12 11:16:09 2025 +0100

    modules: readme files regenerated - tm ... [skip ci]

commit 47862f6b134914f7f88cd6368d1fb9711df4810d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 12 11:09:06 2025 +0100

    tm: update last chars of ack via branch for local_ack_branch_mode == 1

commit d52b1391dbb493e0dd7a58a58df2d4234648d6fb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 12 10:59:12 2025 +0100

    tm: docs for event_route[tm:local-ack-sent]

commit 1521ba4077f296ec2d4d8d17235393bb312efaef
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 12 10:52:47 2025 +0100

    tm: added event_route[tm:local-ack-sent]
    
    - event route executed after the ACK for 200ok of local INVITE
      transaction was sent. it is executed with the received 200ok response

commit fcf4deb123ed37f937dc6ab2558ab23eeaad3121
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 12 09:20:31 2025 +0100

    tm: use the new function for 200ok Via branch of local transactions

commit 712d593406540f0bda8e8b6fb707d41bb3df8440
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 12 07:27:21 2025 +0100

    core: msg translator - function to parse via branch value

commit 02f7ace19b49a16ccacc7d83f4717f6492ff56fa
Author: Joel Serrano <joel@joelserrano.com>
Date:   Thu Dec 11 14:03:28 2025 -0800

    xhttp_prom: don't sanitize tag values in exported metrics (#4519)
    
    Fixes #4508

commit 9ad781bb519182cb13b63be5bc2c68944a75c1d3
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 11 15:54:06 2025 +0000

    cmake: Update arch that support futex locking mechanism

commit 893ed681088dee93c5debd02006dde33169a2468
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Dec 11 15:52:59 2025 +0000

    cmake: Remove app_java module and group

commit 64a3e2db4e7c4c0b550a6ae19408de8b8c4be3b8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Dec 11 14:01:11 2025 +0100

    modules: readme files regenerated - tm ... [skip ci]

commit 1f45a99a890b8be305a666ff71f19d97e83e35eb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 11 13:54:06 2025 +0100

    tm: renamed the new parameter to local_ack_branch_mode
    
    - to reflect better its purpose

commit 2af33414a607d383d29e705c535610e40955d49b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 11 13:52:23 2025 +0100

    tm: docs for local_ack_branch_mode parameter

commit cd859730c73b157dbe0fe7fa7aad88717546a488
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 11 13:45:23 2025 +0100

    tm: new parameter ack_branch_mode to control via branch value for local ACK of 200ok
    
    - if 0 (default), reuse the local INVITE transaction md5 hash (existing behaviour)
    - if 1, change some characters to make it different than INVITE
      transaction md5, to work with UAs demanding it to be different, being
      separate transaction from specs point of view

commit 8cebdfa85be0ff8ac8a3c82158d24e6252c879f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 11 13:27:57 2025 +0100

    tm: updated to new branch_builder() prototype

commit fe949559967bcd027ddcca49ac35536ae2f8241c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 11 13:26:41 2025 +0100

    rtpengine: updated to new branch_builder() prototype

commit 547d0acb8c93448a3796aef33f6736824e23e123
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 11 13:24:51 2025 +0100

    core: parameter to add extra value to via branch

commit 9b56503fdb6b6ad50a0ffc00335fdb71651ed6c6
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Dec 10 16:02:32 2025 +0000

    github: add utils directories also to allowed prefixes (e.g. kamctl)

commit ef0bb31d689f7cf8e7ac750dc4d3257daa176b4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 10 10:28:23 2025 +0100

    json: new trasformation {json.parsex,path}
    
    - the separator for the fields in the path is the first character

commit 83b8c753f076bc836c1049a308c073aab06ffdcb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 10 10:16:07 2025 +0100

    json: provide the path separator as parameter to internal functions

commit a0d3183dda3d7af695deb6aba0798cd860cdde2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 10 09:58:37 2025 +0100

    json: use formatted string evaluation instead of fixup mechanism for transformation

commit 42014a3384c76575a96e1b4fe2ba524a503e845a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 10 09:38:54 2025 +0100

    json: do not parse transformation parameter for vars if none there

commit 5c7accbde8423072d5f3d6620115a588d8678294
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 10 09:38:05 2025 +0100

    core: ut - helper functions to search in string

commit 3b90b8f0d92590924ddd560454fa40dc9b5aca9f
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Tue Dec 9 18:50:50 2025 +0200

    pkg/kamailio: rpm packaging cleanup after db_perlvdb Berkeley database removal

commit 253943115b94c542af21ef205be84e90971c273a
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Dec 9 16:46:54 2025 +0000

    auth_web3: also use common curl based Makefile with pkg-config/curl-config support

commit f37dfb1d1c9c2f9a1b7cb8adddd8fdcc8ab3e6c5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Dec 9 15:31:10 2025 +0100

    modules: readme files regenerated - app_perl ... [skip ci]

commit 4e2b9116e8b82c68b0a312c8a9c1fd2c2fba498c
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 9 14:19:15 2025 +0000

    multiple: Remove db_berkeley references

commit 49db301b65d5bf6ecf400b1e5a5af3da81a67048
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 9 14:17:09 2025 +0000

    misc: Remove db_berkeley references

commit 6727f77cb739d66349aa4b8bcd9e9cd0ac1586a5
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 9 14:16:06 2025 +0000

    doc: Remove db_berkeley references

commit 20c26821633e4e6c1d61fdc473287b4d87987c20
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 9 14:12:41 2025 +0000

    pkg/kamailio/obs: Remove berkeley references

commit cd14e4e3c1bf8ac0c2a3e82024e47f5c272b0b8b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 9 14:11:42 2025 +0000

    cmake: Remove db_berkeley references

commit 2e9e04fb641663fc98682ff9192d66d64845ca27
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:59:58 2025 +0100

    utils: removed db_berkeley from readme list

commit a09a788c78794578f1fe2e0beb5c53d62ed84725
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:59:42 2025 +0100

    kamctl: db berkely clean up

commit 52a9763663c0b545a78aa4fed62b75795dd23fca
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 9 14:45:46 2025 +0100

    pkg/kamailio/deb: remove berkeley module [skip ci]

commit f0ae7649c709d5f449ca85869f17098e6fd75e1a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:48:17 2025 +0100

    doc: removed xsl schema for db berkeley

commit 21740f76d3a1237bc360b6d216274f809e655a19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:46:35 2025 +0100

    lib/srdb1: removed db schema generation for db_berkeley

commit c0c73edced750f094d14ecf83e60d89c20b8458e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:39:47 2025 +0100

    utils/db_berkeley: removed tool for db_berkeley

commit e61b87e3b4811ed65247c3be1173f549078d1be2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:37:40 2025 +0100

    kamctl: removed db_berkeley files

commit dc3445230b5e393f51dd4ef92936d6fda26bed58
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:14:14 2025 +0100

    Makefile.groups: remove app_java from make groups

commit f094e799e19d85ec22ba9c3d87d091d1f06adf0e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:12:51 2025 +0100

    Makefile.groups: remove db_berkeley from make groups

commit d9f1c3842a3a70b2d6b5734dc6bbdcab24f1cb48
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:10:13 2025 +0100

    Makefile.groups: removed db_pervdb from make group

commit 36e101ce3fe1f87413d03f6174f5c5ec9cf361e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:09:14 2025 +0100

    cmake: removed db_perlvdb from cmake group

commit 71feb175fc03c07b60c63e7c04c5a981bd586af5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:08:06 2025 +0100

    db_perlvdb: relocated to archive

commit f150f8d4f101d436c179684893bc8b63fe32a3c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:07:46 2025 +0100

    db_berkeley: relocated to archive

commit 03b8d4678bf7d3923d9bfa97d055c1a8d44923aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 14:07:21 2025 +0100

    app_java: relocated to archive

commit a326b57363754e2ba5e1824e02b2a1ce80584fc7
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Dec 9 11:09:50 2025 +0000

    cmake: Don't USE_FUTEX for arm64/aarch64

commit da4e0d2dab0678374abbe6fa2274a6a434cf39c5
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Sep 24 15:38:35 2025 +0000

    core: Add missing USE_FUTEX check in locks

commit b4df3a4e9586e5a583fbee089993f9eb25e2d417
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Tue Aug 12 14:13:05 2025 +0000

    cmake: Update locking method detection

commit 1a47572f35aa2799eb8b8364807c82ad1619b45e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 13:51:37 2025 +0100

    rtpengine: remove destroy of internal structures on shutdown

commit e5bca1e7f791d5e8e0b24288b45ff5e097f89f5c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 13:50:44 2025 +0100

    userblocklist: remove destroy of internal structures on shutdown

commit ec733923ac952ed238b504a56e52d96b0cd79a0e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 13:50:43 2025 +0100

    uac: remove destroy of internal structures on shutdown

commit 1256e75430d8b069817ac7b23bfa76e36608dde1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 13:50:43 2025 +0100

    secfilter: remove destroy of internal structures on shutdown

commit 5826f5b014b16d6cdd170472a9601b8252723be1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 13:50:42 2025 +0100

    rtpproxy: remove destroy of internal structures on shutdown

commit 7481665ae2d43e475a381bde4c41cd441c0c6c20
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 13:50:41 2025 +0100

    pv: remove destroy of internal structures on shutdown

commit 808d5d239260afe5ca1cd961cb19fb52f1065512
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 13:50:41 2025 +0100

    prefix_route: remove destroy of internal structures on shutdown

commit 43d3dca0afecbaedc24dbc3bf5bcc3fa8aa1f871
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 13:50:40 2025 +0100

    pdt: remove destroy of internal structures on shutdown

commit 59079f19dc48e8f7399518725a5bcd515400d89d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 13:50:40 2025 +0100

    dialplan: remove destroy of internal structures on shutdown

commit d3118f7a48735c05c7d90db2ae37651782732742
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 13:50:39 2025 +0100

    debugger: remove destroy of internal structures on shutdown

commit 75493379abecd7c43c330e1e5219c40892bc7a9b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 13:50:39 2025 +0100

    async: remove destroy of internal structures on shutdown

commit b3bf4d410e98284917331f63281b1e1a05f43120
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Dec 9 11:03:29 2025 +0100

    db_unixodbc: call db_do_con_free at the end of async task execution

commit d3d9f1ee3a12658ab66f870ce0a672cb5fb391db
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Dec 9 11:02:49 2025 +0100

    db_postgres: call db_do_con_free at the end of async task execution

commit 656f3ff8795db6d2ec7d43711d48a0e241aba0fe
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Dec 9 10:59:50 2025 +0100

    db_mysql: call db_do_con_free at the end of async task execution

commit a94565ae17c11ccafa200f95513fd504047910c1
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Dec 9 10:58:14 2025 +0100

    lib/srdb1: add db_do_con_free function

commit 2caa4d38632b158279237472fa97eadf8dac558e
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Dec 3 09:51:30 2025 +0100

    sqlops: pass the db url to the async function

commit d2807756a7aace0b01b54170be89847b9c335074
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Dec 8 16:01:11 2025 +0100

    db_unixodbc: refactor async functions

commit af49ad24860f1eb71d69e3e76bf4dc471aa26eb1
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Dec 8 15:54:12 2025 +0100

    db_postgres: refactor async functions

commit bf1e834478f913b03e535769d9425cfa37821e26
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Dec 8 15:47:47 2025 +0100

    db_mysql: refactor async functions

commit 3bf550468d3a84cac3886ca872377ce1d1a8978f
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Dec 8 15:38:27 2025 +0100

    lib/srdb1: take db url instead of connection in raw_query_async

commit 46737c269ae290c29639ab1a5e66e4cf1637556e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 11:49:53 2025 +0100

    db_redis: use set max fetch for result to 1000 when *keys_count == 1000
    
    - GH #4511

commit 16e26590b366137da4d0eb9b72927c1ccba548a8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Dec 9 11:01:37 2025 +0100

    modules: readme files regenerated - app_jsdt ... [skip ci]

commit 39cbade7b2409ea828d032ed4ab6b1459f160c3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:16 2025 +0100

    xlog: docs - use kamctl rpc for examples

commit 7f976c45b61d21c1b5793be8754e38f611019606
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:16 2025 +0100

    xcap_client: docs - use kamctl rpc for examples

commit a4263f5b396b899f059232c8621606a960fed3b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:16 2025 +0100

    websocket: docs - use kamctl rpc for examples

commit 9da4567c4264bab16ae0b51e23cd17c930e52d20
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:15 2025 +0100

    sctp: docs - use kamctl rpc for examples

commit e9525fd849e83950967af97a99a8c076b7f1fe24
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:15 2025 +0100

    rls: docs - use kamctl rpc for examples

commit 57ea2b454849962f33f49a5a71dda758481e7a41
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:14 2025 +0100

    pua: docs - use kamctl rpc for examples

commit a4babb4ec70094cfc7300d0f7422abf058dd7e11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:14 2025 +0100

    presence: docs - use kamctl rpc for examples

commit 00f5f056294fdee1645ffd8126dfb5cc56a456b2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:13 2025 +0100

    pike: docs - use kamctl rpc for examples

commit d8d9d52144c1005ff21076cd43c09f07aa7a2f0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:13 2025 +0100

    pdt: docs - use kamctl rpc for examples

commit a955bfb83dc1823f1d0ebad638b395b27aa853cf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:12 2025 +0100

    nathelper: docs - use kamctl rpc for examples

commit dd5cc9786e5d93bfe4bc83545dada5bbcb385626
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:12 2025 +0100

    mqueue: docs - use kamctl rpc for examples

commit 99ac3237c45df147a1769eb785a2e9bd1a909620
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:12 2025 +0100

    geoip2: docs - use kamctl rpc for examples

commit 0b712c9e3c86f912fbeb1615947d26c93c34ea0c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:11 2025 +0100

    drouting: docs - use kamctl rpc for examples

commit 2d15f8a6a97e1f4c363ccb5a9dce48b761d0f5e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:11 2025 +0100

    dmq: docs - use kamctl rpc for examples

commit 4caf5fe155cf4219ed79321b727870cac8435b1f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:10 2025 +0100

    db_text: docs - use kamctl rpc for examples

commit 89d5af1266bccb5a391ab88b01291376114b2841
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:10 2025 +0100

    db_cluster: docs - use kamctl rpc for examples

commit 81fec3739ac5661f621de262fef9bf39ae1ac0d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:09 2025 +0100

    auth_ephemeral: docs - use kamctl rpc for examples

commit 6a3c69570b3d62229d2078e6d131d082b16b3033
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:09 2025 +0100

    app_python: docs - use kamctl rpc for examples

commit 31351e0bae82356540e7eba1a27a8d77c6361ca9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:08 2025 +0100

    app_perl: docs - use kamctl rpc for examples

commit 6311cb038f9743615db3ed52f13bbcd56ba45bf4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:54:08 2025 +0100

    app_lua: docs - use kamctl rpc for examples

commit eefc067a32e96e8b8bce1f5da4515780a41f6981
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:57 2025 +0100

    xhttp_prom: docs - use kamctl rpc for examples

commit 0635fc141f1a5e83fa495303f57492871ca07744
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:55 2025 +0100

    userblocklist: docs - use kamctl rpc for examples

commit 3f77ab8ff8d097fe4338f69dad76f24833f79df7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:55 2025 +0100

    uac: docs - use kamctl rpc for examples

commit a37872b7b68ee08017c80fbfff2d65730ca0b08f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:55 2025 +0100

    tsilo: docs - use kamctl rpc for examples

commit ef7c0383e831b97078a61d5881d90b736af7db17
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:54 2025 +0100

    tm: docs - use kamctl rpc for examples

commit db5ca01a2b8c49e613c505679f08fb7b834de519
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:54 2025 +0100

    statsc: docs - use kamctl rpc for examples

commit 5ddcb12d6fa10b543d6a334f32bf87470110ed39
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:53 2025 +0100

    siptrace: docs - use kamctl rpc for examples

commit fa2c5a04af18a69ef52fba40950decb149e5c322
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:53 2025 +0100

    sipdump: docs - use kamctl rpc for examples

commit 665833decd1fa81cc5bcfa8c7e8fd94f3f5a9c0d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:52 2025 +0100

    sipcapture: docs - use kamctl rpc for examples

commit 32fdcd1fc97d19da67cb23b05fd0d80195dfa50c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:52 2025 +0100

    secfilter: docs - use kamctl rpc for examples

commit 12a77f1baf601cc26e71a6f1cbe9eae34c875bc5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:51 2025 +0100

    rtpproxy: docs - use kamctl rpc for examples

commit 6598fdbcac7a1bf09b0485b00c4175401fdaef4a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:50 2025 +0100

    rtpengine: docs - use kamctl rpc for examples

commit 7df905d04ab81b856ba3f0b6ef804a4722c55f3c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:49 2025 +0100

    registrar: docs - use kamctl rpc for examples

commit f22ff2cc2d359253733ae9d318b6897bdcd64bab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:49 2025 +0100

    regex: docs - use kamctl rpc for examples

commit dc49457291cd6e9c04f506b3da7eb34b830ee65a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:48 2025 +0100

    pv: docs - use kamctl rpc for examples

commit b3491434ab3191ed0077d949f6d171b04ba87734
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:47 2025 +0100

    pipelimit: docs - use kamctl rpc for examples

commit 536eb62952fd34e76cb3bf06782306ddd78e4781
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:46 2025 +0100

    pdb: docs - use kamctl rpc for examples

commit 415c2e3f0dd15ee095a8642b8a7bbffd0deab1fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:45 2025 +0100

    p_usrloc: docs - use kamctl rpc for examples

commit b63e9d78baa52e87819cbc2f1e861f024eca1b0c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:44 2025 +0100

    mtree: docs - use kamctl rpc for examples

commit 901e431b9e30bd3e03cc72984f481c5ed761f901
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:43 2025 +0100

    misctest: docs - use kamctl rpc for examples

commit 430447942ac278742c3e16b0ca61283df56c0dff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:43 2025 +0100

    matrix: docs - use kamctl rpc for examples

commit 7bbe5fdda535dea384accf8d661b17a33a7848a0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:42 2025 +0100

    kex: docs - use kamctl rpc for examples

commit ca84ca11e4d4bebfb76a033a670914daf666ed4b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:42 2025 +0100

    kafka: docs - use kamctl rpc for examples

commit 9d5fae44cd85296cb6a5e552447e7612049ab9f4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:41 2025 +0100

    jsonrpcs: docs - use kamctl rpc for examples

commit fbcbca3e123ba2914591deede378010a026e9b43
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:41 2025 +0100

    imc: docs - use kamctl rpc for examples

commit 1553fd4b49e5f7437cefa8aec7f3cf4e078061f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:40 2025 +0100

    htable: docs - use kamctl rpc for examples

commit abad5a182343f02841468b47df2054a4961ac5c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:38 2025 +0100

    dispatcher: docs - use kamctl rpc for examples

commit 737f26dc3a4f1f9dbb322ef3be7622f3331cb199
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:38 2025 +0100

    dialplan: docs - use kamctl rpc for examples

commit 9103847396ecf3f22e7059359aac9a7c5fa8d06b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:37 2025 +0100

    dialog: docs - use kamctl rpc for examples

commit e61981e348e5cfa5cb926d3c275d70f6e255dd90
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:36 2025 +0100

    cplc: docs - use kamctl rpc for examples

commit 1b1a472672dd1d4bcdd182596fa744507122b043
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:35 2025 +0100

    corex: docs - use kamctl rpc for examples

commit cc6108fa909379dbd4dbbdc8943d319ccd5136fc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:35 2025 +0100

    cfgutils: docs - use kamctl rpc for examples

commit cc02180886d39d776f942d185dc21ac2da3cb9de
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:34 2025 +0100

    cfg_rpc: docs - use kamctl rpc for examples

commit f8c927e327a7d6c6500d2e8444f090f58dfe1d3b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:34 2025 +0100

    carrierroute: docs - use kamctl rpc for examples

commit 748521cee071a3151dfd29dc96a95ce9b36e4ca9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:33 2025 +0100

    benchmark: docs - use kamctl rpc for examples

commit 6e01f13d3e378535dd4591de66f523906f7f2787
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:32 2025 +0100

    app_ruby: docs - use kamctl rpc for examples

commit 7a3f7d806d79253fe286df89931945020cf9ecb8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:32 2025 +0100

    app_python3s: docs - use kamctl rpc for examples

commit a19990cc1dd494e84346e4769413542d35bdec1f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:31 2025 +0100

    app_python3: docs - use kamctl rpc for examples

commit 83f4a443153dfa2034c6de5b4d7c6b06b7994d68
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 9 10:53:29 2025 +0100

    app_jsdt: docs - use kamctl rpc for examples

commit 4380130fe889b945ef0a03ce830a412a5a165a4a
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Dec 9 09:33:29 2025 +0000

    auth_web3: clang-format adaptions

commit 8ce9abf4175498fe3ae870382eeaf1ee8da11bb0
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Dec 9 09:19:19 2025 +0000

    auth_web3: use default CMakeList.txt as for other curl based modules, build tested

commit d21c9d59cbf9f93c966f05ea2abb9ae1df52e241
Author: Henning Westerholt <hw@gilawa.com>
Date:   Tue Dec 9 08:58:09 2025 +0000

    auth_web3: disable debug mode by default, as it can leak sensitive information

commit 84c280eddde91b3f0cd899936151f4dd0c9526fb
Author: Ariana <eed@cellact.com>
Date:   Tue Dec 2 11:36:35 2025 +0100

    cmake: add auth_web3 to MOD_LIST_UTILS group
    
    - Add auth_web3 module to curl-dependent modules list
    - Ensures proper dependency handling during build

commit 7382fcd18553002512c5c6d4067d2225d5f46fd2
Author: Ariana <eed@cellact.com>
Date:   Tue Dec 2 11:35:48 2025 +0100

    auth_web3: initial blockchain authentication module
    
    - Added src/modules/auth_web3/ with core authentication functionality
    - Included auth_web3_mod.c, api.c, web3_imple.c, keccak256.c and supporting headers
    - Added comprehensive documentation (auth_web3.xml, auth_web3_params.xml, auth_web3_functions.xml, auth_web3_faq.xml)
    - Implemented blockchain-based digest authentication via Oasis Sapphire and ENS networks
    - Supported RFC2617 compliant MD5 and SHA-256 digest authentication
    - Added web3_rpc_url, web3_contract_address, web3_debug_mode, web3_timeout parameters
    - Maintained full compatibility with standard auth module functions (www_authenticate, proxy_authenticate)
    - Added proper error handling for network failures and blockchain connectivity issues
    - Supported nonce management and replay protection identical to traditional auth
    - Tested with successful authentication, invalid credentials, network failures, and parameter validation

commit 0f67c919e2a0b06e6a398867aff47cef7a7db679
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Dec 8 16:30:46 2025 +0000

    cmake: Respect KTLS_INCLUDE_TLSA env variable
    
    - KTLS group will include TLSA modules as well when defined
    - KTLSA group exists when not defined

commit 18f7b84d65b3cb30eb0bcc0c1a0e801a7c7197ec
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 8 17:31:10 2025 +0100

    modules: readme files regenerated - outbound ... [skip ci]

commit 9233834b4dd3ac51348b781629c84f4c6fe1aad3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 8 17:25:28 2025 +0100

    json: reformatted exported structures

commit b85ecbcc88423865161112a7a722bbd683d946fe
Author: sergey-safarov <s.safarov@anycast-lb.net>
Date:   Mon Dec 8 18:24:44 2025 +0200

    outbound: added check_flow_token function
    
    * outbound: added check_flow_token function
    
    Added check_flow_token function that checks first Route header
    and flow-token presence, validaty and expiration in this header.
    
    -8 cannot parse headers
    -7 URI cannot be parsed in the first Route header
    -6 flow token expired
    -5 connection associated with flow does not exist
    -4 failed to decode flow token
    -3 no flow token, Route header present
    -2 Route URI is not Kamailio
    -1 no Route header present
    1 valid flow (connection) present
    
    * outbound: docbook - fixed 'Attribute "xmlns:xi" must be declared for element type'
    
    * outbound: fixed xml validation errors
    
    * outbound: added check_flow_token documentation
    
    ---------
    
    Co-authored-by: Nikolay Ivanuschak <ivanuschak.nikolay@gmail.com>

commit dd055ece5b212a7a9c85ad08960f60a22fee8c67
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 8 15:02:06 2025 +0100

    htable: remove unnecessary inter-module api wrappers

commit 66bf2498be1d524a3c56af9f2477f7e368090482
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 8 14:57:40 2025 +0100

    htable: export the db-related functions to inter-modules API
    
    - GH #4457

commit 7fd9a49863f0e173e9d84a0e99b31ba92f7007d1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 8 14:48:33 2025 +0100

    htable: relocated export bind_htable at the end of the structure

commit 5613416a69aa4499a6f00a88b68c7d80cef737b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 8 13:28:27 2025 +0100

    dispatcher: have the hash result in an output parameter
    
    - follow up to GH #4500

commit 3bb03e2d1f89404b5b7dc9aed6f5977121ae2f04
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 8 12:16:10 2025 +0100

    modules: readme files regenerated - htable ... [skip ci]

commit 6700688a4af4a498ae32f0a3b89314fb774f91dd
Author: Tyler Moore <tmoore@goflyball.com>
Date:   Sun Nov 23 16:02:19 2025 -0700

    dispatcher: make hash result more accessible
    
      - refactor a few functions to bring idx selected during a
        hashing operation further up the call stack
      - add a ref to index in dlist for usage in failover
      - add dstidx to xavps

commit 53b467392e92a3b86532d42bf463cfebeb0eeba5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 8 12:06:27 2025 +0100

    htable: docs - fix missing end of section tag from previous commit

commit 805d58e32b0d222f9cab489ff1b6f981c08865b7
Author: Tyler Moore <tmoore@goflyball.com>
Date:   Mon Dec 8 12:04:30 2025 +0100

    htable: export config functions for inc, dec and is_null
    
    - have similar option like in kemi
    - GH #4499

commit 318bcc75ee8bfc44585bc22d1eb0ea7a0500181b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 8 11:18:29 2025 +0100

    htable: kemi export function name set to sht_cn()

commit c82976ba5bb25daca44a6f2ab60af96b617f1b97
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Nov 5 10:56:05 2025 +0000

    htable: Add more KEMI functions
    
    - PV shtcn equivalent
    - match with mode
    - seperate specific functions for exact, prefix, suffix, regex

commit 5905d4139f5723dd3f8841e501e775be5b9ccb64
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 8 11:16:10 2025 +0100

    modules: readme files regenerated - dispatcher ... [skip ci]

commit dd90d4da51a8f28fecba18b9ea77a568c1f0c865
Author: Tyler Moore <tmoore@goflyball.com>
Date:   Thu Nov 20 13:13:55 2025 -0700

    dispatcher: support for fields in ds_db_extra_attrs
    
      - add implicit integer conversion to string for extra
        fields loaded via ds_load_db() into DB extra AVPs

commit b3b896d04eccdc67bf3518de0266745d92b0c692
Author: Tyler Moore <tmoore@goflyball.com>
Date:   Thu Nov 20 13:08:38 2025 -0700

    permissions: support for integer peer_tag
    
      - update reload_address_db_table() and reload_trusted_table()
        to support loading integer field types into peer_tag_avp

commit 723a6c9a1cf5cc56239cd167417178323767d8d4
Author: Tyler Moore <tmoore@goflyball.com>
Date:   Thu Nov 20 12:54:33 2025 -0700

    htable: support for 32bit and 64bit integer keys
    
      - update ht_db_load_table() to support loading integer
        field types into a hash table as string keys

commit 064b7e528fd66ed141bdcb661f2bdb079cfd6315
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Dec 5 13:01:10 2025 +0100

    modules: readme files regenerated - mtree ... [skip ci]

commit ba54976b0c620c23519fdd7a7436d57a84953ba3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 5 12:52:16 2025 +0100

    mtree: docs for mode attribute of mtree

commit af1c14597d9da71adbbaba265d1e859f9120fb89
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 5 12:45:39 2025 +0100

    mtree: added mode attribute for mtree definition
    
    - if set to 1, the tree is in-memory only, without (re)loading
    record from database. Items can be added with modparam 'item'

commit 0edec1150fd0f4036e309027a773a902e65ce47e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 5 09:16:08 2025 +0100

    ndb_redis: warnings on tls related params when module is not compiled with such support

commit 01a9c8c73ce1a87292b00e054e39d6b321431f7b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Dec 4 13:31:10 2025 +0100

    modules: readme files regenerated - mtree ... [skip ci]

commit 79fef7b008ea78d699b6d21eb88201a310a7ef78
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 4 13:22:36 2025 +0100

    mtree: docs for item parameter

commit 86a7e90ce196e4942de3eeb278433164568d1c69
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 4 13:11:55 2025 +0100

    mtree: parameter char_list set using callback
    
    - it has to be set before any "item" parameter

commit 4cb373adf2e1c476a6efcbe38b8ccc6036bd3177
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 4 12:47:54 2025 +0100

    mtree: added item parameter
    
    - add item in a tree via modparam:
      modparam("mtree", "item", ":tname:tprefix:tvalue")
    - the first character of the modparam value is the separator between the
      fields

commit d7210bc1102ae820f9e6f8998694271ac2a320fe
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Dec 3 11:09:09 2025 +0000

    core: Add input validation on internal functions
    
    - base64url_enc
    - base64url_dec

commit b225469a49db1324ef67a630ad9bcd4a7f3f53ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 4 08:06:59 2025 +0100

    core: parser/sdp - rename local variable to be different than function name

commit 37c78454408043e5d285cbc82681f9e2cc634cf5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 4 07:49:04 2025 +0100

    core: parser/sdp - copy data after structure when cloning ice attr and opt

commit 91df1951c725ded9c09a094dc189389785156bd6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 3 11:23:55 2025 +0100

    mtree: make dbtable attribute mandatory per mtree definition

commit adc6c53411e572a8f77efffa06ce3e7b5ed02764
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 2 13:53:12 2025 +0100

    topoh: meaningful debug message

commit 6c03c3e78b76a6b664c65c90c8681a2db62e1df7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 2 09:11:21 2025 +0100

    kamctl: remove CTLENGINE from kamctlrc - it has a single value option

commit 5f6cfaf302a9509326d7d5113468bb596fcd11f1
Author: nickakt <107904817+nickakt@users.noreply.github.com>
Date:   Tue Nov 25 10:00:41 2025 +0000

    ndb_redis: fix error handling for multiple servers with init_without_redis
    
    - moved error handling labels (err and err2) inside the server loop
      to allow continuation when init_without_redis=1
    - added cleanup_redis_context() helper function for proper resource cleanup
    - properly free failed context and set ctxRedis=NULL for failed servers
    - allows setups with multiple Redis servers to have partial initialization
      when some servers are unavailable
    
    When init_without_redis=1 and multiple servers are configured:
    - Previously: if one server failed, error handler would exit and lose
      all connections including successful ones
    - Now: failed servers are cleaned up and marked as NULL, loop continues
      to initialize remaining servers
    
    Changes:
    - Added cleanup_redis_context() for code reuse
    - Moved err/err2 labels inside loop
    - Added proper cleanup on failure
    - Simplified success path logic

commit 52e3de3ff4af96e37e1bc6c413af04c3ac48d42b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 1 11:46:10 2025 +0100

    modules: readme files regenerated - benchmark ... [skip ci]

commit d4915b129cc3262a822d53e96b5f52df7b9b23fc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 30 20:27:48 2025 +0100

    benchmark: docs updated about measurment working inside process context

commit 6fcd4378257ac6f4228b97021efc0a25ea9f5a53
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 1 11:16:10 2025 +0100

    modules: readme files regenerated - statsd ... [skip ci]

commit 303b0bc2ad80f3664c38aad74fd67e6577db8751
Author: Fredrik Dahlgren <fredrik.dahlgren@kaisa.io>
Date:   Mon Dec 1 08:34:39 2025 +0100

    statsd: Added missing documentation to statsd module [skip ci]
    
    - Document already existing features in the statsd module and update the description of the module to clarify that it is more generic than previously implied.

commit ede3912a732f99cada994157885328eef268f89b
Author: Torrey Searle <torrey.searle@wavecrest.com>
Date:   Mon Dec 1 09:49:55 2025 +0100

    topos: make tps parameter lookup more robust
    
    check both params and sip_params for the tps parameter, this is needed
    in case extra parameters added to the URI.
    
    closes #4505

commit fc29dafadd2d2d369dbc069fc1abb4d79c75716d
Author: Lyubomir Yatanski <lyubomir.yatanski@flolive.net>
Date:   Sat Oct 11 11:58:23 2025 +0300

    db_redis: fix link order issue OpenSSL/hiredis_ssl

commit 117ae3064dc41d4bfa856f9d1ab9a7b6047ba026
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat Nov 29 17:01:11 2025 +0100

    modules: readme files regenerated - rtpengine ... [skip ci]

commit fa9d8b0ecd4e618456891561aea4441ad296a04c
Author: vsaranov <vadim.saranov@gmail.com>
Date:   Mon Nov 17 20:34:53 2025 +0300

    rtpengine: add connect() command

commit bb0bb49a30b7732eea8785ce7b7f02bbf512ef74
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 27 19:19:08 2025 +0100

    tm: small code formatting and clarity

commit 9dc160d1d2bdf0542d3d9d8ae090bb1352520a1c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 26 20:43:25 2025 +0100

    auth: use AUTH_FLAG_NOINVNC flag

commit e893703d2b319468ca9d5f9ff51d8b74a29ca190
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Nov 26 09:39:54 2025 +0000

    topos_htable: fix PRACK routing
    
    - fix PRACK routing
    - related to GH #4466

commit ee0d702dc9ed13422556c4a357be0c198e5099b5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 25 10:59:17 2025 +0100

    pv: new transformation {s.intv}
    
    - convert the string representation from the int value
    - related to GH #4450

commit 1734b9594b099519487d7513e74241014699abfb
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Nov 24 21:16:01 2025 +0000

    github: [skip ci]: bump actions/checkout from 5 to 6
    
    Bumps [actions/checkout](https://github.com/actions/checkout) from 5 to 6.
    - [Release notes](https://github.com/actions/checkout/releases)
    - [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/actions/checkout/compare/v5...v6)
    
    ---
    updated-dependencies:
    - dependency-name: actions/checkout
      dependency-version: '6'
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 491cf436e68cbb6758786e138ade7c22e7753caf
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Nov 24 13:31:10 2025 +0100

    modules: readme files regenerated - sipdump ... [skip ci]

commit 8fe35822639aa2b037499f63e60d2811d43bd6d9
Author: Henning Westerholt <hw@gilawa.com>
Date:   Mon Nov 24 12:21:24 2025 +0000

    sipdump: spelling fix in docs

commit 1a5d0462648036e9e5fd1a15877401a75ae30c19
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Nov 24 12:46:11 2025 +0100

    modules: readme files regenerated - sipdump ... [skip ci]

commit 54fc2949103a65d93ece7eae42858644a1f5c54e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 24 12:32:03 2025 +0100

    sipdump: docs for fagex parameter

commit 1d2cafcab52a698a5252694d86e90f5f35572282
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 24 12:00:07 2025 +0100

    sipdump: new parameter fagex to provide file age with time expression

commit 280afa8aa73862d42b55df5c1e236a30ff2332e7
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 27 21:19:02 2025 +0000

    github: [skip ci]: bump actions/download-artifact from 5 to 6
    
    Bumps [actions/download-artifact](https://github.com/actions/download-artifact) from 5 to 6.
    - [Release notes](https://github.com/actions/download-artifact/releases)
    - [Commits](https://github.com/actions/download-artifact/compare/v5...v6)
    
    ---
    updated-dependencies:
    - dependency-name: actions/download-artifact
      dependency-version: '6'
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 59d3edd5cf47224754a4751afc3be12a88da2e5e
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 27 21:19:05 2025 +0000

    github: [skip ci]: bump actions/upload-artifact from 4 to 5
    
    Bumps [actions/upload-artifact](https://github.com/actions/upload-artifact) from 4 to 5.
    - [Release notes](https://github.com/actions/upload-artifact/releases)
    - [Commits](https://github.com/actions/upload-artifact/compare/v4...v5)
    
    ---
    updated-dependencies:
    - dependency-name: actions/upload-artifact
      dependency-version: '5'
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit cd88ca4bb64a8d44e2ea9f73be53b24d3b3a93fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 23 11:38:07 2025 +0100

    auth: add defines for authenticate flags

commit c2e62cd2dfb0c9969f7e410020fa3a39f343d608
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 23 11:21:04 2025 +0100

    auth_db: init variable and set the result header later

commit 6d99a650cb79ec5551bb1af29132be9e9c7c555b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 23 11:19:06 2025 +0100

    auth: init variable

commit aa14327b826ac3dfa348c33fe1e9d354cdd855af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 23 09:18:48 2025 +0100

    auth: propagate auth header via pv_authenticate()

commit 433f6945d4ba1a72da40ffced990c0a8921cc952
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 22 17:15:29 2025 +0100

    rtpengine: cast to fix compile warnings

commit 8e54a975a7c06fb6e847dc623320d1227187301c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Nov 19 09:17:52 2025 +0100

    ims_registrar_scscf: fix update_contacts() after split
    
    return was 1 for success
    
    bug introduced at dc2df7865d76ae9767c43d45b5ea7a12354c6bae

commit b8db6e6ee1ff61ca517c209a202f5db05865c3ab
Author: Stefan Mititelu <stefan.mititelu@net2phone.com>
Date:   Tue Oct 7 13:55:19 2025 +0300

    topos_htable: remove smethod from transaction key

commit a07a360a5726350d4d28134e9d407364bb7e9386
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 19 12:25:57 2025 +0100

    core: parser/digest - more details on parsing failure

commit 88c3c6726c9c9b96549b13e044ca757225913c34
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Nov 17 10:41:41 2025 -0400

    rtpengine: turn row locks into flat array

commit 438cadf5dbee7590245199b0f299ec4337d1014e
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Nov 17 10:40:18 2025 -0400

    rtpengine: no need to lock during destruction

commit bd9c330f3f4ff17c227b30c2ceee8498f3b766cb
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Nov 17 10:38:59 2025 -0400

    rtpengine: remove pointless nulling

commit 0c75c7acebc61a4bf75dc548d98bae00fb8f04c1
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Nov 17 10:24:44 2025 -0400

    rtpengine: don't allocate dummy list head

commit e1da69e96ca06dff90ee29fd1ca07bb245648a2e
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Nov 17 10:23:45 2025 -0400

    rtpengine: better list iteration

commit b5d965ffff8b1cf9a8efe26ae048c8c41b1103a8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 18 09:09:18 2025 +0100

    xhttp_prom: safety checks for log messages

commit f7da6becd8bdb6446ea7ca4b681b694283f02102
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Nov 17 17:16:48 2025 +0000

    cmake: Demote fatal errors to warning for compilers

commit adcb5598c8618a178872d005c7fb9bc9f1f5fe44
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Nov 17 13:31:10 2025 +0100

    modules: readme files regenerated - acc ... [skip ci]

commit ef30ad9a4a5df9da64dc6b253ae8ebfbe9d65b08
Author: Tyler Moore <tmoore@goflyball.com>
Date:   Fri Nov 7 10:58:20 2025 -0700

    acc: microsecond precision for cdr
    
      - add support for selecting precision of cdr duration
      - add support for schema version validation

commit 87158a1d5c2adcc471365e9e2365c687e349ffb3
Author: Tyler Moore <tmoore@goflyball.com>
Date:   Fri Nov 7 10:56:14 2025 -0700

    utils: kamctl - acc_cdrs microsecond support
    
      - update schema files per 02f37edbd2

commit 890ed84633011f6225aa00faecd228cc07f6205e
Author: Tyler Moore <tmoore@goflyball.com>
Date:   Fri Nov 7 10:55:13 2025 -0700

    lib: srdb1 - update acc_cdrs schema
    
      - add support for microsecond precision in duration

commit a769c4904be32161a8fde4678c9bd09aa76def49
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 17 13:08:20 2025 +0100

    dispatcher: use defined values for event_callback_mode
    
    - change the codition for executing event routes to cover the cases

commit e7be4a6aa31b743028a1a7687b913d1cb803f2ab
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Nov 17 12:16:10 2025 +0100

    modules: readme files regenerated - dispatcher ... [skip ci]

commit 7337cb59ccfe7937b825384cdf862b14e1530e82
Author: Gustavo Almeida <gustavo.abcdef@hotmail.com>
Date:   Mon Nov 17 11:05:49 2025 +0000

    dispatcher: trigger event_route blocks when old_state its not present
    
    * dispatcher: support to trigger dispatch event routes when old state its not defined
    
    * dispatcher: trigger event_routes on startup/reload only when event_callback_mode = 1
    
    * dispatcher: update ds_event_callback_mode condition to use 2 instead of 1, as 1 is already mentioned in doc as a bypass
    
    * dispatcher: update doc

commit 09a0a1a0b44f996d9ae5d0a8fea390aa2dbe7d11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 16 21:41:24 2025 +0100

    rr: return $null on header not found for $route_uri

commit 26036ca9a269ca97b30d86e103c512a1ef647886
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 15 20:28:16 2025 +0100

    ims_qos_npn: init variables for add_media_components()

commit 427496f68882f93fc38396160130bea183d454c6
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Tue Oct 28 11:03:37 2025 +0200

    db_redis: update TTL when use_hashes and doing updates
    
    - kudos Pawel Kuzak

commit 31138dd4966bf2e03da330f729851e3f019762ae
Author: Jack Cao <jack.cao@cresta.ai>
Date:   Sun Oct 19 21:58:47 2025 -0400

    ndb_redis: fix tls parsing, set timeout before AUTH, bound sentinel copy, prep dyn-node attrs
    
    Signed-off-by: Jack Cao <jack.cao@cresta.ai>

commit 2227c53615c807d0de547b1fdcaa399ff95c890c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 14 09:28:43 2025 +0100

    uac: avp_flags_t for exter declaration of restore avp type vars

commit d52bc262db4fda8cd9f17c8f6b752684c7418eab
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 13 17:04:57 2025 +0100

    ims_qos_npn: fix getaddrinfo input
    
    getaddrinfo() needs a char array ending with '\0'
    
    Thanks to "a.shirmast" <amir.sheykhshirmast@gmail.com> #4464

commit dc41ca90eb76eb22116a0519414373128011e17c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 13 16:51:03 2025 +0100

    ims_qos: fix getaddrinfo input
    
    getaddrinfo() needs a char array ending with '\0'
    
    Thanks to "a.shirmast" <amir.sheykhshirmast@gmail.com> #4464

commit dc2df7865d76ae9767c43d45b5ea7a12354c6bae
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 13 14:38:50 2025 +0100

    ims_registrar_scscf: slipt huge function
    
    * use STR_FMT macro

commit 913dce948729cdd0f9e45e7d71da8c3936719c58
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Tue Nov 11 19:15:17 2025 +0000

    ims_registrar_scscf: check event type before populating Subscription-State in NOTIFY from S-CSCF

commit b4e07a290b7cbf369762c579a81182a1f9edf6e4
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Tue Nov 11 18:15:33 2025 +0000

    ims_registrar_scscf: fix populating of Subscription-State in NOTIFY from S-CSCF

commit c1ca1e46819a3f170a9ebaa98bb613134415c85b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 13 12:35:32 2025 +0100

    ims_registrar_scscf: simplify a bit some code using pointers
    
    * use STR_FMT macro

commit 772edab45c2ad04dda90f94b7e5535df857b5322
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 13 10:19:58 2025 +0100

    auth_radius: cast value for log message

commit bc7f4dcebbec8717193179422ef6836c1dc724a7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Nov 13 09:59:39 2025 +0100

    github: [checks_pr] define clang-version to 18 [skip ci]

commit c78e7f69ebfb81622f385b85c79359f2011eb646
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Nov 12 13:12:14 2025 -0400

    rtpengine: suppress compiler warning with NDEBUG
    
    Closes #4474

commit feb3676a1b50caa79e18d26803dc9b247080ee0d
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Nov 12 13:10:19 2025 -0400

    rtpengine: fix compiler warning
    
    Closes #4474

commit 270a57b4e605ce9a2734108f0244993ada774829
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 12 16:47:55 2025 +0100

    uac: update cfg framework before sending the first uac registrations
    
    - GH #4356

commit 52f9a57e1a4a817b7ad0c05b3673daaf8458bc92
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 12 16:36:11 2025 +0100

    core: tcp - decrease busy field if sending to child fails
    
    - GH #4437

commit 1f02e0a90ae0d463b8843c9d72aaf58a068ce02a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 12 15:33:29 2025 +0100

    lrkproxy: use strcat() instead of strncat() with strlen()
    
    - GH #4440

commit c749c902a5e9f04a73ec36685de37734bf02f013
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Nov 7 17:22:37 2025 +0000

    lib: dbschema: Update xml file to use the db_* namings

commit 090a394462abe47f0d8e798bee86b1232407b64b
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sun Oct 19 13:53:58 2025 +0300

    pkg/kamailio: added cmake to the build deps for rpm spec

commit bf36942960307d761919a29b3ed192c59fb94332
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sun Oct 19 13:52:43 2025 +0300

    pkg/kamailio: rpm packaged mqtt module

commit 451b58b7f0d78c5d2e57b59b03a54ae082c41332
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sun Oct 19 13:43:27 2025 +0300

    pkg/kamailio: rpm packaged nghttp2 module

commit 2bd5d4e869a0fbe398541e0e695f7c3bbc3c481f
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sun Oct 19 13:36:10 2025 +0300

    pkg/kamailio: rpm packaged gcrypt module

commit 29ed29a209a3af6a1c33295901724ce657b94249
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sun Oct 19 13:29:21 2025 +0300

    pkg/kamailio: rpm packaged kafka module

commit 6a666575765373ee3c8d1daeee580bf50e28b1ff
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Nov 5 17:04:29 2025 +0000

    gcrypt: cmake: Fallback to libgcrypt-config for older distributions
    
    - If no .pc installed, use the libgcrypt-config executable to find the libraries

commit 2cd13758f172976c91fa814712e11ccb00a22397
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Thu Nov 6 10:22:53 2025 -0400

    rtpengine: always set "flags"
    
    Processing a trickle ICE SDP fragment requires the "flags" list to be
    present, regardless of how other flags are being processed or if other
    flags are even set at all. Create the "flags" list unconditionally as
    it's a cheap operation and eliminates a few case distinctions in the
    code.

commit b421751573bd29cdcabe5483b60c29b8afed4cca
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Tue Nov 4 15:20:13 2025 +0200

    db_redis: fix null pointer dereference

commit f5b63dc85499ffaebffcab15f360d9082edbb065
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Nov 5 14:01:08 2025 +0000

    db_redis: restore C89 compatiblity by moving variable definition outside for loop

commit 786d75cce04f5e2366769d4ed56d9da3924daf97
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 5 11:57:56 2025 +0100

    core: log_prefix_mode value 2 to use faked request for non-sip logging

commit e7426c79a5a8079ce208c6ea6cf31b7dcb3bdb57
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 4 11:51:00 2025 +0100

    core: use define for log_prefix_mode value

commit a2f3c47a71257d39846669d4f0e2d0936ef03991
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 4 11:22:11 2025 +0100

    core: fmsg - updates to internal fake message

commit 16ca8f97f277744c4abab27c899dfdb2322ffc7d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Nov 5 10:47:13 2025 +0100

    modules: readme files regenerated - cdp ... [skip ci]

commit cac522b56ce7cd684b7d629715ad84255196a38c
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 19:18:14 2025 +0200

    doc/docbook: Remove duplicate entry "openssl"

commit 57c2e50cc2a3944fdf00704d935026e512c27fe1
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 17:29:30 2025 +0200

    pua_dialoginfo: Use DocBook tag &kamailioconfig;

commit bbab45c72e56b53905942da8cd837e1c2bf68c0d
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 17:29:30 2025 +0200

    phonenum: Use DocBook tag &kamailioconfig;

commit d3eede63097786a919ba277cf83592d3ba70ed06
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 17:29:30 2025 +0200

    permissions: Use DocBook tag &kamailioconfig;

commit 6866f11d47272f3416e3488ea36fe7784bfd7312
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 17:29:30 2025 +0200

    path: Use DocBook tag &kamailioconfig;

commit b92eefa2e0bf02ffd4f6c4c30f13eb3af09b5508
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 17:29:30 2025 +0200

    kemix: Use DocBook tag &kamailioconfig;

commit a56758fcbff52c3075e263e39b50dcb993ec07e9
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 17:29:30 2025 +0200

    geoip2: Use DocBook tag &kamailioconfig;

commit 5e1be642929aa6135c2e935da4ea2ca0d849938b
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 17:29:30 2025 +0200

    db_unixodbc: Use DocBook tag &kamailioconfig;

commit 04a6c24801ae4fb98f3275c4f48c04a57fddf9eb
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 17:29:30 2025 +0200

    cdp: Use DocBook tag &kamailioconfig;

commit 1732b872a71bb0ae1a75a326922f8e5067e03a20
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 17:23:44 2025 +0200

    doc/docbook: Add missing root slash as URL path component

commit 22332f03a66375e70787c6a42fa8fd1df43fbe3c
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 17:17:53 2025 +0200

    tls: Fix and add DocBook tags

commit c2e970d11b9b8ef6a540c32dbb55832ec2f3d965
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Oct 30 17:03:41 2025 +0200

    tls_wolfssl: Use DocBook tag &kamailioconfig;

commit 18beef305002e6b2a4a6504273a33db3aa9a3cf4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 2 20:38:33 2025 +0100

    dialog: exported dlg_refer_did()/_cid() to kemi

commit 08a65ecc2e534786eddcea4ccbb3c17e42f8a349
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 1 18:30:49 2025 +0100

    core: parser - check for boundary in decode_mime_type()
    
    - GH #4451

commit 6e7a1aeebd8b2e409c50674833fe214181efffac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 31 17:23:05 2025 +0100

    rr: use check_self_uri() from core

commit 6ce335298da14211716209b8b8c12efedc86f53f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 27 16:22:17 2025 +0100

    ims_usrloc_scscf: improve find_contact_from_impu()
    
    * remove ':5060' from comparation
    * don't compare twice if there's no alias_term
    
    > ims_dialog [dlg_cb.c:271]: run_dlg_callbacks(): dialog=0x7fa0f03b9da0, type=16
    > ims_usrloc_scscf [contact_dlg_handlers.c:65]: find_contact_from_impu(): Looking for contact [sip:1d5c5384e21d0969@10.17.10.37:5060;transport=udp] for IMPU [sip:+3910010008912@ims.mnc001.mcc001.3gppnetwork.org]
    > ims_usrloc_scscf [contact_dlg_handlers.c:102]: find_contact_from_impu(): Comparing [10.17.10.37:5060;transport=udp] and [10.17.10.37;transport=udp]
    > ims_usrloc_scscf [contact_dlg_handlers.c:104]: find_contact_from_impu(): Comparing [10.17.10.37:5060;transport=udp] and [10.17.10.37;transport=udp]
    > ims_usrloc_scscf [contact_dlg_handlers.c:113]: find_contact_from_impu(): Skipping sip:1d5c5384e21d0969@10.17.10.37;transport=udp
    > ims_usrloc_scscf [contact_dlg_handlers.c:118]: find_contact_from_impu(): malformed contact, bailing search
    > ims_usrloc_scscf [contact_dlg_handlers.c:163]: contact_dlg_handler(): Unable to find caller contact from dialog.... continuing
    > ims_usrloc_scscf [contact_dlg_handlers.c:65]: find_contact_from_impu(): Looking for contact [sip:527478AC-68FF7C1E0004017B-BD55A700@10.17.10.37:5060] for IMPU [tel:+3910010008913]
    > ims_usrloc_scscf [contact_dlg_handlers.c:102]: find_contact_from_impu(): Comparing [10.17.10.37:5060] and [10.17.10.37;transport=udp]
    > ims_usrloc_scscf [contact_dlg_handlers.c:104]: find_contact_from_impu(): Comparing [10.17.10.37:5060] and [10.17.10.37;transport=udp]
    > ims_usrloc_scscf [contact_dlg_handlers.c:113]: find_contact_from_impu(): Skipping sip:1cecbffd628fa83f@10.17.10.37;transport=udp
    > ims_usrloc_scscf [contact_dlg_handlers.c:118]: find_contact_from_impu(): malformed contact, bailing search
    > ims_usrloc_scscf [contact_dlg_handlers.c:189]: contact_dlg_handler(): Unable to find callee contact from dialog.... continuing
    > ims_usrloc_scscf [contact_dlg_handlers.c:204]: contact_dlg_handler(): No Contacts found for both caller && callee ... bailing

commit fcc4da4df955245d1b3ecafaa9daf9e12cc268f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 30 11:24:51 2025 +0100

    rr: remove long time unused -DENABLE_USER_CHECK
    
    - unclear if code was actually working after many years disabled

commit 7bb4e5f97863889a68bb0565c90248dcbdb98891
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 29 12:48:31 2025 +0100

    core: parser - proper debug message when parsing Route headers

commit d11a33dc80431b69a3e7f29e1b00071ca24b5f04
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 29 12:19:32 2025 +0100

    core: parser - function to check if Route header is found

commit 521c974a200569b39f48b397853f50299d06ae7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 29 11:29:26 2025 +0100

    core: added functions to check myself for SIP uri and ignore user

commit 1bdafed8d4bb97f1f9a7654155decbf9625b0504
Author: herlesupreeth <herlesupreeth@gmail.com>
Date:   Sun Oct 26 17:00:07 2025 +0100

    ims_ipsec_pcscf: fix selection of encryption algorithm selection

commit 77abaa900a0ac260a7152ab33263c62784383044
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Oct 27 14:16:10 2025 +0100

    modules: readme files regenerated - db_redis ... [skip ci]

commit 8f4924708de5c3c533909d49e71a288ec57db3ef
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Tue Oct 7 14:55:56 2025 +0300

    db_redis: add replicas failover to master in sentinel and use_replicas scenarios
    
    - in sentinel scenarios with master/replica setup, if use_replicas
    is enabled and for whatever reason no replicas are available,
    the module will fall back to connecting to the master (this behavior cannot
    be toggled off)
    - introduced recheck_replicas_interval module param: it sets the interval
    in seconds to recheck for available replicas so that we don't remain
    connected to the master. Because of implementation details, only the first
    check can happen after half of this interval. Value 0 means no recheck will
    be done.

commit 8b3cb09cbc2537a9c9a65d4fb6eb3e6a5d149027
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Tue Oct 7 14:43:24 2025 +0300

    db_redis: add sentinel support
    
    - kudos Pawel Kuzak
    - added with_sentinels, sentinels_config, redis_master_name, use_replicas
    params
    - sentinels_config example:
    "password=password;sentinels=host1:port1|host2:port2|host3:port3
    - when with_sentinels param is set, sentinels configuration in
    db_redis module is used to retrieve host and port of redis master,
    obsoleting the host and port part in usrloc's db_url
    - if use_replicas is set to 1, db_redis modules is used to retrieve the
    host and port of a randomly selected replica (i.e.: reads will be done on
    replicas)

commit 6b8d9e583d72b2d3ae5727b756c3ab1fe0ac8c1e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 24 09:33:09 2025 +0200

    dialog: use prefix and make static global variable for msg id

commit a253b84b608e874cba164f1b5f497e67ee3abbf7
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Oct 23 22:16:10 2025 +0200

    modules: readme files regenerated - dialog ... [skip ci]

commit db0f41d2cdb419c17472ddf766827dc3dd16e4e3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 23 22:05:31 2025 +0200

    dialog: docs - note about vars set before dialog creation

commit 74936928d0e619d8039c263479706cfb1e776f45
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 21 15:32:46 2025 +0200

    ims_qos: cscf_get_asserted_identity() not properly parsing PAI header
    
    > ims_qos [ims_qos_mod.c:1035]: w_rx_aar(): No P-Asserted-Identity hdr found in request. Using From hdr in req - we shouldn't have to do this

commit bb5ee1ea96726e542c28e1fa7e109678068aa6be
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 20 21:06:41 2025 +0000

    github: [skip ci]: bump awalsh128/cache-apt-pkgs-action
    
    Bumps [awalsh128/cache-apt-pkgs-action](https://github.com/awalsh128/cache-apt-pkgs-action) from 1.5.3 to 1.6.0.
    - [Release notes](https://github.com/awalsh128/cache-apt-pkgs-action/releases)
    - [Commits](https://github.com/awalsh128/cache-apt-pkgs-action/compare/v1.5.3...v1.6.0)
    
    ---
    updated-dependencies:
    - dependency-name: awalsh128/cache-apt-pkgs-action
      dependency-version: 1.6.0
      dependency-type: direct:production
      update-type: version-update:semver-minor
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 1f3e7818bdcd544394b2558e60e56a36284254de
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Oct 16 18:31:10 2025 +0200

    modules: readme files regenerated - dialog ... [skip ci]

commit 8c441cd88f6198e87a951b5d6d2d4b3d2e0a3123
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 16 18:16:20 2025 +0200

    dialog: docs for dlg_refer_cid(...)

commit aac107d3539239fc40f7c82638a21e85ab9c5438
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 16 16:50:27 2025 +0200

    dialog: added dlg_refer_cid(...) - send refer within a dialog matched by call-id

commit 73f4f801249164b0fa5b56d121483fa8a0f87c3f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 15 18:35:18 2025 +0200

    dialog: helper function to search first dialog by call-id

commit 6e9ea661aeef439a91853068d6a1ac118ee6f9f0
Author: Groissenberger David <David.Groissenberger@kontron.com>
Date:   Thu Oct 16 07:54:33 2025 +0200

    ims_registrar_pcscf: fix uninitialized memory in pcscf_unregister()
    
    Correct memset target so 'search_ci' is properly zero-initialized.
    
    Signed-off-by: Groissenberger David <David.Groissenberger@kontron.com>

commit 33251505086772ebd99fdf16b5aa0b1f075d3a2e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Oct 14 12:31:10 2025 +0200

    modules: readme files regenerated - dialog ... [skip ci]

commit 9775f8c8ab14ef46844f9da00cacb6935cdd0c21
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 14 12:20:36 2025 +0200

    dialog: docs for dlg_refer_did(...)

commit 5f711554a21df4463f647a0d4c5df5ec9563099e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 14 11:36:03 2025 +0200

    dialog: added dlg_refer_did(...) - send refer by did

commit 287ae3585e65748b201ffce6538a421a649a3f50
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 14 09:30:32 2025 +0200

    kex: added stats for OPTIONS replies

commit c99faebe46d023105c7a5c5d30d633c81b94e30e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 14 08:51:01 2025 +0200

    core: added --domain=val cli parameter
    
    - match the config parameter as alternative to alias

commit cc4c036efa2bb1c468fff2101de9914ca0ef5580
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Oct 14 08:52:57 2025 +0200

    pkg/kamailio/deb: remove berkeley modules from sid [skip ci]
    
    db5.3 is going away https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1117120
    
    > db5.3 underwent a license change upstream, and thus newer versions
    > are unsuitable for Debian

commit b850ac9341edc331abbc360b58917c38b727527a
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Oct 13 21:05:09 2025 +0000

    github: [skip ci]: bump github/codeql-action from 3 to 4
    
    Bumps [github/codeql-action](https://github.com/github/codeql-action) from 3 to 4.
    - [Release notes](https://github.com/github/codeql-action/releases)
    - [Changelog](https://github.com/github/codeql-action/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/github/codeql-action/compare/v3...v4)
    
    ---
    updated-dependencies:
    - dependency-name: github/codeql-action
      dependency-version: '4'
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit c7f7966181b3b8c9f629f9217612342125d588ff
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sat Oct 11 17:25:08 2025 +0300

    github: fixed build for Alpine linux/386 platform

commit e357d9b055eac4153e9c0044bc75399eaa410aef
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Tue Sep 30 14:35:13 2025 +0300

    github: fixed base alpine image

commit dbcca2ee95227bd62c1fbdd11ae0bbbe2248cde8
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sat Oct 11 14:50:17 2025 +0300

    pkg/kamailio: apk build updated make instructions

commit 371972f260f57d4e3db818622ad046108928edb6
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Sat Oct 11 13:16:16 2025 +0300

    pkg/kamailio:  alpine packaging customisation

commit 5ae620031e487df487af1af0e398e4ebda513edd
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Mon Sep 22 15:39:27 2025 +0300

    pkg/kamailio: updated Alpine packaging rules

commit b6d51afb3637a0cffefdc41285d1bb79ea078d77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 13 10:25:41 2025 +0200

    core: format cli long options structure

commit dbf1c140eb5ed4609d291b26e00243c32d777818
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Oct 12 19:56:31 2025 +0200

    core: added --iuid=val cli parameter
    
    - set instance unique id via cli parameter

commit a0263ebd2c85d9039d2982755b42ef4e1e88a8e5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Oct 11 18:56:49 2025 +0200

    core: coreparam - dedicated function to set iuid

commit 9bba10f1684f078be9cbedbd1da05743bb3bf513
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 10 15:57:48 2025 +0200

    core: added $iuid variable - return the instance unique id value

commit 971f7e170565a6815142b25450a1749f8f66ebf1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 10 15:30:51 2025 +0200

    core: added coreparam[iuid] to set a string instance unique id

commit 5e75d1cfd08390e561508bac3e762518ce8c422b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 10 15:19:33 2025 +0200

    core: coreparam - helper function to set a string value inside pkg-alloced (str*)->s

commit a05a75863b0d36c6fa70ff0fba562eabf04325f8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 9 10:26:13 2025 +0200

    core: timer - comment debug message

commit 04543ce6d2cb94273852463b03c53a9c7a141eb4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Oct 9 10:01:10 2025 +0200

    modules: readme files regenerated - auth ... [skip ci]

commit 17a6ba2e117b041df49fa6cecd5df1bbcb2c647e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 9 09:48:30 2025 +0200

    auth: docs - listed SHA-512-256 hashing

commit f1e88dd68a4330f74087cc370a3414b9dd019000
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 9 09:38:53 2025 +0200

    auth: added support for sha-512-256 hashing

commit 363d39f6f7fa032ea420678f7975e22ee8ce9564
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 8 13:01:36 2025 +0200

    auth: mod init updated to for sha512

commit aa11de5f8bcd6c8d66c5a7ca8d9c4b771e88789b
Author: ovoshlook <ovoshlook@gmail.com>
Date:   Sat Jul 19 10:46:09 2025 +0200

    tm: Do not discard late forked REGISTER replies
    
    Forked REGISTER negative replies won't be discarded in case of late authentication on multiple REGISTRARs:
    if a negative reply from forked REGISTER comes after 200 reply from another fork already received,
    it will be handled by kamailio, but won't be propagated to UAC as transaction status is already 200.
    
    tm: Do not discard late forked REGISTER replies
    
    - Forked REGISTER negative replies won't be discarded in case of late authentication on multiple REGISTRARs:
      if a negative reply from forked REGISTER comes after 200 reply from another fork already received,
      it will be handled by kamailio, but won't be propagated to UAC as transaction status is already 200.
    
    remove unneeded whitespace
    
    tm: Do not discard late forked REGISTER replies
    
    Forked REGISTER negative replies won't be discarded in case of late authentication on multiple REGISTRARs:
    if a negative reply from forked REGISTER comes after 200 reply from another fork already received,
    it will be handled by kamailio, but won't be propagated to UAC as transaction status is already 200.

commit e7f7e2dd73e45d82279ab5a9b1f8b4de891740c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 8 11:38:14 2025 +0200

    core: xavp - function to add xavp with different modes
    
    - new mode to allocate space for a string value, but initialize it to
      empty string instead of copying over an input value
    - related GH #4395

commit 1122eeb77a89a46e3e51f1b2bc3d3224c1c5d9be
Author: Sergey Safarov <s.safarov@anycast-lb.net>
Date:   Mon Oct 6 18:42:31 2025 +0300

    dnssec: fixed incompatible pointer build error

commit 3c16b81a363b15116ef1f3a480f1184fd2eb3d14
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 8 09:19:22 2025 +0200

    auth: export wrappers to the functions to calcupate HA1 and response
    
    - the function pointers can change based on the hashing algorithm

commit 3c6f8369c898a85b6b3dd7223e4729f277c02b5e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 7 10:38:28 2025 +0200

    core: crypto - implementation of SH512-256 functions

commit fc139f350a3e008da696d0719e590de900505c6e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Oct 6 20:01:10 2025 +0200

    modules: readme files regenerated - cdp ... [skip ci]

commit c0c2cbf01c8718f860c2efd64a3a6e06e2c16485
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 6 19:22:46 2025 +0200

    cdp: documentation of how to use vrf in config

commit ef6fbbb0892f0964149334b6fefec894fd5a0600
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 6 19:08:13 2025 +0200

    cdp: support vrf on acceptor and peer definitions
    
    ```
    <Peer FQDN="hss.open-ims.test" Realm="open-ims.test" port="3868" src_addr="192.168.2.1" vrf="blue" />
    <Acceptor port="3870" bind="192.168.2.1" vrf="blue"/>
    ```
    
    related #4418

commit d2c3db281e08f53f4b4e892978ebf43df6be58ce
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 6 13:40:03 2025 +0200

    core: VRF support
    
    socket {
      bind = udp:10.10.1.2:5060;
      vrf = "blue";
    }
    
    related #4418

commit 42b24debb47edfef9229ada6fc7fafe293f530a9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 6 15:05:57 2025 +0200

    sms: handle case of unsupported length
    
    - GH #4413

commit d36eb41e89b5f4b02b9e4c54413f8d54f9ba9330
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 6 10:14:00 2025 +0200

    pua_xmpp: remove deprecated xmlMemoryDump() calls
    
    related #4411

commit e79fc9c3d45b0e936e8d138b6ee2602fd53e4eac
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 6 10:13:05 2025 +0200

    pua: remove deprecated xmlMemoryDump() calls
    
    related #4411

commit 62f8b80c9351d2f808339c70160aee7306d6daf1
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 6 10:11:50 2025 +0200

    pua_bla: remove deprecated xmlMemoryDump() calls
    
    related #4411

commit ed3428271b591355efa7ead6dbc5c66bf53de78c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 6 10:10:55 2025 +0200

    presence_xml: remove deprecated xmlMemoryDump() calls
    
    related #4411

commit aa90787922917d91f7a5b09795d05ed44ceabd38
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 6 10:09:56 2025 +0200

    presence_reginfo: remove deprecated xmlMemoryDump() calls
    
    related #4411

commit 7b9d882b902dad47d77ef15a2939b2618bbd9bce
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 6 10:09:15 2025 +0200

    presence_dialoginfo: remove deprecated xmlMemoryDump() calls
    
    related #4411

commit 16b4e0676b208692070048681fdc037cca08033b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 6 10:08:22 2025 +0200

    presence_dfks: remove deprecated xmlMemoryDump() calls
    
    related #4411

commit b4b09ab828fe177e2d3186528b8457252efa9324
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Oct 6 10:06:11 2025 +0200

    presence: remove deprecated xmlMemoryDump() calls
    
    related #4411

commit 5d73826c9b3b7ececf01358a7396e5e395f15872
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Oct 3 11:42:35 2025 +0000

    topos_redis: cmake: Use consistent naming across modules

commit 4f436ee4881e954fa6fc152c02ac5ddc52ff936c
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Oct 3 11:39:56 2025 +0000

    db_redis: cmake: Add ssl support

commit d4a955e1f04fe6b109556b43c2e682b105f2fb95
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Fri Oct 3 11:38:52 2025 +0000

    ndb_redis: cmake: Remove message for hiredis_ssl
    
    - pkg-config alreadys does

commit e9d143f7890cae3c629c82df2c281d528d1499d9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 29 14:40:19 2025 +0200

    tm: clean up locally parsed headers in onsend route
    
    - GH #4399

commit 7ddba9d07a938299cb50f6dde354d8f691c307cf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 29 09:43:39 2025 +0200

    core: parser - rework parsing From body on getting headers
    
    - reuse code for parsing To-body header on getting headers

commit 4fef850efb73aa063ae4f920e0f86f2bf085956c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Sep 28 09:02:21 2025 +0200

    core: parse - parse from body on first iteration

commit d8715c16fb79365a26fb75990565be4fea701ae6
Author: Lyubomir Yatanski <lyubomir.yatanski@flolive.net>
Date:   Sat Sep 27 14:34:37 2025 +0300

    core parser: fix after 316ea8925edd0c401c121e9dc0f21dde3a2c6598
    
    > Error: core/parser/msg_parser.c:423:9: error: call to undeclared function 'parse_from_header'; ISO C99 and later do not support implicit function declarations [-Wimplicit-function-declaration]
    >  423 |                                         if(parse_from_header(msg) < 0) {
    >       |                                            ^
    > core/parser/msg_parser.c:423:9: note: did you mean 'parse_to_header'?
    > core/parser/parse_to.h:48:5: note: 'parse_to_header' declared here
    >    48 | int parse_to_header(struct sip_msg *const msg);
    >       |     ^
    > 1 error generated.

commit 316ea8925edd0c401c121e9dc0f21dde3a2c6598
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 26 11:25:21 2025 +0200

    core: parser - parse From header on initial headers parsing

commit 829dce8e9de586f1269be2f58f9a7f58cc81e2b1
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Sep 25 11:28:22 2025 +0000

    ndb_redis: cmake: Update for hiredis_ssl

commit 25fa214154ede1907b20b0bf3d6c8e2ed8055512
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 25 12:31:38 2025 +0200

    dialog: try sending bye to callee no matter of the return code for caller
    
    - GH #4404

commit b7e8c43968866135b18555993c524ef096abf1f3
Author: Stefan Mititelu <stefan.mititelu@net2phone.com>
Date:   Tue Sep 23 12:03:37 2025 +0300

    core: try fix timer list only in case of issues

commit 4ba50d89a8e267572fc58a18dc68514b359976f8
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Sep 24 21:31:10 2025 +0200

    modules: readme files regenerated - rtpengine ... [skip ci]

commit 4e7abbd7d5ad01c55975b70176c98703c48f77e1
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Sep 24 15:22:09 2025 -0400

    rtpengine: add recommended version to docs
    
    Closes #4407

commit cd5cf8a56b0a97c64caf2d9f0e9e87bc82d91fe2
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Sep 24 15:16:10 2025 +0200

    modules: readme files regenerated - xhttp_prom ... [skip ci]

commit 89cf1a45e48936acf1e6cc17c38d06846862f851
Author: Anton Yabchinskiy <arn@bestmx.net>
Date:   Tue Sep 9 21:38:16 2025 +0200

    xhttp_prom: add support for TYPE and HELP metadata output

commit 832df0ae26dbcb66f29750d64b8928de2adeb2e9
Author: Anton Yabchinskiy <arn@bestmx.net>
Date:   Mon Sep 8 18:33:14 2025 +0200

    xhttp_prom: add bind_prom() to export metrics C functions to other modules, add prom_gauge_inc() function

commit 23d270cb9842fd5b85b3ef356f64065896f5140a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 24 12:05:56 2025 +0200

    db_redis: make the inline function static

commit c508fa6433e212772d17622c54b93aee74b8837d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Sep 23 11:58:47 2025 +0200

    cdp: proto value on logs at connection acceptor and receiver
    
    helps while debugging and on investigation process

commit c2ded549b235db9ce5e90b9cc71bf8e4a86b27b3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Sep 23 11:40:42 2025 +0200

    core: [str] STR_FMT_VAL macro
    
    same as STR_FMT macro but will use a default value if str is empty

commit 3627b8fdd35f4b0f77667c4cf261ff7f0215f89b
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Aug 14 11:22:09 2025 +0000

    misc: Add contention benchmark tests

commit 9dcba806093ef48962379a64770c2b71b8b74232
Author: dmsf100 <diogo.figueiredo@glia.com>
Date:   Sat Aug 9 18:28:57 2025 +0100

    dialog: fix sflags database persistence for dlg_setflag/dlg_resetflag
    
    Dialog script flags (sflags) were not being saved to database when
    dlg_setflag() or dlg_resetflag() functions were called. The functions
    updated flags in memory but didn't trigger database updates.
    
    - Add DLG_FLAG_CHANGED_SFLAGS flag to track sflags changes
    - Trigger immediate DB updates in realtime mode
    - Support delayed and shutdown database modes
    - Fix database update parameters to target sflags column correctly

commit 35e1e9cb27129f410352590b01d2a101b6ea98c4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Sep 23 18:05:11 2025 +0200

    dlg_var: use memcpy for coping data

commit 73e919b755885c29bc69508038e5863d7511c0f4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Sep 23 18:01:11 2025 +0200

    modules: readme files regenerated - ims_registrar_scscf ... [skip ci]

commit d5991679b9c399e5e5bdb3bc31d57adb526708cc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Sep 23 17:55:11 2025 +0200

    dialplan: use memcpy for coping data

commit b32894f85485ba5cc9b4f4fa9cb706144e70d0e7
Author: Tim Anderson <tim@claritynetworks.com.au>
Date:   Thu Aug 7 12:37:59 2025 +1000

    xhttp_rpc: add handling of null strings in `print_value`
    
    - reported by GH #4351

commit 16edd65e22d2b56b3b13178f822dc4c333ba7bf4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Aug 6 14:18:06 2025 +0200

    ims_registrar_scscf: obey ue_unsubscribe_on_dereg parameter

commit 4332a144b20566c3016fa11f6d7ce36fde0f4fad
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Sep 1 16:17:55 2025 +0200

    ims_registrar_scscf: add ue_unsubscribe_on_dereg missing parameter
    
    this was introduced at 5f49f1ab481ef4c8b9fc236d905485390969f894 at May 2014

commit 46ee44af4f1d9ae4fccc6178142ca602ef689943
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Mon Jul 3 07:23:34 2017 +0300

    dispatcher: fix typo in documentation and code comments

commit ef53fdeb33a6158801c52f522a1398abd3777324
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Mon Jul 3 07:23:34 2017 +0300

    core: socket_info - fix typo in log message

commit 87385c1c2587723d062fd43b329ade028136d6de
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Sep 19 14:46:10 2025 +0200

    modules: readme files regenerated - sworker ... [skip ci]

commit bf8a605bbf843d184c1f4d94bb7e1bf6697ef0d2
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Sat Apr 20 18:42:07 2024 +0300

    sworker: fix function name in documentation

commit 6ecbde0455699548d8a538b30df6ade8a485ddcd
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Sep 18 12:13:13 2025 +0300

    pkg/kamailio/deb: Update changed module path in copyright statement
    
    Module malloc_test is renamed to misctest.
    Warning by lintian check "superfluous-file-pattern".

commit 364b371d75faff61acfa6cc621a82cf689356e81
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Sep 18 12:13:13 2025 +0300

    pkg/kamailio/deb: Remove obsolete reference in copyright statement
    
    Memory manager "shm_mem" was removed in 2018.
    Warning by lintian check "superfluous-file-pattern".

commit e449840baf1112a7ca4f264153c7c0bc10bb3414
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Sep 18 12:13:13 2025 +0300

    pkg/kamailio/deb: Update changed file path in copyright statement
    
    s!lib/srutils!core/utils!
    Warning by lintian check "superfluous-file-pattern".

commit a1581421685914c6f732a938cc11350cb909784b
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Sep 18 12:13:13 2025 +0300

    pkg/kamailio/deb: Fix incorrect file path in copyright statement
    
    s/code/core/
    Warning by lintian check "superfluous-file-pattern".

commit 857cb1af73b3ff84de50d200a369ae9488478b0d
Author: Mikko Lehto <mslehto@iki.fi>
Date:   Thu Sep 18 12:13:13 2025 +0300

    pkg/kamailio/deb: Adjust named license in copyright statement
    
    Adjust license name in License -field.
    Warning by lintian check "space-in-std-shortname-in-dep5-copyright".

commit 8d00b20e553302b9c3c182c786739a9daf64f506
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Sep 15 21:04:30 2025 +0000

    github: [skip ci]: bump tj-actions/changed-files from 46 to 47
    
    Bumps [tj-actions/changed-files](https://github.com/tj-actions/changed-files) from 46 to 47.
    - [Release notes](https://github.com/tj-actions/changed-files/releases)
    - [Changelog](https://github.com/tj-actions/changed-files/blob/main/HISTORY.md)
    - [Commits](https://github.com/tj-actions/changed-files/compare/v46...v47)
    
    ---
    updated-dependencies:
    - dependency-name: tj-actions/changed-files
      dependency-version: '47'
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit cb0f9a9ac493201bad29e7f393e1c1b193bdd4b9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Sep 15 15:56:45 2025 +0200

    cdp: don't try to cleanup_ssl when no there's no tls info
    
    > Program terminated with signal SIGSEGV, Segmentation fault.
    > #0  0x00007fa6326b3a95 in SSL_shutdown () from /lib/x86_64-linux-gnu/libssl.so.3
    > (gdb) bt
    > #0  0x00007fa6326b3a95 in SSL_shutdown () from /lib/x86_64-linux-gnu/libssl.so.3
    > #1  0x00007fa6327582d5 in cleanup_ssl (tls_ctx=0x0, tls_conn=0x0) at cdp_tls.c:259
    > #2  0x00007fa6327a30a7 in receive_loop (original_peer=0x7fa612199860) at receiver.c:890
    > #3  0x00007fa63279b5cb in receiver_process (p=0x7fa612199860) at receiver.c:485
    > #4  0x00007fa63277e2b1 in diameter_peer_start (blocking=0) at diameter_peer.c:294
    > #5  0x00007fa63274ea8f in cdp_child_init (rank=0) at cdp_mod.c:275
    > ...
    > (gdb) p sp->tls_conn
    > $5 = (SSL *) 0x0
    > (gdb) p sp->tls_ctx
    > $6 = (SSL_CTX *) 0x0

commit 618874aeb817400ea53c0529c7cc856878c560a4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Sep 11 09:45:00 2025 +0200

    pkg/kamailio/deb: refresh [skip ci]

commit 6e756e7d6193e955298a1cb407b827f0538de190
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Sep 11 09:39:14 2025 +0200

    pkg/kamailio/deb: add jwt to extra modules [skip ci]
    
    libjwt-dev > 1.12:
    * trixie
    * sid
    * noble

commit 205f10161e2463ccecdaf4f3feddd21c896d4b06
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 10 17:45:51 2025 +0200

    pv: added {s.sha1} transformation

commit e73f4017d261cd2fadcc66fb2d1c5b259c67680d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Sep 10 15:31:14 2025 +0200

    modules: readme files regenerated - dispatcher ... [skip ci]

commit 616c4c77db531feaf0ce3ea13962b9bb41bf2160
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Sep 10 13:21:52 2025 +0000

    dispatcher: show link in README file as well

commit 5ebab96bb07cbd7bfbb40a6815ce2cf342b438f4
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Sep 10 14:31:10 2025 +0200

    modules: readme files regenerated - dispatcher ... [skip ci]

commit 0933cb319aa2e114b35cfac8383dd88855125b83
Author: Henning Westerholt <hw@gilawa.com>
Date:   Wed Sep 10 12:18:58 2025 +0000

    dispatcher: add link to algorithm definition to main section

commit 7074b6fdb46e923264698b02ee8d96c6b6670169
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Sep 10 14:16:11 2025 +0200

    modules: readme files regenerated - dispatcher ... [skip ci]

commit 02c0e0b1b0f84754c468e97ae7f2c09e7c13e8ee
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Tue Sep 9 13:45:56 2025 -0400

    dispatcher: update the default value and docs of ds_latency_estimator_alpha
    
    This is to match the recent adjustement made in "dispatcher: fix ds_latency_estimator_alpha meaning"

commit 7905312a183eac8c9338ccd4ff12c5667de974b2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Sep 9 14:01:32 2025 +0200

    ims_icscf: sync ims_icscf_timer_routine() declaration

commit 2c2c58598626e36245da1b0eb5442d92de194b79
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Wed Aug 13 10:39:28 2025 +0000

    rtpengine: Replace sha1 generation
    
    - Remove dep on crypto module
    - Use core implementation

commit 23d6f1a4f8b3ce8ede5b5fe2a5c1df5541343e97
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Tue Aug 19 13:30:40 2025 +0300

    db_redis: use HSCAN in scan query when mapping_struct_type is hash

commit d789b6c1fec4cd1743a51c87b8f01af7ddee03d7
Author: Michael Furmur <furmur@pm.me>
Date:   Mon Aug 11 12:24:08 2025 +0300

    dispatcher: fix ds_latency_estimator_alpha meaning
    
    swap 'latency' and 'latency_stats->estimate' in the EWMA formula
    to ensure ds_latency_estimator_alpha rates new values over the old average estimate

commit 7b2bf5b0eaaa0c6955c5978ef61a574dea9f8b4f
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Sep 8 21:14:39 2025 +0000

    github: [skip ci]: bump actions/stale from 9 to 10
    
    Bumps [actions/stale](https://github.com/actions/stale) from 9 to 10.
    - [Release notes](https://github.com/actions/stale/releases)
    - [Changelog](https://github.com/actions/stale/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/actions/stale/compare/v9...v10)
    
    ---
    updated-dependencies:
    - dependency-name: actions/stale
      dependency-version: '10'
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 26e18cc035b9157aa1c0d0b05519a3c2646afaef
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Sep 8 21:17:39 2025 +0000

    github: [skip ci]: bump actions/github-script from 7 to 8
    
    Bumps [actions/github-script](https://github.com/actions/github-script) from 7 to 8.
    - [Release notes](https://github.com/actions/github-script/releases)
    - [Commits](https://github.com/actions/github-script/compare/v7...v8)
    
    ---
    updated-dependencies:
    - dependency-name: actions/github-script
      dependency-version: '8'
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...
    
    Signed-off-by: dependabot[bot] <support@github.com>

commit 058bc32af940fc396c96dba1802a9d721677aeed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 8 17:00:27 2025 +0200

    kamctl: added options to kamctlrc to set db cli and params
    
    - implemented for mysql and postgress
    - GH #4376

commit b322fd781b162d2adaef9f8292640a4df89796ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 8 10:57:18 2025 +0200

    kamdbctl: removed test for mysql utf8 and ucs2 charsets
    
    - GH #4384

commit ffeff752358cf01301cd5850b9c9284c00b10add
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Sep 6 11:55:32 2025 +0200

    README: updated the version

commit 0cae5fa009ce1385a3a131523685f74bef5514b6
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Sep 6 11:47:35 2025 +0200

    ims_usrloc_scscf: fix contact_port_ip_match()
    
    * same logic as in 22db60c1e29c26caacf4356849d2d1d550d68617

commit c0a724975f00fc186534da7286274485a03671b5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Sep 6 11:50:39 2025 +0200

    Revert "ims_usrloc_scscf: clang-format"
    
    This reverts commit a8d0a941ad9aa52db217f97dfcdd7cb11fdde783.
    
    I was using another version of clang-format. Let's stick for version 18
    for now.

commit 22db60c1e29c26caacf4356849d2d1d550d68617
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Sep 5 15:21:04 2025 +0200

    pre-commit: use same version as github action [skip ci]
    
    Ubuntu 24.04 clang-format is version 18

commit 08480ea4e473b209d4396a90bf117a1843a34de9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Sep 5 14:55:11 2025 +0200

    pre-commit: update hooks [skip ci]

commit a8d0a941ad9aa52db217f97dfcdd7cb11fdde783
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Sep 5 09:57:42 2025 +0200

    ims_usrloc_scscf: clang-format

commit f57f4045ac8a08585c573dcc1eb257102be1a2a9
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Sep 4 14:00:57 2025 +0200

    ims_registrar_scscf: fix contact_port_ip_match()
    
    It was not matching comparation when default port was omitted
    
    > ims_registrar_scscf [registrar_notify.c:1556]: contact_port_ip_match(): Matching contact using only port and ip - comparing [127.169.7.104] and [127.169.7.104:5060]

commit c98c32b48bcd2cdf4b883ff46cb939b80351fb20
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 2 16:04:13 2025 +0200

    sqlops: small formatting of exported pvs

commit bf24361bb02677cebba275a60ba289700d285c61
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Sep 1 15:07:17 2025 +0200

    ims_icscf: use proper timer_function parameters
    
    fix #4370

commit 5182f261562c8882b9468f5209b21c9863e659bc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Aug 27 12:03:01 2025 +0200

    ndb_mongodb: support mongo-c-driver version 2
    
    related #4378

commit 0bb166deb7fcbc5f0c7aa1bf12fba24ca1d34cf8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Aug 27 11:59:25 2025 +0200

    db_mongodb: support mongo-c-driver version 2
    
    related #4378

commit 58b33d348db678bdda9c119aaa6074ff2cb752c9
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Aug 28 09:48:18 2025 +0000

    ndb_mongodb: Adopte cmake for mongoc2

commit 41198c512c199501468d8b2a93914adae1b32d15
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Thu Aug 28 09:48:06 2025 +0000

    db_mongodb: Adopt cmake for mongoc2

commit e6812e83f32b90a8d92b42adfe0d6f30a124e777
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Aug 27 11:12:56 2025 +0200

    github: switch to trixie

commit d5d5ff49ec6d5034a60febba27fd248c2453592b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Aug 27 10:51:59 2025 +0200

    pkg/kamailio/deb: add support for trixie [skip ci]

commit 5d3453abb82f5723d1fcdd12c953d5691ad7a914
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Aug 27 10:53:01 2025 +0200

    pkg/kamailio/deb: wrap-and-sort -sat [skip ci]

commit 5e3a9b3ead73ec6c92d716134e8d7adde78a3e1b
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Aug 26 21:31:09 2025 +0200

    modules: readme files regenerated - secfilter ... [skip ci]

commit 43f819497a60c434b8630fe37e330eaccd894c15
Author: pepelux <pepeluxx@gmail.com>
Date:   Tue Aug 26 21:24:02 2025 +0200

    secfilter: Documentation updated regarding country filtering [skip ci]

commit 02c60ed584e486f276ff97b915b127b99432cca1
Author: pepelux <pepeluxx@gmail.com>
Date:   Tue Aug 26 21:21:18 2025 +0200

    secfilter: Documentation updated regarding country filtering [skip ci]

commit 70ee233bf9a0cdf88be23d5e58e5df47f09926f2
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Aug 25 14:52:09 2025 +0000

    cmake: Detect armv8 and armv7 as arm
    
    - for compatibility reasons for make

commit 91e8565c32754229c124f99a25377142184fdb79
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Aug 25 14:48:16 2025 +0000

    cmake: Add ppc compile options

commit d32ce5536d19092dbc86637243c79d95c23ae24a
Author: Xenofon Karamanos <xk@gilawa.com>
Date:   Mon Aug 25 14:42:26 2025 +0000

    cmake: Add alpha compile options

